'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../_virtual/_tslib.cjs');
var runtime = require('../runtime.cjs');
require('../models/AccessOutcomeEnum.cjs');
require('../models/ExchangeKeyEnum.cjs');
var AddDeeplinkUrlRequest = require('../models/AddDeeplinkUrlRequest.cjs');
require('../models/AttestationConveyancePreference.cjs');
require('../models/AuthModeEnum.cjs');
require('../models/AuthStorageEnum.cjs');
require('../models/AuthenticatorAttachment.cjs');
require('../models/ResidentKeyRequirement.cjs');
require('../models/UserVerificationRequirement.cjs');
require('../models/AuthenticatorTransportProtocol.cjs');
require('../models/JwtVerifiedCredentialFormatEnum.cjs');
require('../models/ProviderEnum.cjs');
require('../models/WalletAddressType.cjs');
require('../models/EcdsaValidatorOptions.cjs');
require('../models/EmbeddedWalletVersionEnum.cjs');
require('../models/HardwareWalletEnum.cjs');
require('../models/PasswordSourceTypeEnum.cjs');
require('../models/ProviderEntryPointVersionEnum.cjs');
require('../models/ProviderKernelVersionEnum.cjs');
require('../models/ThresholdSignatureScheme.cjs');
require('../models/WalletProviderEnum.cjs');
require('../models/MfaBackupCodeAcknowledgement.cjs');
require('../models/CustomFieldType.cjs');
require('../models/KycFieldType.cjs');
require('../models/BillingSubscriptionPlanTypeEnum.cjs');
require('../models/UnprocessableEntityErrorCode.cjs');
require('../models/ChainEnum.cjs');
require('../models/ChainalysisCheckResultEnum.cjs');
require('../models/MFADeviceType.cjs');
require('../models/EmbeddedWalletChainEnum.cjs');
require('../models/EmbeddedWalletProviderEnum.cjs');
require('../models/UserIdentifierTypeEnum.cjs');
require('../models/CurrencyType.cjs');
require('../models/CustomHostnameStatusEnum.cjs');
require('../models/CustomHostnameUsageEnum.cjs');
require('../models/CustomHostnameVerificationType.cjs');
require('../models/DnsRecordType.cjs');
var DeeplinkUrlResponse = require('../models/DeeplinkUrlResponse.cjs');
var DeeplinkUrlsResponse = require('../models/DeeplinkUrlsResponse.cjs');
require('../models/TimeUnitEnum.cjs');
require('../models/EmbeddedWalletAuthType.cjs');
require('../models/EmbeddedWalletSecurityMethod.cjs');
require('../models/EnvironmentEnum.cjs');
require('../models/Network.cjs');
require('../models/ExternalWalletFundingTokenRule.cjs');
require('../models/OnrampProviders.cjs');
require('../models/SignInProviderEnum.cjs');
require('../models/SocialSignInProviderEnum.cjs');
require('../models/WaasBackupOptionsEnum.cjs');
require('../models/SdkViewSectionAlignment.cjs');
require('../models/SdkViewSectionType.cjs');
require('../models/SdkViewType.cjs');
require('../models/ZerodevBundlerProvider.cjs');
require('../models/UserFilterableFieldsEnum.cjs');
require('../models/ExportFormatEnum.cjs');
require('../models/ExportModelEnum.cjs');
require('../models/ExportStatusEnum.cjs');
require('../models/ExternalWalletFundingDefaultChain.cjs');
require('../models/GateRuleType.cjs');
require('../models/GlobalWalletAccessControlTypeEnum.cjs');
require('../models/HealthcheckStatus.cjs');
require('../models/InviteStatusEnum.cjs');
require('../models/RoleEnum.cjs');
require('../models/PublicKeyCredentialType.cjs');
require('../models/NextViewEnum.cjs');
require('../models/OauthResultStatus.cjs');
require('../models/WhenToImplementEnum.cjs');
require('../models/PublishEventsEvents.cjs');
require('../models/SubscriptionAdvancedScopeEnum.cjs');
require('../models/SubscriptionFreeScopeEnum.cjs');
require('../models/UserFieldsCheckEnum.cjs');
require('../models/VisitorFilterableFieldsEnum.cjs');

/* tslint:disable */
/**
 *
 */
class DeeplinkUrlsApi extends runtime.BaseAPI {
    /**
     * Whitelists a mobile deeplink URL for this project environment
     */
    addDeeplinkUrlRaw(requestParameters, initOverrides) {
        return _tslib.__awaiter(this, void 0, void 0, function* () {
            if (requestParameters.environmentId === null || requestParameters.environmentId === undefined) {
                throw new runtime.RequiredError('environmentId', 'Required parameter requestParameters.environmentId was null or undefined when calling addDeeplinkUrl.');
            }
            if (requestParameters.addDeeplinkUrlRequest === null || requestParameters.addDeeplinkUrlRequest === undefined) {
                throw new runtime.RequiredError('addDeeplinkUrlRequest', 'Required parameter requestParameters.addDeeplinkUrlRequest was null or undefined when calling addDeeplinkUrl.');
            }
            const queryParameters = {};
            const headerParameters = {};
            headerParameters['Content-Type'] = 'application/json';
            if (this.configuration && this.configuration.accessToken) {
                const token = this.configuration.accessToken;
                const tokenString = yield token("bearerAuth", []);
                if (tokenString) {
                    headerParameters["Authorization"] = `Bearer ${tokenString}`;
                }
            }
            const response = yield this.request({
                path: `/environments/{environmentId}/deeplinkUrls`.replace(`{${"environmentId"}}`, encodeURIComponent(String(requestParameters.environmentId))),
                method: 'POST',
                headers: headerParameters,
                query: queryParameters,
                body: AddDeeplinkUrlRequest.AddDeeplinkUrlRequestToJSON(requestParameters.addDeeplinkUrlRequest),
            }, initOverrides);
            return new runtime.JSONApiResponse(response, (jsonValue) => DeeplinkUrlResponse.DeeplinkUrlResponseFromJSON(jsonValue));
        });
    }
    /**
     * Whitelists a mobile deeplink URL for this project environment
     */
    addDeeplinkUrl(requestParameters, initOverrides) {
        return _tslib.__awaiter(this, void 0, void 0, function* () {
            const response = yield this.addDeeplinkUrlRaw(requestParameters, initOverrides);
            return yield response.value();
        });
    }
    /**
     * Delete a mobile deeplink URL by id
     */
    deleteDeeplinkUrlByIdRaw(requestParameters, initOverrides) {
        return _tslib.__awaiter(this, void 0, void 0, function* () {
            if (requestParameters.deeplinkUrlId === null || requestParameters.deeplinkUrlId === undefined) {
                throw new runtime.RequiredError('deeplinkUrlId', 'Required parameter requestParameters.deeplinkUrlId was null or undefined when calling deleteDeeplinkUrlById.');
            }
            const queryParameters = {};
            const headerParameters = {};
            if (this.configuration && this.configuration.accessToken) {
                const token = this.configuration.accessToken;
                const tokenString = yield token("bearerAuth", []);
                if (tokenString) {
                    headerParameters["Authorization"] = `Bearer ${tokenString}`;
                }
            }
            const response = yield this.request({
                path: `/deeplinkUrls/{deeplinkUrlId}`.replace(`{${"deeplinkUrlId"}}`, encodeURIComponent(String(requestParameters.deeplinkUrlId))),
                method: 'DELETE',
                headers: headerParameters,
                query: queryParameters,
            }, initOverrides);
            return new runtime.VoidApiResponse(response);
        });
    }
    /**
     * Delete a mobile deeplink URL by id
     */
    deleteDeeplinkUrlById(requestParameters, initOverrides) {
        return _tslib.__awaiter(this, void 0, void 0, function* () {
            yield this.deleteDeeplinkUrlByIdRaw(requestParameters, initOverrides);
        });
    }
    /**
     * Get all the whitelisted mobile deeplink URLs for a project environment
     */
    getDeeplinkUrlsRaw(requestParameters, initOverrides) {
        return _tslib.__awaiter(this, void 0, void 0, function* () {
            if (requestParameters.environmentId === null || requestParameters.environmentId === undefined) {
                throw new runtime.RequiredError('environmentId', 'Required parameter requestParameters.environmentId was null or undefined when calling getDeeplinkUrls.');
            }
            const queryParameters = {};
            const headerParameters = {};
            if (this.configuration && this.configuration.accessToken) {
                const token = this.configuration.accessToken;
                const tokenString = yield token("bearerAuth", []);
                if (tokenString) {
                    headerParameters["Authorization"] = `Bearer ${tokenString}`;
                }
            }
            const response = yield this.request({
                path: `/environments/{environmentId}/deeplinkUrls`.replace(`{${"environmentId"}}`, encodeURIComponent(String(requestParameters.environmentId))),
                method: 'GET',
                headers: headerParameters,
                query: queryParameters,
            }, initOverrides);
            return new runtime.JSONApiResponse(response, (jsonValue) => DeeplinkUrlsResponse.DeeplinkUrlsResponseFromJSON(jsonValue));
        });
    }
    /**
     * Get all the whitelisted mobile deeplink URLs for a project environment
     */
    getDeeplinkUrls(requestParameters, initOverrides) {
        return _tslib.__awaiter(this, void 0, void 0, function* () {
            const response = yield this.getDeeplinkUrlsRaw(requestParameters, initOverrides);
            return yield response.value();
        });
    }
}

exports.DeeplinkUrlsApi = DeeplinkUrlsApi;
