/**
 * Dashboard API
 * Dashboard API documentation
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import * as runtime from '../runtime';
import { BulkUserCreateResponse, InternalBulkUpdateUserFields, InternalUpdatableUserFields, InternalUserFields, UserOauthAccessTokenResponse, UserResponse, UserSearchFilterParams, UsersResponse } from '../models';
export interface BulkCreateUserRequest {
    environmentId: string;
    internalUserFields: Array<InternalUserFields>;
    upsert?: boolean;
}
export interface CreateUserRequest {
    environmentId: string;
    internalBulkUpdateUserFields: InternalBulkUpdateUserFields;
}
export interface DeleteUserRequest {
    environmentId: string;
    userId: string;
}
export interface DeleteUserLegacyRequest {
    userId: string;
}
export interface GetEnvironmentUsersRequest {
    environmentId: string;
    filter?: UserSearchFilterParams;
    orderBy?: string;
    offset?: number;
    limit?: number;
    includeSessions?: boolean;
}
export interface GetUserRequest {
    environmentId: string;
    userId: string;
}
export interface GetUserLegacyRequest {
    userId: string;
}
export interface GetUserOauthAccessTokenRequest {
    oauthAccountId: string;
}
export interface RevokeUserSessionsRequest {
    environmentId: string;
    userId: string;
}
export interface RevokeUserSessionsLegacyRequest {
    userId: string;
}
export interface UpdateUserRequest {
    environmentId: string;
    userId: string;
    internalUpdatableUserFields: InternalUpdatableUserFields;
}
export interface UpdateUserLegacyRequest {
    userId: string;
    internalUpdatableUserFields: InternalUpdatableUserFields;
}
/**
 *
 */
export declare class UsersApi extends runtime.BaseAPI {
    /**
     * Creates many new users
     */
    bulkCreateUserRaw(requestParameters: BulkCreateUserRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<BulkUserCreateResponse>>;
    /**
     * Creates many new users
     */
    bulkCreateUser(requestParameters: BulkCreateUserRequest, initOverrides?: RequestInit): Promise<BulkUserCreateResponse>;
    /**
     * Creates a new user
     */
    createUserRaw(requestParameters: CreateUserRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<UserResponse>>;
    /**
     * Creates a new user
     */
    createUser(requestParameters: CreateUserRequest, initOverrides?: RequestInit): Promise<UserResponse>;
    /**
     * Delete user
     */
    deleteUserRaw(requestParameters: DeleteUserRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<void>>;
    /**
     * Delete user
     */
    deleteUser(requestParameters: DeleteUserRequest, initOverrides?: RequestInit): Promise<void>;
    /**
     * Delete user (deprecated - use /environments/{environmentId}/users/{userId} instead)
     */
    deleteUserLegacyRaw(requestParameters: DeleteUserLegacyRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<void>>;
    /**
     * Delete user (deprecated - use /environments/{environmentId}/users/{userId} instead)
     */
    deleteUserLegacy(requestParameters: DeleteUserLegacyRequest, initOverrides?: RequestInit): Promise<void>;
    /**
     * Get all users for an environment
     */
    getEnvironmentUsersRaw(requestParameters: GetEnvironmentUsersRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<UsersResponse>>;
    /**
     * Get all users for an environment
     */
    getEnvironmentUsers(requestParameters: GetEnvironmentUsersRequest, initOverrides?: RequestInit): Promise<UsersResponse>;
    /**
     * Get a user by Id
     */
    getUserRaw(requestParameters: GetUserRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<UserResponse>>;
    /**
     * Get a user by Id
     */
    getUser(requestParameters: GetUserRequest, initOverrides?: RequestInit): Promise<UserResponse>;
    /**
     * Get a user by Id (deprecated - use /environments/{environmentId}/users/{userId} instead)
     */
    getUserLegacyRaw(requestParameters: GetUserLegacyRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<UserResponse>>;
    /**
     * Get a user by Id (deprecated - use /environments/{environmentId}/users/{userId} instead)
     */
    getUserLegacy(requestParameters: GetUserLegacyRequest, initOverrides?: RequestInit): Promise<UserResponse>;
    /**
     * Get the access token for a user OAuth account
     */
    getUserOauthAccessTokenRaw(requestParameters: GetUserOauthAccessTokenRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<UserOauthAccessTokenResponse>>;
    /**
     * Get the access token for a user OAuth account
     */
    getUserOauthAccessToken(requestParameters: GetUserOauthAccessTokenRequest, initOverrides?: RequestInit): Promise<UserOauthAccessTokenResponse>;
    /**
     * Revoke sessions by user ID
     */
    revokeUserSessionsRaw(requestParameters: RevokeUserSessionsRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<void>>;
    /**
     * Revoke sessions by user ID
     */
    revokeUserSessions(requestParameters: RevokeUserSessionsRequest, initOverrides?: RequestInit): Promise<void>;
    /**
     * This endpoint is deprecated. Use /environments/{environmentId}/users/{userId}/sessions/revoke instead.
     * Revoke sessions by user ID
     */
    revokeUserSessionsLegacyRaw(requestParameters: RevokeUserSessionsLegacyRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<void>>;
    /**
     * This endpoint is deprecated. Use /environments/{environmentId}/users/{userId}/sessions/revoke instead.
     * Revoke sessions by user ID
     */
    revokeUserSessionsLegacy(requestParameters: RevokeUserSessionsLegacyRequest, initOverrides?: RequestInit): Promise<void>;
    /**
     * Update a user
     */
    updateUserRaw(requestParameters: UpdateUserRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<UserResponse>>;
    /**
     * Update a user
     */
    updateUser(requestParameters: UpdateUserRequest, initOverrides?: RequestInit): Promise<UserResponse>;
    /**
     * Update a user (deprecated - use /environments/{environmentId}/users/{userId} instead)
     */
    updateUserLegacyRaw(requestParameters: UpdateUserLegacyRequest, initOverrides?: RequestInit): Promise<runtime.ApiResponse<UserResponse>>;
    /**
     * Update a user (deprecated - use /environments/{environmentId}/users/{userId} instead)
     */
    updateUserLegacy(requestParameters: UpdateUserLegacyRequest, initOverrides?: RequestInit): Promise<UserResponse>;
}
