'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var runtime = require('./runtime.cjs');
var AllowlistsApi = require('./apis/AllowlistsApi.cjs');
var AnalyticsApi = require('./apis/AnalyticsApi.cjs');
var ChainalysisApi = require('./apis/ChainalysisApi.cjs');
var ChainsApi = require('./apis/ChainsApi.cjs');
var CustomFieldsApi = require('./apis/CustomFieldsApi.cjs');
var CustomHostnamesApi = require('./apis/CustomHostnamesApi.cjs');
var CustomNetworksApi = require('./apis/CustomNetworksApi.cjs');
var DeeplinkUrlsApi = require('./apis/DeeplinkUrlsApi.cjs');
var EnvironmentsApi = require('./apis/EnvironmentsApi.cjs');
var EventsApi = require('./apis/EventsApi.cjs');
var ExportsApi = require('./apis/ExportsApi.cjs');
var ExternalJwtApi = require('./apis/ExternalJwtApi.cjs');
var GatesApi = require('./apis/GatesApi.cjs');
var GlobalWalletAccessControlApi = require('./apis/GlobalWalletAccessControlApi.cjs');
var GlobalWalletsApi = require('./apis/GlobalWalletsApi.cjs');
var InvitesApi = require('./apis/InvitesApi.cjs');
var MembersApi = require('./apis/MembersApi.cjs');
var MfaApi = require('./apis/MfaApi.cjs');
var MfaSettingsApi = require('./apis/MfaSettingsApi.cjs');
var NameServicesApi = require('./apis/NameServicesApi.cjs');
var OrganizationsApi = require('./apis/OrganizationsApi.cjs');
var OriginsApi = require('./apis/OriginsApi.cjs');
var ProjectsApi = require('./apis/ProjectsApi.cjs');
var SDKApi = require('./apis/SDKApi.cjs');
var SDKViewsApi = require('./apis/SDKViewsApi.cjs');
var SessionsApi = require('./apis/SessionsApi.cjs');
var SettingsApi = require('./apis/SettingsApi.cjs');
var TestAccountApi = require('./apis/TestAccountApi.cjs');
var TokensApi = require('./apis/TokensApi.cjs');
var UserApiTokensApi = require('./apis/UserApiTokensApi.cjs');
var UsersApi = require('./apis/UsersApi.cjs');
var VisitsApi = require('./apis/VisitsApi.cjs');
var WaasApi = require('./apis/WaasApi.cjs');
var WalletsApi = require('./apis/WalletsApi.cjs');
var WebhooksApi = require('./apis/WebhooksApi.cjs');
var AccessOutcomeEnum = require('./models/AccessOutcomeEnum.cjs');
var Account = require('./models/Account.cjs');
var AccountBalances = require('./models/AccountBalances.cjs');
var AddDeeplinkUrlRequest = require('./models/AddDeeplinkUrlRequest.cjs');
var Allowlist = require('./models/Allowlist.cjs');
var AllowlistEntriesResponse = require('./models/AllowlistEntriesResponse.cjs');
var AllowlistEntry = require('./models/AllowlistEntry.cjs');
var AnalyticsSessionsByDate = require('./models/AnalyticsSessionsByDate.cjs');
var AnalyticsSessionsByDateSessions = require('./models/AnalyticsSessionsByDateSessions.cjs');
var AnalyticsVisitResponse = require('./models/AnalyticsVisitResponse.cjs');
var Asset = require('./models/Asset.cjs');
var AssetDiff = require('./models/AssetDiff.cjs');
var AssetExposure = require('./models/AssetExposure.cjs');
var AssetExposureSpenderToInfo = require('./models/AssetExposureSpenderToInfo.cjs');
var AssetTransfer = require('./models/AssetTransfer.cjs');
var AttestationConveyancePreference = require('./models/AttestationConveyancePreference.cjs');
var AuthModeEnum = require('./models/AuthModeEnum.cjs');
var AuthSettings = require('./models/AuthSettings.cjs');
var AuthStorageEnum = require('./models/AuthStorageEnum.cjs');
var AuthenticationExtensionsClientInputs = require('./models/AuthenticationExtensionsClientInputs.cjs');
var AuthenticationExtensionsClientOutputs = require('./models/AuthenticationExtensionsClientOutputs.cjs');
var AuthenticatorAssertionResponse = require('./models/AuthenticatorAssertionResponse.cjs');
var AuthenticatorAttachment = require('./models/AuthenticatorAttachment.cjs');
var AuthenticatorAttestationResponse = require('./models/AuthenticatorAttestationResponse.cjs');
var AuthenticatorSelectionCriteria = require('./models/AuthenticatorSelectionCriteria.cjs');
var AuthenticatorTransportProtocol = require('./models/AuthenticatorTransportProtocol.cjs');
var BackupMultipleClientKeySharesRequest = require('./models/BackupMultipleClientKeySharesRequest.cjs');
var BackupMultipleClientKeySharesResponse = require('./models/BackupMultipleClientKeySharesResponse.cjs');
var BadGateway = require('./models/BadGateway.cjs');
var BadRequest = require('./models/BadRequest.cjs');
var BaseUser = require('./models/BaseUser.cjs');
var BillingSubscription = require('./models/BillingSubscription.cjs');
var BillingSubscriptionCoupon = require('./models/BillingSubscriptionCoupon.cjs');
var BillingSubscriptionPeriod = require('./models/BillingSubscriptionPeriod.cjs');
var BillingSubscriptionPlanTypeEnum = require('./models/BillingSubscriptionPlanTypeEnum.cjs');
var BlockaidValidation = require('./models/BlockaidValidation.cjs');
var BulkUserCreateResponse = require('./models/BulkUserCreateResponse.cjs');
var BulkUserCreateResponseFailed = require('./models/BulkUserCreateResponseFailed.cjs');
var ChainConfiguration = require('./models/ChainConfiguration.cjs');
var ChainEnum = require('./models/ChainEnum.cjs');
var ChainToken = require('./models/ChainToken.cjs');
var ChainalysisCheck = require('./models/ChainalysisCheck.cjs');
var ChainalysisCheckResultEnum = require('./models/ChainalysisCheckResultEnum.cjs');
var ChainalysisConfiguration = require('./models/ChainalysisConfiguration.cjs');
var CoinbaseMpcWalletProperties = require('./models/CoinbaseMpcWalletProperties.cjs');
var CompletePasskeyRecoveryRequest = require('./models/CompletePasskeyRecoveryRequest.cjs');
var ConnectRequest = require('./models/ConnectRequest.cjs');
var CreateEmbeddedWalletParams = require('./models/CreateEmbeddedWalletParams.cjs');
var CreateEmbeddedWalletSpecificOpts = require('./models/CreateEmbeddedWalletSpecificOpts.cjs');
var CreateEmbeddedWalletsRequest = require('./models/CreateEmbeddedWalletsRequest.cjs');
var CreateMfaToken = require('./models/CreateMfaToken.cjs');
var CreateProjectResponse = require('./models/CreateProjectResponse.cjs');
var CreateProjectResponseProject = require('./models/CreateProjectResponseProject.cjs');
var CreateProjectResponseProjectProjectEnvironments = require('./models/CreateProjectResponseProjectProjectEnvironments.cjs');
var CreateTokenResponse = require('./models/CreateTokenResponse.cjs');
var CreateTurnkeyEmbeddedWalletSpecificOpts = require('./models/CreateTurnkeyEmbeddedWalletSpecificOpts.cjs');
var CreateUserEmbeddedWalletsFromFarcasterRequest = require('./models/CreateUserEmbeddedWalletsFromFarcasterRequest.cjs');
var CreateUserEmbeddedWalletsRequest = require('./models/CreateUserEmbeddedWalletsRequest.cjs');
var CreateUserOauthRequest = require('./models/CreateUserOauthRequest.cjs');
var CreateWaasAccountRequest = require('./models/CreateWaasAccountRequest.cjs');
var CreateWalletAccountRequest = require('./models/CreateWalletAccountRequest.cjs');
var CreateWalletRequest = require('./models/CreateWalletRequest.cjs');
var Currency = require('./models/Currency.cjs');
var CurrencyType = require('./models/CurrencyType.cjs');
var CustomField = require('./models/CustomField.cjs');
var CustomFieldRequest = require('./models/CustomFieldRequest.cjs');
var CustomFieldType = require('./models/CustomFieldType.cjs');
var CustomFieldValidValue = require('./models/CustomFieldValidValue.cjs');
var CustomFieldValidationRules = require('./models/CustomFieldValidationRules.cjs');
var CustomHostname = require('./models/CustomHostname.cjs');
var CustomHostnameCreateRequest = require('./models/CustomHostnameCreateRequest.cjs');
var CustomHostnameStatusEnum = require('./models/CustomHostnameStatusEnum.cjs');
var CustomHostnameUsageEnum = require('./models/CustomHostnameUsageEnum.cjs');
var CustomHostnameVerificationRecord = require('./models/CustomHostnameVerificationRecord.cjs');
var CustomHostnameVerificationType = require('./models/CustomHostnameVerificationType.cjs');
var CustomHostnamesResponse = require('./models/CustomHostnamesResponse.cjs');
var CustomNetworkRequest = require('./models/CustomNetworkRequest.cjs');
var CustomNetworkResponse = require('./models/CustomNetworkResponse.cjs');
var CustomNetworkResponseCustomNetwork = require('./models/CustomNetworkResponseCustomNetwork.cjs');
var DeeplinkUrlResponse = require('./models/DeeplinkUrlResponse.cjs');
var DeeplinkUrlsResponse = require('./models/DeeplinkUrlsResponse.cjs');
var DeleteEmbeddedWalletsRequest = require('./models/DeleteEmbeddedWalletsRequest.cjs');
var DnsRecordType = require('./models/DnsRecordType.cjs');
var Duration = require('./models/Duration.cjs');
var DynamicJwt = require('./models/DynamicJwt.cjs');
var EcdsaValidatorOptions = require('./models/EcdsaValidatorOptions.cjs');
var EmailProviderResponse = require('./models/EmailProviderResponse.cjs');
var EmailVerificationCreateRequest = require('./models/EmailVerificationCreateRequest.cjs');
var EmailVerificationCreateResponse = require('./models/EmailVerificationCreateResponse.cjs');
var EmailVerificationRetryRequest = require('./models/EmailVerificationRetryRequest.cjs');
var EmailVerificationVerifyRequest = require('./models/EmailVerificationVerifyRequest.cjs');
var EmbeddedWalletAuthToken = require('./models/EmbeddedWalletAuthToken.cjs');
var EmbeddedWalletAuthType = require('./models/EmbeddedWalletAuthType.cjs');
var EmbeddedWalletChainEnum = require('./models/EmbeddedWalletChainEnum.cjs');
var EmbeddedWalletPasscodeClaimRequest = require('./models/EmbeddedWalletPasscodeClaimRequest.cjs');
var EmbeddedWalletProviderEnum = require('./models/EmbeddedWalletProviderEnum.cjs');
var EmbeddedWalletSecret = require('./models/EmbeddedWalletSecret.cjs');
var EmbeddedWalletSecretWithUpdatedJwt = require('./models/EmbeddedWalletSecretWithUpdatedJwt.cjs');
var EmbeddedWalletSecretWithUpdatedJwtAllOf = require('./models/EmbeddedWalletSecretWithUpdatedJwtAllOf.cjs');
var EmbeddedWalletSecurityMethod = require('./models/EmbeddedWalletSecurityMethod.cjs');
var EmbeddedWalletVersionEnum = require('./models/EmbeddedWalletVersionEnum.cjs');
var EnvironmentEnum = require('./models/EnvironmentEnum.cjs');
var EnvironmentVisitorsResponse = require('./models/EnvironmentVisitorsResponse.cjs');
var EnvironmentVisitorsResponseUsers = require('./models/EnvironmentVisitorsResponseUsers.cjs');
var EnvironmentsResponse = require('./models/EnvironmentsResponse.cjs');
var EnvironmentsResponseEnvironments = require('./models/EnvironmentsResponseEnvironments.cjs');
var ErrorMessageWithCode = require('./models/ErrorMessageWithCode.cjs');
var Event = require('./models/Event.cjs');
var EventType = require('./models/EventType.cjs');
var ExchangeKeyEnum = require('./models/ExchangeKeyEnum.cjs');
var Export = require('./models/Export.cjs');
var ExportCreateRequest = require('./models/ExportCreateRequest.cjs');
var ExportCreateRequestFilter = require('./models/ExportCreateRequestFilter.cjs');
var ExportEmbeddedWalletResponse = require('./models/ExportEmbeddedWalletResponse.cjs');
var ExportFormatEnum = require('./models/ExportFormatEnum.cjs');
var ExportModelEnum = require('./models/ExportModelEnum.cjs');
var ExportStatusEnum = require('./models/ExportStatusEnum.cjs');
var ExportWaasWalletPrivateKeyRequest = require('./models/ExportWaasWalletPrivateKeyRequest.cjs');
var ExportsResponse = require('./models/ExportsResponse.cjs');
var ExternalAuth = require('./models/ExternalAuth.cjs');
var ExternalAuthSigninRequest = require('./models/ExternalAuthSigninRequest.cjs');
var ExternalJwtCheckRequest = require('./models/ExternalJwtCheckRequest.cjs');
var ExternalJwtCheckResponse = require('./models/ExternalJwtCheckResponse.cjs');
var ExternalWalletFundingDefaultChain = require('./models/ExternalWalletFundingDefaultChain.cjs');
var ExternalWalletFundingDefaultSettings = require('./models/ExternalWalletFundingDefaultSettings.cjs');
var ExternalWalletFundingDefaultSettingsToken = require('./models/ExternalWalletFundingDefaultSettingsToken.cjs');
var ExternalWalletFundingTokenRule = require('./models/ExternalWalletFundingTokenRule.cjs');
var FarcasterSignInRequest = require('./models/FarcasterSignInRequest.cjs');
var FeatureFlags = require('./models/FeatureFlags.cjs');
var Forbidden = require('./models/Forbidden.cjs');
var ForbiddenErrorPayload = require('./models/ForbiddenErrorPayload.cjs');
var ForbiddenWithErrorAndPayload = require('./models/ForbiddenWithErrorAndPayload.cjs');
var FrameworkSettings = require('./models/FrameworkSettings.cjs');
var Funding = require('./models/Funding.cjs');
var FundingExternalWallets = require('./models/FundingExternalWallets.cjs');
var FundingExternalWalletsDefaultSettings = require('./models/FundingExternalWalletsDefaultSettings.cjs');
var FundingExternalWalletsMinAmount = require('./models/FundingExternalWalletsMinAmount.cjs');
var Gate = require('./models/Gate.cjs');
var GateCreateRequest = require('./models/GateCreateRequest.cjs');
var GateRule = require('./models/GateRule.cjs');
var GateRuleFilter = require('./models/GateRuleFilter.cjs');
var GateRuleType = require('./models/GateRuleType.cjs');
var GateUpdateRequest = require('./models/GateUpdateRequest.cjs');
var GatesResponse = require('./models/GatesResponse.cjs');
var GetUserPasskeysResponse = require('./models/GetUserPasskeysResponse.cjs');
var GlobalWalletAccessControlDomainCreateRequest = require('./models/GlobalWalletAccessControlDomainCreateRequest.cjs');
var GlobalWalletAccessControlDomainResponse = require('./models/GlobalWalletAccessControlDomainResponse.cjs');
var GlobalWalletAccessControlResponse = require('./models/GlobalWalletAccessControlResponse.cjs');
var GlobalWalletAccessControlTypeEnum = require('./models/GlobalWalletAccessControlTypeEnum.cjs');
var GlobalWalletAccessControlUpdateRequest = require('./models/GlobalWalletAccessControlUpdateRequest.cjs');
var GlobalWalletSettings = require('./models/GlobalWalletSettings.cjs');
var GlobalWalletSettingsCreateRequest = require('./models/GlobalWalletSettingsCreateRequest.cjs');
var GlobalWalletSettingsCreateRequestCustomMenuLinks = require('./models/GlobalWalletSettingsCreateRequestCustomMenuLinks.cjs');
var GlobalWalletSettingsUpdateRequest = require('./models/GlobalWalletSettingsUpdateRequest.cjs');
var HCaptchaSettings = require('./models/HCaptchaSettings.cjs');
var HardwareWalletEnum = require('./models/HardwareWalletEnum.cjs');
var HardwareWalletProperties = require('./models/HardwareWalletProperties.cjs');
var HealthcheckResponse = require('./models/HealthcheckResponse.cjs');
var HealthcheckStatus = require('./models/HealthcheckStatus.cjs');
var ImportWaasPrivateKeyRequest = require('./models/ImportWaasPrivateKeyRequest.cjs');
var InitEmailAuthRequest = require('./models/InitEmailAuthRequest.cjs');
var InitEmailAuthResponse = require('./models/InitEmailAuthResponse.cjs');
var InitPasskeyRecoveryRequest = require('./models/InitPasskeyRecoveryRequest.cjs');
var InitPasskeyRecoveryResponse = require('./models/InitPasskeyRecoveryResponse.cjs');
var InlineObject = require('./models/InlineObject.cjs');
var InlineResponse200 = require('./models/InlineResponse200.cjs');
var InlineResponse201 = require('./models/InlineResponse201.cjs');
var InlineResponse400 = require('./models/InlineResponse400.cjs');
var IntegrationSetting = require('./models/IntegrationSetting.cjs');
var InternalBulkUpdateUserFields = require('./models/InternalBulkUpdateUserFields.cjs');
var InternalBulkUpdateUserFieldsAllOf = require('./models/InternalBulkUpdateUserFieldsAllOf.cjs');
var InternalServerError = require('./models/InternalServerError.cjs');
var InternalUpdatableUserFields = require('./models/InternalUpdatableUserFields.cjs');
var InternalUserFields = require('./models/InternalUserFields.cjs');
var InternalUserFieldsAllOf = require('./models/InternalUserFieldsAllOf.cjs');
var Invite = require('./models/Invite.cjs');
var InviteConflictResponse = require('./models/InviteConflictResponse.cjs');
var InviteSendRequest = require('./models/InviteSendRequest.cjs');
var InviteStatusEnum = require('./models/InviteStatusEnum.cjs');
var InviteUpdateRequest = require('./models/InviteUpdateRequest.cjs');
var InvitesResponse = require('./models/InvitesResponse.cjs');
var JwksKey = require('./models/JwksKey.cjs');
var JwksResponse = require('./models/JwksResponse.cjs');
var JwtBlockchainAccount = require('./models/JwtBlockchainAccount.cjs');
var JwtPayloadDeprecatedInfo = require('./models/JwtPayloadDeprecatedInfo.cjs');
var JwtVerifiedCredential = require('./models/JwtVerifiedCredential.cjs');
var JwtVerifiedCredentialFormatEnum = require('./models/JwtVerifiedCredentialFormatEnum.cjs');
var JwtVerifiedCredentialHashes = require('./models/JwtVerifiedCredentialHashes.cjs');
var Key = require('./models/Key.cjs');
var KeyResponse = require('./models/KeyResponse.cjs');
var KycFieldType = require('./models/KycFieldType.cjs');
var MFAAuthPasskeyDeviceGetResponse = require('./models/MFAAuthPasskeyDeviceGetResponse.cjs');
var MFAAuthPasskeyDeviceGetResponseAssertion = require('./models/MFAAuthPasskeyDeviceGetResponseAssertion.cjs');
var MFAAuthPasskeyDevicePostRequest = require('./models/MFAAuthPasskeyDevicePostRequest.cjs');
var MFAAuthRecoveryDevicePostRequest = require('./models/MFAAuthRecoveryDevicePostRequest.cjs');
var MFAAuthTotpDevicePostRequest = require('./models/MFAAuthTotpDevicePostRequest.cjs');
var MFADevice = require('./models/MFADevice.cjs');
var MFADeviceType = require('./models/MFADeviceType.cjs');
var MFAGetRecoveryCodesResponse = require('./models/MFAGetRecoveryCodesResponse.cjs');
var MFAListDevicesResponse = require('./models/MFAListDevicesResponse.cjs');
var MFARegenRecoveryCodesResponse = require('./models/MFARegenRecoveryCodesResponse.cjs');
var MFARegisterPasskeyDeviceGetResponse = require('./models/MFARegisterPasskeyDeviceGetResponse.cjs');
var MFARegisterPasskeyDeviceGetResponseRegistration = require('./models/MFARegisterPasskeyDeviceGetResponseRegistration.cjs');
var MFARegisterPasskeyDevicePostRequest = require('./models/MFARegisterPasskeyDevicePostRequest.cjs');
var MFARegisterTotpDeviceGetResponse = require('./models/MFARegisterTotpDeviceGetResponse.cjs');
var MFARegisterTotpDevicePostRequest = require('./models/MFARegisterTotpDevicePostRequest.cjs');
var MFASettings = require('./models/MFASettings.cjs');
var MFAUpdateDeviceRequest = require('./models/MFAUpdateDeviceRequest.cjs');
var MemberResponse = require('./models/MemberResponse.cjs');
var MemberRoleField = require('./models/MemberRoleField.cjs');
var MergeConflicts = require('./models/MergeConflicts.cjs');
var MergeUser = require('./models/MergeUser.cjs');
var MergeUserConflict = require('./models/MergeUserConflict.cjs');
var MergeUserConflictResolution = require('./models/MergeUserConflictResolution.cjs');
var MergeUserConflictResolutions = require('./models/MergeUserConflictResolutions.cjs');
var MethodNotAllowed = require('./models/MethodNotAllowed.cjs');
var MfaBackupCodeAcknowledgement = require('./models/MfaBackupCodeAcknowledgement.cjs');
var MinifiedDynamicJwt = require('./models/MinifiedDynamicJwt.cjs');
var MobileSettings = require('./models/MobileSettings.cjs');
var NameService = require('./models/NameService.cjs');
var NameServiceCreateRequest = require('./models/NameServiceCreateRequest.cjs');
var NameServiceData = require('./models/NameServiceData.cjs');
var NameServiceResponse = require('./models/NameServiceResponse.cjs');
var NameServiceSdkSettings = require('./models/NameServiceSdkSettings.cjs');
var NameServiceSdkSettingsEvm = require('./models/NameServiceSdkSettingsEvm.cjs');
var NameServiceSigningMessage = require('./models/NameServiceSigningMessage.cjs');
var NameServiceSigningMessageRequest = require('./models/NameServiceSigningMessageRequest.cjs');
var NativeCurrency = require('./models/NativeCurrency.cjs');
var Network = require('./models/Network.cjs');
var NetworkConfiguration = require('./models/NetworkConfiguration.cjs');
var NetworkConfigurationResponse = require('./models/NetworkConfigurationResponse.cjs');
var NextJsSettings = require('./models/NextJsSettings.cjs');
var NextViewEnum = require('./models/NextViewEnum.cjs');
var NonceResponse = require('./models/NonceResponse.cjs');
var NotFound = require('./models/NotFound.cjs');
var OAuthAccount = require('./models/OAuthAccount.cjs');
var OauthInitAuthRequest = require('./models/OauthInitAuthRequest.cjs');
var OauthProviderLoginUrl = require('./models/OauthProviderLoginUrl.cjs');
var OauthProviderRequest = require('./models/OauthProviderRequest.cjs');
var OauthRequest = require('./models/OauthRequest.cjs');
var OauthResultRequest = require('./models/OauthResultRequest.cjs');
var OauthResultResponse = require('./models/OauthResultResponse.cjs');
var OauthResultStatus = require('./models/OauthResultStatus.cjs');
var OnrampProviders = require('./models/OnrampProviders.cjs');
var OpenRoomResponse = require('./models/OpenRoomResponse.cjs');
var OpenRoomResponseForReshare = require('./models/OpenRoomResponseForReshare.cjs');
var OpenRoomResponseWithServerKeygenIds = require('./models/OpenRoomResponseWithServerKeygenIds.cjs');
var Organization = require('./models/Organization.cjs');
var OrganizationFields = require('./models/OrganizationFields.cjs');
var OrganizationMember = require('./models/OrganizationMember.cjs');
var OrganizationMembersResponse = require('./models/OrganizationMembersResponse.cjs');
var OrganizationMfaSettings = require('./models/OrganizationMfaSettings.cjs');
var OrganizationMfaSettingsResponse = require('./models/OrganizationMfaSettingsResponse.cjs');
var OrganizationRequest = require('./models/OrganizationRequest.cjs');
var OrganizationResponse = require('./models/OrganizationResponse.cjs');
var OrganizationResponseOrganization = require('./models/OrganizationResponseOrganization.cjs');
var OrganizationsResponse = require('./models/OrganizationsResponse.cjs');
var OriginResponse = require('./models/OriginResponse.cjs');
var OriginsResponse = require('./models/OriginsResponse.cjs');
var PasskeyAuthRequest = require('./models/PasskeyAuthRequest.cjs');
var PasskeyRegisterVerifyRequest = require('./models/PasskeyRegisterVerifyRequest.cjs');
var PasskeyRegistrationCredential = require('./models/PasskeyRegistrationCredential.cjs');
var PasskeyStorage = require('./models/PasskeyStorage.cjs');
var PasswordSourceTypeEnum = require('./models/PasswordSourceTypeEnum.cjs');
var PostAllowlistEntriesRequest = require('./models/PostAllowlistEntriesRequest.cjs');
var PostAllowlistsRequest = require('./models/PostAllowlistsRequest.cjs');
var PostTokenFields = require('./models/PostTokenFields.cjs');
var PrefetchRequest = require('./models/PrefetchRequest.cjs');
var PriceData = require('./models/PriceData.cjs');
var Project = require('./models/Project.cjs');
var ProjectEnvironment = require('./models/ProjectEnvironment.cjs');
var ProjectProjectEnvironments = require('./models/ProjectProjectEnvironments.cjs');
var ProjectRequest = require('./models/ProjectRequest.cjs');
var ProjectSettings = require('./models/ProjectSettings.cjs');
var ProjectSettingsChains = require('./models/ProjectSettingsChains.cjs');
var ProjectSettingsDesign = require('./models/ProjectSettingsDesign.cjs');
var ProjectSettingsDesignButton = require('./models/ProjectSettingsDesignButton.cjs');
var ProjectSettingsDesignModal = require('./models/ProjectSettingsDesignModal.cjs');
var ProjectSettingsDesignWidget = require('./models/ProjectSettingsDesignWidget.cjs');
var ProjectSettingsGeneral = require('./models/ProjectSettingsGeneral.cjs');
var ProjectSettingsKyc = require('./models/ProjectSettingsKyc.cjs');
var ProjectSettingsPrivacy = require('./models/ProjectSettingsPrivacy.cjs');
var ProjectSettingsSdk = require('./models/ProjectSettingsSdk.cjs');
var ProjectSettingsSdkAccountAbstraction = require('./models/ProjectSettingsSdkAccountAbstraction.cjs');
var ProjectSettingsSdkEmailSignIn = require('./models/ProjectSettingsSdkEmailSignIn.cjs');
var ProjectSettingsSdkEmbeddedWallets = require('./models/ProjectSettingsSdkEmbeddedWallets.cjs');
var ProjectSettingsSdkSocialSignIn = require('./models/ProjectSettingsSdkSocialSignIn.cjs');
var ProjectSettingsSdkWaas = require('./models/ProjectSettingsSdkWaas.cjs');
var ProjectSettingsSdkWaasOnSignUp = require('./models/ProjectSettingsSdkWaasOnSignUp.cjs');
var ProjectSettingsSdkWalletConnect = require('./models/ProjectSettingsSdkWalletConnect.cjs');
var ProjectSettingsSecurity = require('./models/ProjectSettingsSecurity.cjs');
var ProjectsResponse = require('./models/ProjectsResponse.cjs');
var Provider = require('./models/Provider.cjs');
var ProviderAgreement = require('./models/ProviderAgreement.cjs');
var ProviderCreateRequest = require('./models/ProviderCreateRequest.cjs');
var ProviderCreateRequestMultichainAccountAbstractionProviders = require('./models/ProviderCreateRequestMultichainAccountAbstractionProviders.cjs');
var ProviderEntryPointVersionEnum = require('./models/ProviderEntryPointVersionEnum.cjs');
var ProviderEnum = require('./models/ProviderEnum.cjs');
var ProviderKernelVersionEnum = require('./models/ProviderKernelVersionEnum.cjs');
var ProviderUpdateRequest = require('./models/ProviderUpdateRequest.cjs');
var ProviderUrl = require('./models/ProviderUrl.cjs');
var ProviderUrlsResponse = require('./models/ProviderUrlsResponse.cjs');
var ProvidersResponse = require('./models/ProvidersResponse.cjs');
var PublicKeyCredentialDescriptor = require('./models/PublicKeyCredentialDescriptor.cjs');
var PublicKeyCredentialParameters = require('./models/PublicKeyCredentialParameters.cjs');
var PublicKeyCredentialRpEntity = require('./models/PublicKeyCredentialRpEntity.cjs');
var PublicKeyCredentialType = require('./models/PublicKeyCredentialType.cjs');
var PublicKeyCredentialUserEntity = require('./models/PublicKeyCredentialUserEntity.cjs');
var PublishEvents = require('./models/PublishEvents.cjs');
var PublishEventsEvents = require('./models/PublishEventsEvents.cjs');
var RampConfiguration = require('./models/RampConfiguration.cjs');
var ReactSettings = require('./models/ReactSettings.cjs');
var RecoverMultipleClientKeySharesRequest = require('./models/RecoverMultipleClientKeySharesRequest.cjs');
var RecoverMultipleClientKeySharesResponse = require('./models/RecoverMultipleClientKeySharesResponse.cjs');
var RegisterEmbeddedWalletSessionKeyResponse = require('./models/RegisterEmbeddedWalletSessionKeyResponse.cjs');
var RegisterSessionKeyRequest = require('./models/RegisterSessionKeyRequest.cjs');
var ReshareRequest = require('./models/ReshareRequest.cjs');
var ResidentKeyRequirement = require('./models/ResidentKeyRequirement.cjs');
var RoleEnum = require('./models/RoleEnum.cjs');
var ScanWebsiteUrlRequest = require('./models/ScanWebsiteUrlRequest.cjs');
var ScanWebsiteUrlResponse = require('./models/ScanWebsiteUrlResponse.cjs');
var SdkSettingsRequest = require('./models/SdkSettingsRequest.cjs');
var SdkUser = require('./models/SdkUser.cjs');
var SdkView = require('./models/SdkView.cjs');
var SdkViewSection = require('./models/SdkViewSection.cjs');
var SdkViewSectionAlignment = require('./models/SdkViewSectionAlignment.cjs');
var SdkViewSectionType = require('./models/SdkViewSectionType.cjs');
var SdkViewType = require('./models/SdkViewType.cjs');
var SdkViewUpdateRequest = require('./models/SdkViewUpdateRequest.cjs');
var SdkViewsResponse = require('./models/SdkViewsResponse.cjs');
var Session = require('./models/Session.cjs');
var SignInProviderEnum = require('./models/SignInProviderEnum.cjs');
var SignMessageWithWaasRequest = require('./models/SignMessageWithWaasRequest.cjs');
var SignTransactionWithWaasRequest = require('./models/SignTransactionWithWaasRequest.cjs');
var SimulateEVMTransactionRequest = require('./models/SimulateEVMTransactionRequest.cjs');
var SimulateSVMTransactionRequest = require('./models/SimulateSVMTransactionRequest.cjs');
var SimulateTransactionResponse = require('./models/SimulateTransactionResponse.cjs');
var SimulateUserOpRequest = require('./models/SimulateUserOpRequest.cjs');
var SmartWalletProperties = require('./models/SmartWalletProperties.cjs');
var SmsCountryCode = require('./models/SmsCountryCode.cjs');
var SmsVerificationCreateRequest = require('./models/SmsVerificationCreateRequest.cjs');
var SmsVerificationCreateResponse = require('./models/SmsVerificationCreateResponse.cjs');
var SmsVerificationRetryRequest = require('./models/SmsVerificationRetryRequest.cjs');
var SmsVerificationVerifyRequest = require('./models/SmsVerificationVerifyRequest.cjs');
var SocialSignInProvider = require('./models/SocialSignInProvider.cjs');
var SocialSignInProviderEnum = require('./models/SocialSignInProviderEnum.cjs');
var SolanaTransactionOptimizationRequest = require('./models/SolanaTransactionOptimizationRequest.cjs');
var SolanaTransactionOptimizationResponse = require('./models/SolanaTransactionOptimizationResponse.cjs');
var SubscriptionAdvancedScopeEnum = require('./models/SubscriptionAdvancedScopeEnum.cjs');
var SubscriptionFreeScopeEnum = require('./models/SubscriptionFreeScopeEnum.cjs');
var SupportedOfframpsResponse = require('./models/SupportedOfframpsResponse.cjs');
var SupportedOnrampsResponse = require('./models/SupportedOnrampsResponse.cjs');
var SupportedSecurityMethod = require('./models/SupportedSecurityMethod.cjs');
var SupportedSecurityMethods = require('./models/SupportedSecurityMethods.cjs');
var TelegramPostRequest = require('./models/TelegramPostRequest.cjs');
var TelegramUser = require('./models/TelegramUser.cjs');
var TestAccountResponse = require('./models/TestAccountResponse.cjs');
var ThresholdSignatureScheme = require('./models/ThresholdSignatureScheme.cjs');
var TimeUnitEnum = require('./models/TimeUnitEnum.cjs');
var Token = require('./models/Token.cjs');
var TokenAddress = require('./models/TokenAddress.cjs');
var TokenBalance = require('./models/TokenBalance.cjs');
var TokenCreatedBy = require('./models/TokenCreatedBy.cjs');
var TokenWithRaw = require('./models/TokenWithRaw.cjs');
var TokenWithRawProjectEnvironment = require('./models/TokenWithRawProjectEnvironment.cjs');
var TokensResponse = require('./models/TokensResponse.cjs');
var TooManyRequests = require('./models/TooManyRequests.cjs');
var TurnkeyCreateWalletAccountsRequestBody = require('./models/TurnkeyCreateWalletAccountsRequestBody.cjs');
var TurnkeyCreateWalletAccountsRequestBodyParameters = require('./models/TurnkeyCreateWalletAccountsRequestBodyParameters.cjs');
var TurnkeyDeleteEmbeddedWalletsRequestBody = require('./models/TurnkeyDeleteEmbeddedWalletsRequestBody.cjs');
var TurnkeyDeleteEmbeddedWalletsRequestBodyParameters = require('./models/TurnkeyDeleteEmbeddedWalletsRequestBodyParameters.cjs');
var TurnkeySignedRequest = require('./models/TurnkeySignedRequest.cjs');
var TurnkeyStamp = require('./models/TurnkeyStamp.cjs');
var TurnkeyWalletAccount = require('./models/TurnkeyWalletAccount.cjs');
var TurnkeyWalletProperties = require('./models/TurnkeyWalletProperties.cjs');
var Unauthorized = require('./models/Unauthorized.cjs');
var UnprocessableEntity = require('./models/UnprocessableEntity.cjs');
var UnprocessableEntityErrorCode = require('./models/UnprocessableEntityErrorCode.cjs');
var UnprocessableEntityErrorPayload = require('./models/UnprocessableEntityErrorPayload.cjs');
var UpdateProjectRequest = require('./models/UpdateProjectRequest.cjs');
var UpdateProjectResponse = require('./models/UpdateProjectResponse.cjs');
var UpdateRecoveryEmailRequest = require('./models/UpdateRecoveryEmailRequest.cjs');
var UpdateSelfResponse = require('./models/UpdateSelfResponse.cjs');
var UpdateSelfResponseAllOf = require('./models/UpdateSelfResponseAllOf.cjs');
var UpdateUserPasskeyRequest = require('./models/UpdateUserPasskeyRequest.cjs');
var UpgradeEmbeddedWalletToV2Request = require('./models/UpgradeEmbeddedWalletToV2Request.cjs');
var User = require('./models/User.cjs');
var UserAllOf = require('./models/UserAllOf.cjs');
var UserFields = require('./models/UserFields.cjs');
var UserFieldsCheckEnum = require('./models/UserFieldsCheckEnum.cjs');
var UserFieldsCheckParams = require('./models/UserFieldsCheckParams.cjs');
var UserFieldsCheckResponse = require('./models/UserFieldsCheckResponse.cjs');
var UserFilterableFieldsEnum = require('./models/UserFilterableFieldsEnum.cjs');
var UserIdentifierTypeEnum = require('./models/UserIdentifierTypeEnum.cjs');
var UserOauthAccessTokenResponse = require('./models/UserOauthAccessTokenResponse.cjs');
var UserPasskey = require('./models/UserPasskey.cjs');
var UserResponse = require('./models/UserResponse.cjs');
var UserSearchFilterParams = require('./models/UserSearchFilterParams.cjs');
var UserVerificationRequirement = require('./models/UserVerificationRequirement.cjs');
var UserWalletSelectionRequest = require('./models/UserWalletSelectionRequest.cjs');
var UserWalletsResponse = require('./models/UserWalletsResponse.cjs');
var UsersResponse = require('./models/UsersResponse.cjs');
var V6UserOp = require('./models/V6UserOp.cjs');
var V7UserOp = require('./models/V7UserOp.cjs');
var VerifyRequest = require('./models/VerifyRequest.cjs');
var VerifyResponse = require('./models/VerifyResponse.cjs');
var VerifyUnlinkRequest = require('./models/VerifyUnlinkRequest.cjs');
var Visitor = require('./models/Visitor.cjs');
var VisitorFilterableFieldsEnum = require('./models/VisitorFilterableFieldsEnum.cjs');
var VisitorSearchFilterParams = require('./models/VisitorSearchFilterParams.cjs');
var VisitorsResponse = require('./models/VisitorsResponse.cjs');
var WaasAuthenticateResponse = require('./models/WaasAuthenticateResponse.cjs');
var WaasAuthenticateResponseEncodedJwts = require('./models/WaasAuthenticateResponseEncodedJwts.cjs');
var WaasBackupOptionsEnum = require('./models/WaasBackupOptionsEnum.cjs');
var WaasWalletProperties = require('./models/WaasWalletProperties.cjs');
var Wallet = require('./models/Wallet.cjs');
var WalletAdditionalAddress = require('./models/WalletAdditionalAddress.cjs');
var WalletAddressType = require('./models/WalletAddressType.cjs');
var WalletKeyShareInfo = require('./models/WalletKeyShareInfo.cjs');
var WalletKeyShareInfoWithEncryptedAccountCredential = require('./models/WalletKeyShareInfoWithEncryptedAccountCredential.cjs');
var WalletKeyShareInfoWithEncryptedAccountCredentialAllOf = require('./models/WalletKeyShareInfoWithEncryptedAccountCredentialAllOf.cjs');
var WalletProperties = require('./models/WalletProperties.cjs');
var WalletProviderEnum = require('./models/WalletProviderEnum.cjs');
var Webhook = require('./models/Webhook.cjs');
var WebhookCreateRequest = require('./models/WebhookCreateRequest.cjs');
var WebhookMessage = require('./models/WebhookMessage.cjs');
var WebhookMessageRedeliveryResponse = require('./models/WebhookMessageRedeliveryResponse.cjs');
var WebhookMessagesResponse = require('./models/WebhookMessagesResponse.cjs');
var WebhookUpdateRequest = require('./models/WebhookUpdateRequest.cjs');
var WebhooksResponse = require('./models/WebhooksResponse.cjs');
var WhenToImplementEnum = require('./models/WhenToImplementEnum.cjs');
var ZerodevBundlerProvider = require('./models/ZerodevBundlerProvider.cjs');



exports.BASE_PATH = runtime.BASE_PATH;
exports.BaseAPI = runtime.BaseAPI;
exports.BlobApiResponse = runtime.BlobApiResponse;
exports.COLLECTION_FORMATS = runtime.COLLECTION_FORMATS;
exports.Configuration = runtime.Configuration;
exports.JSONApiResponse = runtime.JSONApiResponse;
exports.RequiredError = runtime.RequiredError;
exports.TextApiResponse = runtime.TextApiResponse;
exports.VoidApiResponse = runtime.VoidApiResponse;
exports.canConsumeForm = runtime.canConsumeForm;
exports.exists = runtime.exists;
exports.mapValues = runtime.mapValues;
exports.querystring = runtime.querystring;
exports.AllowlistsApi = AllowlistsApi.AllowlistsApi;
exports.AnalyticsApi = AnalyticsApi.AnalyticsApi;
exports.ChainalysisApi = ChainalysisApi.ChainalysisApi;
exports.ChainsApi = ChainsApi.ChainsApi;
exports.CustomFieldsApi = CustomFieldsApi.CustomFieldsApi;
exports.CustomHostnamesApi = CustomHostnamesApi.CustomHostnamesApi;
exports.CustomNetworksApi = CustomNetworksApi.CustomNetworksApi;
exports.DeeplinkUrlsApi = DeeplinkUrlsApi.DeeplinkUrlsApi;
exports.EnvironmentsApi = EnvironmentsApi.EnvironmentsApi;
exports.EventsApi = EventsApi.EventsApi;
exports.ExportsApi = ExportsApi.ExportsApi;
exports.ExternalJwtApi = ExternalJwtApi.ExternalJwtApi;
exports.GatesApi = GatesApi.GatesApi;
exports.GlobalWalletAccessControlApi = GlobalWalletAccessControlApi.GlobalWalletAccessControlApi;
exports.GlobalWalletsApi = GlobalWalletsApi.GlobalWalletsApi;
exports.InvitesApi = InvitesApi.InvitesApi;
exports.MembersApi = MembersApi.MembersApi;
exports.MfaApi = MfaApi.MfaApi;
exports.MfaSettingsApi = MfaSettingsApi.MfaSettingsApi;
exports.NameServicesApi = NameServicesApi.NameServicesApi;
exports.OrganizationsApi = OrganizationsApi.OrganizationsApi;
exports.OriginsApi = OriginsApi.OriginsApi;
exports.ProjectsApi = ProjectsApi.ProjectsApi;
exports.SDKApi = SDKApi.SDKApi;
exports.SDKViewsApi = SDKViewsApi.SDKViewsApi;
exports.SessionsApi = SessionsApi.SessionsApi;
exports.SettingsApi = SettingsApi.SettingsApi;
exports.TestAccountApi = TestAccountApi.TestAccountApi;
exports.TokensApi = TokensApi.TokensApi;
exports.UserApiTokensApi = UserApiTokensApi.UserApiTokensApi;
exports.UsersApi = UsersApi.UsersApi;
exports.VisitsApi = VisitsApi.VisitsApi;
exports.WaasApi = WaasApi.WaasApi;
exports.WalletsApi = WalletsApi.WalletsApi;
exports.WebhooksApi = WebhooksApi.WebhooksApi;
Object.defineProperty(exports, 'AccessOutcomeEnum', {
	enumerable: true,
	get: function () { return AccessOutcomeEnum.AccessOutcomeEnum; }
});
exports.AccessOutcomeEnumFromJSON = AccessOutcomeEnum.AccessOutcomeEnumFromJSON;
exports.AccessOutcomeEnumFromJSONTyped = AccessOutcomeEnum.AccessOutcomeEnumFromJSONTyped;
exports.AccessOutcomeEnumToJSON = AccessOutcomeEnum.AccessOutcomeEnumToJSON;
exports.AccountFromJSON = Account.AccountFromJSON;
exports.AccountFromJSONTyped = Account.AccountFromJSONTyped;
exports.AccountToJSON = Account.AccountToJSON;
exports.AccountBalancesFromJSON = AccountBalances.AccountBalancesFromJSON;
exports.AccountBalancesFromJSONTyped = AccountBalances.AccountBalancesFromJSONTyped;
exports.AccountBalancesToJSON = AccountBalances.AccountBalancesToJSON;
exports.AddDeeplinkUrlRequestFromJSON = AddDeeplinkUrlRequest.AddDeeplinkUrlRequestFromJSON;
exports.AddDeeplinkUrlRequestFromJSONTyped = AddDeeplinkUrlRequest.AddDeeplinkUrlRequestFromJSONTyped;
exports.AddDeeplinkUrlRequestToJSON = AddDeeplinkUrlRequest.AddDeeplinkUrlRequestToJSON;
exports.AllowlistFromJSON = Allowlist.AllowlistFromJSON;
exports.AllowlistFromJSONTyped = Allowlist.AllowlistFromJSONTyped;
exports.AllowlistToJSON = Allowlist.AllowlistToJSON;
exports.AllowlistEntriesResponseFromJSON = AllowlistEntriesResponse.AllowlistEntriesResponseFromJSON;
exports.AllowlistEntriesResponseFromJSONTyped = AllowlistEntriesResponse.AllowlistEntriesResponseFromJSONTyped;
exports.AllowlistEntriesResponseToJSON = AllowlistEntriesResponse.AllowlistEntriesResponseToJSON;
exports.AllowlistEntryFromJSON = AllowlistEntry.AllowlistEntryFromJSON;
exports.AllowlistEntryFromJSONTyped = AllowlistEntry.AllowlistEntryFromJSONTyped;
exports.AllowlistEntryToJSON = AllowlistEntry.AllowlistEntryToJSON;
exports.AnalyticsSessionsByDateFromJSON = AnalyticsSessionsByDate.AnalyticsSessionsByDateFromJSON;
exports.AnalyticsSessionsByDateFromJSONTyped = AnalyticsSessionsByDate.AnalyticsSessionsByDateFromJSONTyped;
exports.AnalyticsSessionsByDateToJSON = AnalyticsSessionsByDate.AnalyticsSessionsByDateToJSON;
exports.AnalyticsSessionsByDateSessionsFromJSON = AnalyticsSessionsByDateSessions.AnalyticsSessionsByDateSessionsFromJSON;
exports.AnalyticsSessionsByDateSessionsFromJSONTyped = AnalyticsSessionsByDateSessions.AnalyticsSessionsByDateSessionsFromJSONTyped;
exports.AnalyticsSessionsByDateSessionsToJSON = AnalyticsSessionsByDateSessions.AnalyticsSessionsByDateSessionsToJSON;
exports.AnalyticsVisitResponseFromJSON = AnalyticsVisitResponse.AnalyticsVisitResponseFromJSON;
exports.AnalyticsVisitResponseFromJSONTyped = AnalyticsVisitResponse.AnalyticsVisitResponseFromJSONTyped;
exports.AnalyticsVisitResponseToJSON = AnalyticsVisitResponse.AnalyticsVisitResponseToJSON;
exports.AssetFromJSON = Asset.AssetFromJSON;
exports.AssetFromJSONTyped = Asset.AssetFromJSONTyped;
exports.AssetToJSON = Asset.AssetToJSON;
exports.AssetDiffFromJSON = AssetDiff.AssetDiffFromJSON;
exports.AssetDiffFromJSONTyped = AssetDiff.AssetDiffFromJSONTyped;
exports.AssetDiffToJSON = AssetDiff.AssetDiffToJSON;
exports.AssetExposureFromJSON = AssetExposure.AssetExposureFromJSON;
exports.AssetExposureFromJSONTyped = AssetExposure.AssetExposureFromJSONTyped;
exports.AssetExposureToJSON = AssetExposure.AssetExposureToJSON;
exports.AssetExposureSpenderToInfoFromJSON = AssetExposureSpenderToInfo.AssetExposureSpenderToInfoFromJSON;
exports.AssetExposureSpenderToInfoFromJSONTyped = AssetExposureSpenderToInfo.AssetExposureSpenderToInfoFromJSONTyped;
exports.AssetExposureSpenderToInfoToJSON = AssetExposureSpenderToInfo.AssetExposureSpenderToInfoToJSON;
exports.AssetTransferFromJSON = AssetTransfer.AssetTransferFromJSON;
exports.AssetTransferFromJSONTyped = AssetTransfer.AssetTransferFromJSONTyped;
exports.AssetTransferToJSON = AssetTransfer.AssetTransferToJSON;
Object.defineProperty(exports, 'AttestationConveyancePreference', {
	enumerable: true,
	get: function () { return AttestationConveyancePreference.AttestationConveyancePreference; }
});
exports.AttestationConveyancePreferenceFromJSON = AttestationConveyancePreference.AttestationConveyancePreferenceFromJSON;
exports.AttestationConveyancePreferenceFromJSONTyped = AttestationConveyancePreference.AttestationConveyancePreferenceFromJSONTyped;
exports.AttestationConveyancePreferenceToJSON = AttestationConveyancePreference.AttestationConveyancePreferenceToJSON;
Object.defineProperty(exports, 'AuthModeEnum', {
	enumerable: true,
	get: function () { return AuthModeEnum.AuthModeEnum; }
});
exports.AuthModeEnumFromJSON = AuthModeEnum.AuthModeEnumFromJSON;
exports.AuthModeEnumFromJSONTyped = AuthModeEnum.AuthModeEnumFromJSONTyped;
exports.AuthModeEnumToJSON = AuthModeEnum.AuthModeEnumToJSON;
exports.AuthSettingsFromJSON = AuthSettings.AuthSettingsFromJSON;
exports.AuthSettingsFromJSONTyped = AuthSettings.AuthSettingsFromJSONTyped;
exports.AuthSettingsToJSON = AuthSettings.AuthSettingsToJSON;
Object.defineProperty(exports, 'AuthStorageEnum', {
	enumerable: true,
	get: function () { return AuthStorageEnum.AuthStorageEnum; }
});
exports.AuthStorageEnumFromJSON = AuthStorageEnum.AuthStorageEnumFromJSON;
exports.AuthStorageEnumFromJSONTyped = AuthStorageEnum.AuthStorageEnumFromJSONTyped;
exports.AuthStorageEnumToJSON = AuthStorageEnum.AuthStorageEnumToJSON;
exports.AuthenticationExtensionsClientInputsFromJSON = AuthenticationExtensionsClientInputs.AuthenticationExtensionsClientInputsFromJSON;
exports.AuthenticationExtensionsClientInputsFromJSONTyped = AuthenticationExtensionsClientInputs.AuthenticationExtensionsClientInputsFromJSONTyped;
exports.AuthenticationExtensionsClientInputsToJSON = AuthenticationExtensionsClientInputs.AuthenticationExtensionsClientInputsToJSON;
exports.AuthenticationExtensionsClientOutputsFromJSON = AuthenticationExtensionsClientOutputs.AuthenticationExtensionsClientOutputsFromJSON;
exports.AuthenticationExtensionsClientOutputsFromJSONTyped = AuthenticationExtensionsClientOutputs.AuthenticationExtensionsClientOutputsFromJSONTyped;
exports.AuthenticationExtensionsClientOutputsToJSON = AuthenticationExtensionsClientOutputs.AuthenticationExtensionsClientOutputsToJSON;
exports.AuthenticatorAssertionResponseFromJSON = AuthenticatorAssertionResponse.AuthenticatorAssertionResponseFromJSON;
exports.AuthenticatorAssertionResponseFromJSONTyped = AuthenticatorAssertionResponse.AuthenticatorAssertionResponseFromJSONTyped;
exports.AuthenticatorAssertionResponseToJSON = AuthenticatorAssertionResponse.AuthenticatorAssertionResponseToJSON;
Object.defineProperty(exports, 'AuthenticatorAttachment', {
	enumerable: true,
	get: function () { return AuthenticatorAttachment.AuthenticatorAttachment; }
});
exports.AuthenticatorAttachmentFromJSON = AuthenticatorAttachment.AuthenticatorAttachmentFromJSON;
exports.AuthenticatorAttachmentFromJSONTyped = AuthenticatorAttachment.AuthenticatorAttachmentFromJSONTyped;
exports.AuthenticatorAttachmentToJSON = AuthenticatorAttachment.AuthenticatorAttachmentToJSON;
exports.AuthenticatorAttestationResponseFromJSON = AuthenticatorAttestationResponse.AuthenticatorAttestationResponseFromJSON;
exports.AuthenticatorAttestationResponseFromJSONTyped = AuthenticatorAttestationResponse.AuthenticatorAttestationResponseFromJSONTyped;
exports.AuthenticatorAttestationResponseToJSON = AuthenticatorAttestationResponse.AuthenticatorAttestationResponseToJSON;
exports.AuthenticatorSelectionCriteriaFromJSON = AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaFromJSON;
exports.AuthenticatorSelectionCriteriaFromJSONTyped = AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaFromJSONTyped;
exports.AuthenticatorSelectionCriteriaToJSON = AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaToJSON;
Object.defineProperty(exports, 'AuthenticatorTransportProtocol', {
	enumerable: true,
	get: function () { return AuthenticatorTransportProtocol.AuthenticatorTransportProtocol; }
});
exports.AuthenticatorTransportProtocolFromJSON = AuthenticatorTransportProtocol.AuthenticatorTransportProtocolFromJSON;
exports.AuthenticatorTransportProtocolFromJSONTyped = AuthenticatorTransportProtocol.AuthenticatorTransportProtocolFromJSONTyped;
exports.AuthenticatorTransportProtocolToJSON = AuthenticatorTransportProtocol.AuthenticatorTransportProtocolToJSON;
exports.BackupMultipleClientKeySharesRequestFromJSON = BackupMultipleClientKeySharesRequest.BackupMultipleClientKeySharesRequestFromJSON;
exports.BackupMultipleClientKeySharesRequestFromJSONTyped = BackupMultipleClientKeySharesRequest.BackupMultipleClientKeySharesRequestFromJSONTyped;
exports.BackupMultipleClientKeySharesRequestToJSON = BackupMultipleClientKeySharesRequest.BackupMultipleClientKeySharesRequestToJSON;
exports.BackupMultipleClientKeySharesResponseFromJSON = BackupMultipleClientKeySharesResponse.BackupMultipleClientKeySharesResponseFromJSON;
exports.BackupMultipleClientKeySharesResponseFromJSONTyped = BackupMultipleClientKeySharesResponse.BackupMultipleClientKeySharesResponseFromJSONTyped;
exports.BackupMultipleClientKeySharesResponseToJSON = BackupMultipleClientKeySharesResponse.BackupMultipleClientKeySharesResponseToJSON;
exports.BadGatewayFromJSON = BadGateway.BadGatewayFromJSON;
exports.BadGatewayFromJSONTyped = BadGateway.BadGatewayFromJSONTyped;
exports.BadGatewayToJSON = BadGateway.BadGatewayToJSON;
exports.BadRequestFromJSON = BadRequest.BadRequestFromJSON;
exports.BadRequestFromJSONTyped = BadRequest.BadRequestFromJSONTyped;
exports.BadRequestToJSON = BadRequest.BadRequestToJSON;
exports.BaseUserFromJSON = BaseUser.BaseUserFromJSON;
exports.BaseUserFromJSONTyped = BaseUser.BaseUserFromJSONTyped;
exports.BaseUserToJSON = BaseUser.BaseUserToJSON;
exports.BillingSubscriptionFromJSON = BillingSubscription.BillingSubscriptionFromJSON;
exports.BillingSubscriptionFromJSONTyped = BillingSubscription.BillingSubscriptionFromJSONTyped;
exports.BillingSubscriptionToJSON = BillingSubscription.BillingSubscriptionToJSON;
exports.BillingSubscriptionCouponFromJSON = BillingSubscriptionCoupon.BillingSubscriptionCouponFromJSON;
exports.BillingSubscriptionCouponFromJSONTyped = BillingSubscriptionCoupon.BillingSubscriptionCouponFromJSONTyped;
exports.BillingSubscriptionCouponToJSON = BillingSubscriptionCoupon.BillingSubscriptionCouponToJSON;
exports.BillingSubscriptionPeriodFromJSON = BillingSubscriptionPeriod.BillingSubscriptionPeriodFromJSON;
exports.BillingSubscriptionPeriodFromJSONTyped = BillingSubscriptionPeriod.BillingSubscriptionPeriodFromJSONTyped;
exports.BillingSubscriptionPeriodToJSON = BillingSubscriptionPeriod.BillingSubscriptionPeriodToJSON;
Object.defineProperty(exports, 'BillingSubscriptionPlanTypeEnum', {
	enumerable: true,
	get: function () { return BillingSubscriptionPlanTypeEnum.BillingSubscriptionPlanTypeEnum; }
});
exports.BillingSubscriptionPlanTypeEnumFromJSON = BillingSubscriptionPlanTypeEnum.BillingSubscriptionPlanTypeEnumFromJSON;
exports.BillingSubscriptionPlanTypeEnumFromJSONTyped = BillingSubscriptionPlanTypeEnum.BillingSubscriptionPlanTypeEnumFromJSONTyped;
exports.BillingSubscriptionPlanTypeEnumToJSON = BillingSubscriptionPlanTypeEnum.BillingSubscriptionPlanTypeEnumToJSON;
exports.BlockaidValidationFromJSON = BlockaidValidation.BlockaidValidationFromJSON;
exports.BlockaidValidationFromJSONTyped = BlockaidValidation.BlockaidValidationFromJSONTyped;
exports.BlockaidValidationToJSON = BlockaidValidation.BlockaidValidationToJSON;
exports.BulkUserCreateResponseFromJSON = BulkUserCreateResponse.BulkUserCreateResponseFromJSON;
exports.BulkUserCreateResponseFromJSONTyped = BulkUserCreateResponse.BulkUserCreateResponseFromJSONTyped;
exports.BulkUserCreateResponseToJSON = BulkUserCreateResponse.BulkUserCreateResponseToJSON;
exports.BulkUserCreateResponseFailedFromJSON = BulkUserCreateResponseFailed.BulkUserCreateResponseFailedFromJSON;
exports.BulkUserCreateResponseFailedFromJSONTyped = BulkUserCreateResponseFailed.BulkUserCreateResponseFailedFromJSONTyped;
exports.BulkUserCreateResponseFailedToJSON = BulkUserCreateResponseFailed.BulkUserCreateResponseFailedToJSON;
exports.ChainConfigurationFromJSON = ChainConfiguration.ChainConfigurationFromJSON;
exports.ChainConfigurationFromJSONTyped = ChainConfiguration.ChainConfigurationFromJSONTyped;
exports.ChainConfigurationToJSON = ChainConfiguration.ChainConfigurationToJSON;
Object.defineProperty(exports, 'ChainEnum', {
	enumerable: true,
	get: function () { return ChainEnum.ChainEnum; }
});
exports.ChainEnumFromJSON = ChainEnum.ChainEnumFromJSON;
exports.ChainEnumFromJSONTyped = ChainEnum.ChainEnumFromJSONTyped;
exports.ChainEnumToJSON = ChainEnum.ChainEnumToJSON;
exports.ChainTokenFromJSON = ChainToken.ChainTokenFromJSON;
exports.ChainTokenFromJSONTyped = ChainToken.ChainTokenFromJSONTyped;
exports.ChainTokenToJSON = ChainToken.ChainTokenToJSON;
exports.ChainalysisCheckFromJSON = ChainalysisCheck.ChainalysisCheckFromJSON;
exports.ChainalysisCheckFromJSONTyped = ChainalysisCheck.ChainalysisCheckFromJSONTyped;
exports.ChainalysisCheckToJSON = ChainalysisCheck.ChainalysisCheckToJSON;
Object.defineProperty(exports, 'ChainalysisCheckResultEnum', {
	enumerable: true,
	get: function () { return ChainalysisCheckResultEnum.ChainalysisCheckResultEnum; }
});
exports.ChainalysisCheckResultEnumFromJSON = ChainalysisCheckResultEnum.ChainalysisCheckResultEnumFromJSON;
exports.ChainalysisCheckResultEnumFromJSONTyped = ChainalysisCheckResultEnum.ChainalysisCheckResultEnumFromJSONTyped;
exports.ChainalysisCheckResultEnumToJSON = ChainalysisCheckResultEnum.ChainalysisCheckResultEnumToJSON;
exports.ChainalysisConfigurationFromJSON = ChainalysisConfiguration.ChainalysisConfigurationFromJSON;
exports.ChainalysisConfigurationFromJSONTyped = ChainalysisConfiguration.ChainalysisConfigurationFromJSONTyped;
exports.ChainalysisConfigurationToJSON = ChainalysisConfiguration.ChainalysisConfigurationToJSON;
exports.CoinbaseMpcWalletPropertiesFromJSON = CoinbaseMpcWalletProperties.CoinbaseMpcWalletPropertiesFromJSON;
exports.CoinbaseMpcWalletPropertiesFromJSONTyped = CoinbaseMpcWalletProperties.CoinbaseMpcWalletPropertiesFromJSONTyped;
exports.CoinbaseMpcWalletPropertiesToJSON = CoinbaseMpcWalletProperties.CoinbaseMpcWalletPropertiesToJSON;
exports.CompletePasskeyRecoveryRequestFromJSON = CompletePasskeyRecoveryRequest.CompletePasskeyRecoveryRequestFromJSON;
exports.CompletePasskeyRecoveryRequestFromJSONTyped = CompletePasskeyRecoveryRequest.CompletePasskeyRecoveryRequestFromJSONTyped;
exports.CompletePasskeyRecoveryRequestToJSON = CompletePasskeyRecoveryRequest.CompletePasskeyRecoveryRequestToJSON;
exports.ConnectRequestFromJSON = ConnectRequest.ConnectRequestFromJSON;
exports.ConnectRequestFromJSONTyped = ConnectRequest.ConnectRequestFromJSONTyped;
exports.ConnectRequestToJSON = ConnectRequest.ConnectRequestToJSON;
exports.CreateEmbeddedWalletParamsFromJSON = CreateEmbeddedWalletParams.CreateEmbeddedWalletParamsFromJSON;
exports.CreateEmbeddedWalletParamsFromJSONTyped = CreateEmbeddedWalletParams.CreateEmbeddedWalletParamsFromJSONTyped;
exports.CreateEmbeddedWalletParamsToJSON = CreateEmbeddedWalletParams.CreateEmbeddedWalletParamsToJSON;
exports.CreateEmbeddedWalletSpecificOptsFromJSON = CreateEmbeddedWalletSpecificOpts.CreateEmbeddedWalletSpecificOptsFromJSON;
exports.CreateEmbeddedWalletSpecificOptsFromJSONTyped = CreateEmbeddedWalletSpecificOpts.CreateEmbeddedWalletSpecificOptsFromJSONTyped;
exports.CreateEmbeddedWalletSpecificOptsToJSON = CreateEmbeddedWalletSpecificOpts.CreateEmbeddedWalletSpecificOptsToJSON;
exports.CreateEmbeddedWalletsRequestFromJSON = CreateEmbeddedWalletsRequest.CreateEmbeddedWalletsRequestFromJSON;
exports.CreateEmbeddedWalletsRequestFromJSONTyped = CreateEmbeddedWalletsRequest.CreateEmbeddedWalletsRequestFromJSONTyped;
exports.CreateEmbeddedWalletsRequestToJSON = CreateEmbeddedWalletsRequest.CreateEmbeddedWalletsRequestToJSON;
exports.CreateMfaTokenFromJSON = CreateMfaToken.CreateMfaTokenFromJSON;
exports.CreateMfaTokenFromJSONTyped = CreateMfaToken.CreateMfaTokenFromJSONTyped;
exports.CreateMfaTokenToJSON = CreateMfaToken.CreateMfaTokenToJSON;
exports.CreateProjectResponseFromJSON = CreateProjectResponse.CreateProjectResponseFromJSON;
exports.CreateProjectResponseFromJSONTyped = CreateProjectResponse.CreateProjectResponseFromJSONTyped;
exports.CreateProjectResponseToJSON = CreateProjectResponse.CreateProjectResponseToJSON;
exports.CreateProjectResponseProjectFromJSON = CreateProjectResponseProject.CreateProjectResponseProjectFromJSON;
exports.CreateProjectResponseProjectFromJSONTyped = CreateProjectResponseProject.CreateProjectResponseProjectFromJSONTyped;
exports.CreateProjectResponseProjectToJSON = CreateProjectResponseProject.CreateProjectResponseProjectToJSON;
exports.CreateProjectResponseProjectProjectEnvironmentsFromJSON = CreateProjectResponseProjectProjectEnvironments.CreateProjectResponseProjectProjectEnvironmentsFromJSON;
exports.CreateProjectResponseProjectProjectEnvironmentsFromJSONTyped = CreateProjectResponseProjectProjectEnvironments.CreateProjectResponseProjectProjectEnvironmentsFromJSONTyped;
exports.CreateProjectResponseProjectProjectEnvironmentsToJSON = CreateProjectResponseProjectProjectEnvironments.CreateProjectResponseProjectProjectEnvironmentsToJSON;
exports.CreateTokenResponseFromJSON = CreateTokenResponse.CreateTokenResponseFromJSON;
exports.CreateTokenResponseFromJSONTyped = CreateTokenResponse.CreateTokenResponseFromJSONTyped;
exports.CreateTokenResponseToJSON = CreateTokenResponse.CreateTokenResponseToJSON;
exports.CreateTurnkeyEmbeddedWalletSpecificOptsFromJSON = CreateTurnkeyEmbeddedWalletSpecificOpts.CreateTurnkeyEmbeddedWalletSpecificOptsFromJSON;
exports.CreateTurnkeyEmbeddedWalletSpecificOptsFromJSONTyped = CreateTurnkeyEmbeddedWalletSpecificOpts.CreateTurnkeyEmbeddedWalletSpecificOptsFromJSONTyped;
exports.CreateTurnkeyEmbeddedWalletSpecificOptsToJSON = CreateTurnkeyEmbeddedWalletSpecificOpts.CreateTurnkeyEmbeddedWalletSpecificOptsToJSON;
exports.CreateUserEmbeddedWalletsFromFarcasterRequestFromJSON = CreateUserEmbeddedWalletsFromFarcasterRequest.CreateUserEmbeddedWalletsFromFarcasterRequestFromJSON;
exports.CreateUserEmbeddedWalletsFromFarcasterRequestFromJSONTyped = CreateUserEmbeddedWalletsFromFarcasterRequest.CreateUserEmbeddedWalletsFromFarcasterRequestFromJSONTyped;
exports.CreateUserEmbeddedWalletsFromFarcasterRequestToJSON = CreateUserEmbeddedWalletsFromFarcasterRequest.CreateUserEmbeddedWalletsFromFarcasterRequestToJSON;
exports.CreateUserEmbeddedWalletsRequestFromJSON = CreateUserEmbeddedWalletsRequest.CreateUserEmbeddedWalletsRequestFromJSON;
exports.CreateUserEmbeddedWalletsRequestFromJSONTyped = CreateUserEmbeddedWalletsRequest.CreateUserEmbeddedWalletsRequestFromJSONTyped;
exports.CreateUserEmbeddedWalletsRequestToJSON = CreateUserEmbeddedWalletsRequest.CreateUserEmbeddedWalletsRequestToJSON;
exports.CreateUserOauthRequestFromJSON = CreateUserOauthRequest.CreateUserOauthRequestFromJSON;
exports.CreateUserOauthRequestFromJSONTyped = CreateUserOauthRequest.CreateUserOauthRequestFromJSONTyped;
exports.CreateUserOauthRequestToJSON = CreateUserOauthRequest.CreateUserOauthRequestToJSON;
exports.CreateWaasAccountRequestFromJSON = CreateWaasAccountRequest.CreateWaasAccountRequestFromJSON;
exports.CreateWaasAccountRequestFromJSONTyped = CreateWaasAccountRequest.CreateWaasAccountRequestFromJSONTyped;
exports.CreateWaasAccountRequestToJSON = CreateWaasAccountRequest.CreateWaasAccountRequestToJSON;
exports.CreateWalletAccountRequestFromJSON = CreateWalletAccountRequest.CreateWalletAccountRequestFromJSON;
exports.CreateWalletAccountRequestFromJSONTyped = CreateWalletAccountRequest.CreateWalletAccountRequestFromJSONTyped;
exports.CreateWalletAccountRequestToJSON = CreateWalletAccountRequest.CreateWalletAccountRequestToJSON;
exports.CreateWalletRequestFromJSON = CreateWalletRequest.CreateWalletRequestFromJSON;
exports.CreateWalletRequestFromJSONTyped = CreateWalletRequest.CreateWalletRequestFromJSONTyped;
exports.CreateWalletRequestToJSON = CreateWalletRequest.CreateWalletRequestToJSON;
exports.CurrencyFromJSON = Currency.CurrencyFromJSON;
exports.CurrencyFromJSONTyped = Currency.CurrencyFromJSONTyped;
exports.CurrencyToJSON = Currency.CurrencyToJSON;
Object.defineProperty(exports, 'CurrencyType', {
	enumerable: true,
	get: function () { return CurrencyType.CurrencyType; }
});
exports.CurrencyTypeFromJSON = CurrencyType.CurrencyTypeFromJSON;
exports.CurrencyTypeFromJSONTyped = CurrencyType.CurrencyTypeFromJSONTyped;
exports.CurrencyTypeToJSON = CurrencyType.CurrencyTypeToJSON;
exports.CustomFieldFromJSON = CustomField.CustomFieldFromJSON;
exports.CustomFieldFromJSONTyped = CustomField.CustomFieldFromJSONTyped;
exports.CustomFieldToJSON = CustomField.CustomFieldToJSON;
exports.CustomFieldRequestFromJSON = CustomFieldRequest.CustomFieldRequestFromJSON;
exports.CustomFieldRequestFromJSONTyped = CustomFieldRequest.CustomFieldRequestFromJSONTyped;
exports.CustomFieldRequestToJSON = CustomFieldRequest.CustomFieldRequestToJSON;
Object.defineProperty(exports, 'CustomFieldType', {
	enumerable: true,
	get: function () { return CustomFieldType.CustomFieldType; }
});
exports.CustomFieldTypeFromJSON = CustomFieldType.CustomFieldTypeFromJSON;
exports.CustomFieldTypeFromJSONTyped = CustomFieldType.CustomFieldTypeFromJSONTyped;
exports.CustomFieldTypeToJSON = CustomFieldType.CustomFieldTypeToJSON;
exports.CustomFieldValidValueFromJSON = CustomFieldValidValue.CustomFieldValidValueFromJSON;
exports.CustomFieldValidValueFromJSONTyped = CustomFieldValidValue.CustomFieldValidValueFromJSONTyped;
exports.CustomFieldValidValueToJSON = CustomFieldValidValue.CustomFieldValidValueToJSON;
exports.CustomFieldValidationRulesFromJSON = CustomFieldValidationRules.CustomFieldValidationRulesFromJSON;
exports.CustomFieldValidationRulesFromJSONTyped = CustomFieldValidationRules.CustomFieldValidationRulesFromJSONTyped;
exports.CustomFieldValidationRulesToJSON = CustomFieldValidationRules.CustomFieldValidationRulesToJSON;
exports.CustomHostnameFromJSON = CustomHostname.CustomHostnameFromJSON;
exports.CustomHostnameFromJSONTyped = CustomHostname.CustomHostnameFromJSONTyped;
exports.CustomHostnameToJSON = CustomHostname.CustomHostnameToJSON;
exports.CustomHostnameCreateRequestFromJSON = CustomHostnameCreateRequest.CustomHostnameCreateRequestFromJSON;
exports.CustomHostnameCreateRequestFromJSONTyped = CustomHostnameCreateRequest.CustomHostnameCreateRequestFromJSONTyped;
exports.CustomHostnameCreateRequestToJSON = CustomHostnameCreateRequest.CustomHostnameCreateRequestToJSON;
Object.defineProperty(exports, 'CustomHostnameStatusEnum', {
	enumerable: true,
	get: function () { return CustomHostnameStatusEnum.CustomHostnameStatusEnum; }
});
exports.CustomHostnameStatusEnumFromJSON = CustomHostnameStatusEnum.CustomHostnameStatusEnumFromJSON;
exports.CustomHostnameStatusEnumFromJSONTyped = CustomHostnameStatusEnum.CustomHostnameStatusEnumFromJSONTyped;
exports.CustomHostnameStatusEnumToJSON = CustomHostnameStatusEnum.CustomHostnameStatusEnumToJSON;
Object.defineProperty(exports, 'CustomHostnameUsageEnum', {
	enumerable: true,
	get: function () { return CustomHostnameUsageEnum.CustomHostnameUsageEnum; }
});
exports.CustomHostnameUsageEnumFromJSON = CustomHostnameUsageEnum.CustomHostnameUsageEnumFromJSON;
exports.CustomHostnameUsageEnumFromJSONTyped = CustomHostnameUsageEnum.CustomHostnameUsageEnumFromJSONTyped;
exports.CustomHostnameUsageEnumToJSON = CustomHostnameUsageEnum.CustomHostnameUsageEnumToJSON;
exports.CustomHostnameVerificationRecordFromJSON = CustomHostnameVerificationRecord.CustomHostnameVerificationRecordFromJSON;
exports.CustomHostnameVerificationRecordFromJSONTyped = CustomHostnameVerificationRecord.CustomHostnameVerificationRecordFromJSONTyped;
exports.CustomHostnameVerificationRecordToJSON = CustomHostnameVerificationRecord.CustomHostnameVerificationRecordToJSON;
Object.defineProperty(exports, 'CustomHostnameVerificationType', {
	enumerable: true,
	get: function () { return CustomHostnameVerificationType.CustomHostnameVerificationType; }
});
exports.CustomHostnameVerificationTypeFromJSON = CustomHostnameVerificationType.CustomHostnameVerificationTypeFromJSON;
exports.CustomHostnameVerificationTypeFromJSONTyped = CustomHostnameVerificationType.CustomHostnameVerificationTypeFromJSONTyped;
exports.CustomHostnameVerificationTypeToJSON = CustomHostnameVerificationType.CustomHostnameVerificationTypeToJSON;
exports.CustomHostnamesResponseFromJSON = CustomHostnamesResponse.CustomHostnamesResponseFromJSON;
exports.CustomHostnamesResponseFromJSONTyped = CustomHostnamesResponse.CustomHostnamesResponseFromJSONTyped;
exports.CustomHostnamesResponseToJSON = CustomHostnamesResponse.CustomHostnamesResponseToJSON;
exports.CustomNetworkRequestFromJSON = CustomNetworkRequest.CustomNetworkRequestFromJSON;
exports.CustomNetworkRequestFromJSONTyped = CustomNetworkRequest.CustomNetworkRequestFromJSONTyped;
exports.CustomNetworkRequestToJSON = CustomNetworkRequest.CustomNetworkRequestToJSON;
exports.CustomNetworkResponseFromJSON = CustomNetworkResponse.CustomNetworkResponseFromJSON;
exports.CustomNetworkResponseFromJSONTyped = CustomNetworkResponse.CustomNetworkResponseFromJSONTyped;
exports.CustomNetworkResponseToJSON = CustomNetworkResponse.CustomNetworkResponseToJSON;
exports.CustomNetworkResponseCustomNetworkFromJSON = CustomNetworkResponseCustomNetwork.CustomNetworkResponseCustomNetworkFromJSON;
exports.CustomNetworkResponseCustomNetworkFromJSONTyped = CustomNetworkResponseCustomNetwork.CustomNetworkResponseCustomNetworkFromJSONTyped;
exports.CustomNetworkResponseCustomNetworkToJSON = CustomNetworkResponseCustomNetwork.CustomNetworkResponseCustomNetworkToJSON;
exports.DeeplinkUrlResponseFromJSON = DeeplinkUrlResponse.DeeplinkUrlResponseFromJSON;
exports.DeeplinkUrlResponseFromJSONTyped = DeeplinkUrlResponse.DeeplinkUrlResponseFromJSONTyped;
exports.DeeplinkUrlResponseToJSON = DeeplinkUrlResponse.DeeplinkUrlResponseToJSON;
exports.DeeplinkUrlsResponseFromJSON = DeeplinkUrlsResponse.DeeplinkUrlsResponseFromJSON;
exports.DeeplinkUrlsResponseFromJSONTyped = DeeplinkUrlsResponse.DeeplinkUrlsResponseFromJSONTyped;
exports.DeeplinkUrlsResponseToJSON = DeeplinkUrlsResponse.DeeplinkUrlsResponseToJSON;
exports.DeleteEmbeddedWalletsRequestFromJSON = DeleteEmbeddedWalletsRequest.DeleteEmbeddedWalletsRequestFromJSON;
exports.DeleteEmbeddedWalletsRequestFromJSONTyped = DeleteEmbeddedWalletsRequest.DeleteEmbeddedWalletsRequestFromJSONTyped;
exports.DeleteEmbeddedWalletsRequestToJSON = DeleteEmbeddedWalletsRequest.DeleteEmbeddedWalletsRequestToJSON;
Object.defineProperty(exports, 'DnsRecordType', {
	enumerable: true,
	get: function () { return DnsRecordType.DnsRecordType; }
});
exports.DnsRecordTypeFromJSON = DnsRecordType.DnsRecordTypeFromJSON;
exports.DnsRecordTypeFromJSONTyped = DnsRecordType.DnsRecordTypeFromJSONTyped;
exports.DnsRecordTypeToJSON = DnsRecordType.DnsRecordTypeToJSON;
exports.DurationFromJSON = Duration.DurationFromJSON;
exports.DurationFromJSONTyped = Duration.DurationFromJSONTyped;
exports.DurationToJSON = Duration.DurationToJSON;
exports.DynamicJwtFromJSON = DynamicJwt.DynamicJwtFromJSON;
exports.DynamicJwtFromJSONTyped = DynamicJwt.DynamicJwtFromJSONTyped;
exports.DynamicJwtToJSON = DynamicJwt.DynamicJwtToJSON;
Object.defineProperty(exports, 'EcdsaValidatorOptions', {
	enumerable: true,
	get: function () { return EcdsaValidatorOptions.EcdsaValidatorOptions; }
});
exports.EcdsaValidatorOptionsFromJSON = EcdsaValidatorOptions.EcdsaValidatorOptionsFromJSON;
exports.EcdsaValidatorOptionsFromJSONTyped = EcdsaValidatorOptions.EcdsaValidatorOptionsFromJSONTyped;
exports.EcdsaValidatorOptionsToJSON = EcdsaValidatorOptions.EcdsaValidatorOptionsToJSON;
exports.EmailProviderResponseFromJSON = EmailProviderResponse.EmailProviderResponseFromJSON;
exports.EmailProviderResponseFromJSONTyped = EmailProviderResponse.EmailProviderResponseFromJSONTyped;
exports.EmailProviderResponseToJSON = EmailProviderResponse.EmailProviderResponseToJSON;
exports.EmailVerificationCreateRequestFromJSON = EmailVerificationCreateRequest.EmailVerificationCreateRequestFromJSON;
exports.EmailVerificationCreateRequestFromJSONTyped = EmailVerificationCreateRequest.EmailVerificationCreateRequestFromJSONTyped;
exports.EmailVerificationCreateRequestToJSON = EmailVerificationCreateRequest.EmailVerificationCreateRequestToJSON;
exports.EmailVerificationCreateResponseFromJSON = EmailVerificationCreateResponse.EmailVerificationCreateResponseFromJSON;
exports.EmailVerificationCreateResponseFromJSONTyped = EmailVerificationCreateResponse.EmailVerificationCreateResponseFromJSONTyped;
exports.EmailVerificationCreateResponseToJSON = EmailVerificationCreateResponse.EmailVerificationCreateResponseToJSON;
exports.EmailVerificationRetryRequestFromJSON = EmailVerificationRetryRequest.EmailVerificationRetryRequestFromJSON;
exports.EmailVerificationRetryRequestFromJSONTyped = EmailVerificationRetryRequest.EmailVerificationRetryRequestFromJSONTyped;
exports.EmailVerificationRetryRequestToJSON = EmailVerificationRetryRequest.EmailVerificationRetryRequestToJSON;
exports.EmailVerificationVerifyRequestFromJSON = EmailVerificationVerifyRequest.EmailVerificationVerifyRequestFromJSON;
exports.EmailVerificationVerifyRequestFromJSONTyped = EmailVerificationVerifyRequest.EmailVerificationVerifyRequestFromJSONTyped;
exports.EmailVerificationVerifyRequestToJSON = EmailVerificationVerifyRequest.EmailVerificationVerifyRequestToJSON;
exports.EmbeddedWalletAuthTokenFromJSON = EmbeddedWalletAuthToken.EmbeddedWalletAuthTokenFromJSON;
exports.EmbeddedWalletAuthTokenFromJSONTyped = EmbeddedWalletAuthToken.EmbeddedWalletAuthTokenFromJSONTyped;
exports.EmbeddedWalletAuthTokenToJSON = EmbeddedWalletAuthToken.EmbeddedWalletAuthTokenToJSON;
Object.defineProperty(exports, 'EmbeddedWalletAuthType', {
	enumerable: true,
	get: function () { return EmbeddedWalletAuthType.EmbeddedWalletAuthType; }
});
exports.EmbeddedWalletAuthTypeFromJSON = EmbeddedWalletAuthType.EmbeddedWalletAuthTypeFromJSON;
exports.EmbeddedWalletAuthTypeFromJSONTyped = EmbeddedWalletAuthType.EmbeddedWalletAuthTypeFromJSONTyped;
exports.EmbeddedWalletAuthTypeToJSON = EmbeddedWalletAuthType.EmbeddedWalletAuthTypeToJSON;
Object.defineProperty(exports, 'EmbeddedWalletChainEnum', {
	enumerable: true,
	get: function () { return EmbeddedWalletChainEnum.EmbeddedWalletChainEnum; }
});
exports.EmbeddedWalletChainEnumFromJSON = EmbeddedWalletChainEnum.EmbeddedWalletChainEnumFromJSON;
exports.EmbeddedWalletChainEnumFromJSONTyped = EmbeddedWalletChainEnum.EmbeddedWalletChainEnumFromJSONTyped;
exports.EmbeddedWalletChainEnumToJSON = EmbeddedWalletChainEnum.EmbeddedWalletChainEnumToJSON;
exports.EmbeddedWalletPasscodeClaimRequestFromJSON = EmbeddedWalletPasscodeClaimRequest.EmbeddedWalletPasscodeClaimRequestFromJSON;
exports.EmbeddedWalletPasscodeClaimRequestFromJSONTyped = EmbeddedWalletPasscodeClaimRequest.EmbeddedWalletPasscodeClaimRequestFromJSONTyped;
exports.EmbeddedWalletPasscodeClaimRequestToJSON = EmbeddedWalletPasscodeClaimRequest.EmbeddedWalletPasscodeClaimRequestToJSON;
Object.defineProperty(exports, 'EmbeddedWalletProviderEnum', {
	enumerable: true,
	get: function () { return EmbeddedWalletProviderEnum.EmbeddedWalletProviderEnum; }
});
exports.EmbeddedWalletProviderEnumFromJSON = EmbeddedWalletProviderEnum.EmbeddedWalletProviderEnumFromJSON;
exports.EmbeddedWalletProviderEnumFromJSONTyped = EmbeddedWalletProviderEnum.EmbeddedWalletProviderEnumFromJSONTyped;
exports.EmbeddedWalletProviderEnumToJSON = EmbeddedWalletProviderEnum.EmbeddedWalletProviderEnumToJSON;
exports.EmbeddedWalletSecretFromJSON = EmbeddedWalletSecret.EmbeddedWalletSecretFromJSON;
exports.EmbeddedWalletSecretFromJSONTyped = EmbeddedWalletSecret.EmbeddedWalletSecretFromJSONTyped;
exports.EmbeddedWalletSecretToJSON = EmbeddedWalletSecret.EmbeddedWalletSecretToJSON;
exports.EmbeddedWalletSecretWithUpdatedJwtFromJSON = EmbeddedWalletSecretWithUpdatedJwt.EmbeddedWalletSecretWithUpdatedJwtFromJSON;
exports.EmbeddedWalletSecretWithUpdatedJwtFromJSONTyped = EmbeddedWalletSecretWithUpdatedJwt.EmbeddedWalletSecretWithUpdatedJwtFromJSONTyped;
exports.EmbeddedWalletSecretWithUpdatedJwtToJSON = EmbeddedWalletSecretWithUpdatedJwt.EmbeddedWalletSecretWithUpdatedJwtToJSON;
exports.EmbeddedWalletSecretWithUpdatedJwtAllOfFromJSON = EmbeddedWalletSecretWithUpdatedJwtAllOf.EmbeddedWalletSecretWithUpdatedJwtAllOfFromJSON;
exports.EmbeddedWalletSecretWithUpdatedJwtAllOfFromJSONTyped = EmbeddedWalletSecretWithUpdatedJwtAllOf.EmbeddedWalletSecretWithUpdatedJwtAllOfFromJSONTyped;
exports.EmbeddedWalletSecretWithUpdatedJwtAllOfToJSON = EmbeddedWalletSecretWithUpdatedJwtAllOf.EmbeddedWalletSecretWithUpdatedJwtAllOfToJSON;
Object.defineProperty(exports, 'EmbeddedWalletSecurityMethod', {
	enumerable: true,
	get: function () { return EmbeddedWalletSecurityMethod.EmbeddedWalletSecurityMethod; }
});
exports.EmbeddedWalletSecurityMethodFromJSON = EmbeddedWalletSecurityMethod.EmbeddedWalletSecurityMethodFromJSON;
exports.EmbeddedWalletSecurityMethodFromJSONTyped = EmbeddedWalletSecurityMethod.EmbeddedWalletSecurityMethodFromJSONTyped;
exports.EmbeddedWalletSecurityMethodToJSON = EmbeddedWalletSecurityMethod.EmbeddedWalletSecurityMethodToJSON;
Object.defineProperty(exports, 'EmbeddedWalletVersionEnum', {
	enumerable: true,
	get: function () { return EmbeddedWalletVersionEnum.EmbeddedWalletVersionEnum; }
});
exports.EmbeddedWalletVersionEnumFromJSON = EmbeddedWalletVersionEnum.EmbeddedWalletVersionEnumFromJSON;
exports.EmbeddedWalletVersionEnumFromJSONTyped = EmbeddedWalletVersionEnum.EmbeddedWalletVersionEnumFromJSONTyped;
exports.EmbeddedWalletVersionEnumToJSON = EmbeddedWalletVersionEnum.EmbeddedWalletVersionEnumToJSON;
Object.defineProperty(exports, 'EnvironmentEnum', {
	enumerable: true,
	get: function () { return EnvironmentEnum.EnvironmentEnum; }
});
exports.EnvironmentEnumFromJSON = EnvironmentEnum.EnvironmentEnumFromJSON;
exports.EnvironmentEnumFromJSONTyped = EnvironmentEnum.EnvironmentEnumFromJSONTyped;
exports.EnvironmentEnumToJSON = EnvironmentEnum.EnvironmentEnumToJSON;
exports.EnvironmentVisitorsResponseFromJSON = EnvironmentVisitorsResponse.EnvironmentVisitorsResponseFromJSON;
exports.EnvironmentVisitorsResponseFromJSONTyped = EnvironmentVisitorsResponse.EnvironmentVisitorsResponseFromJSONTyped;
exports.EnvironmentVisitorsResponseToJSON = EnvironmentVisitorsResponse.EnvironmentVisitorsResponseToJSON;
exports.EnvironmentVisitorsResponseUsersFromJSON = EnvironmentVisitorsResponseUsers.EnvironmentVisitorsResponseUsersFromJSON;
exports.EnvironmentVisitorsResponseUsersFromJSONTyped = EnvironmentVisitorsResponseUsers.EnvironmentVisitorsResponseUsersFromJSONTyped;
exports.EnvironmentVisitorsResponseUsersToJSON = EnvironmentVisitorsResponseUsers.EnvironmentVisitorsResponseUsersToJSON;
exports.EnvironmentsResponseFromJSON = EnvironmentsResponse.EnvironmentsResponseFromJSON;
exports.EnvironmentsResponseFromJSONTyped = EnvironmentsResponse.EnvironmentsResponseFromJSONTyped;
exports.EnvironmentsResponseToJSON = EnvironmentsResponse.EnvironmentsResponseToJSON;
exports.EnvironmentsResponseEnvironmentsFromJSON = EnvironmentsResponseEnvironments.EnvironmentsResponseEnvironmentsFromJSON;
exports.EnvironmentsResponseEnvironmentsFromJSONTyped = EnvironmentsResponseEnvironments.EnvironmentsResponseEnvironmentsFromJSONTyped;
exports.EnvironmentsResponseEnvironmentsToJSON = EnvironmentsResponseEnvironments.EnvironmentsResponseEnvironmentsToJSON;
exports.ErrorMessageWithCodeFromJSON = ErrorMessageWithCode.ErrorMessageWithCodeFromJSON;
exports.ErrorMessageWithCodeFromJSONTyped = ErrorMessageWithCode.ErrorMessageWithCodeFromJSONTyped;
exports.ErrorMessageWithCodeToJSON = ErrorMessageWithCode.ErrorMessageWithCodeToJSON;
exports.EventFromJSON = Event.EventFromJSON;
exports.EventFromJSONTyped = Event.EventFromJSONTyped;
exports.EventToJSON = Event.EventToJSON;
exports.EventTypeFromJSON = EventType.EventTypeFromJSON;
exports.EventTypeFromJSONTyped = EventType.EventTypeFromJSONTyped;
exports.EventTypeToJSON = EventType.EventTypeToJSON;
Object.defineProperty(exports, 'ExchangeKeyEnum', {
	enumerable: true,
	get: function () { return ExchangeKeyEnum.ExchangeKeyEnum; }
});
exports.ExchangeKeyEnumFromJSON = ExchangeKeyEnum.ExchangeKeyEnumFromJSON;
exports.ExchangeKeyEnumFromJSONTyped = ExchangeKeyEnum.ExchangeKeyEnumFromJSONTyped;
exports.ExchangeKeyEnumToJSON = ExchangeKeyEnum.ExchangeKeyEnumToJSON;
exports.ExportFromJSON = Export.ExportFromJSON;
exports.ExportFromJSONTyped = Export.ExportFromJSONTyped;
exports.ExportToJSON = Export.ExportToJSON;
exports.ExportCreateRequestFromJSON = ExportCreateRequest.ExportCreateRequestFromJSON;
exports.ExportCreateRequestFromJSONTyped = ExportCreateRequest.ExportCreateRequestFromJSONTyped;
exports.ExportCreateRequestToJSON = ExportCreateRequest.ExportCreateRequestToJSON;
exports.ExportCreateRequestFilterFromJSON = ExportCreateRequestFilter.ExportCreateRequestFilterFromJSON;
exports.ExportCreateRequestFilterFromJSONTyped = ExportCreateRequestFilter.ExportCreateRequestFilterFromJSONTyped;
exports.ExportCreateRequestFilterToJSON = ExportCreateRequestFilter.ExportCreateRequestFilterToJSON;
exports.ExportEmbeddedWalletResponseFromJSON = ExportEmbeddedWalletResponse.ExportEmbeddedWalletResponseFromJSON;
exports.ExportEmbeddedWalletResponseFromJSONTyped = ExportEmbeddedWalletResponse.ExportEmbeddedWalletResponseFromJSONTyped;
exports.ExportEmbeddedWalletResponseToJSON = ExportEmbeddedWalletResponse.ExportEmbeddedWalletResponseToJSON;
Object.defineProperty(exports, 'ExportFormatEnum', {
	enumerable: true,
	get: function () { return ExportFormatEnum.ExportFormatEnum; }
});
exports.ExportFormatEnumFromJSON = ExportFormatEnum.ExportFormatEnumFromJSON;
exports.ExportFormatEnumFromJSONTyped = ExportFormatEnum.ExportFormatEnumFromJSONTyped;
exports.ExportFormatEnumToJSON = ExportFormatEnum.ExportFormatEnumToJSON;
Object.defineProperty(exports, 'ExportModelEnum', {
	enumerable: true,
	get: function () { return ExportModelEnum.ExportModelEnum; }
});
exports.ExportModelEnumFromJSON = ExportModelEnum.ExportModelEnumFromJSON;
exports.ExportModelEnumFromJSONTyped = ExportModelEnum.ExportModelEnumFromJSONTyped;
exports.ExportModelEnumToJSON = ExportModelEnum.ExportModelEnumToJSON;
Object.defineProperty(exports, 'ExportStatusEnum', {
	enumerable: true,
	get: function () { return ExportStatusEnum.ExportStatusEnum; }
});
exports.ExportStatusEnumFromJSON = ExportStatusEnum.ExportStatusEnumFromJSON;
exports.ExportStatusEnumFromJSONTyped = ExportStatusEnum.ExportStatusEnumFromJSONTyped;
exports.ExportStatusEnumToJSON = ExportStatusEnum.ExportStatusEnumToJSON;
exports.ExportWaasWalletPrivateKeyRequestFromJSON = ExportWaasWalletPrivateKeyRequest.ExportWaasWalletPrivateKeyRequestFromJSON;
exports.ExportWaasWalletPrivateKeyRequestFromJSONTyped = ExportWaasWalletPrivateKeyRequest.ExportWaasWalletPrivateKeyRequestFromJSONTyped;
exports.ExportWaasWalletPrivateKeyRequestToJSON = ExportWaasWalletPrivateKeyRequest.ExportWaasWalletPrivateKeyRequestToJSON;
exports.ExportsResponseFromJSON = ExportsResponse.ExportsResponseFromJSON;
exports.ExportsResponseFromJSONTyped = ExportsResponse.ExportsResponseFromJSONTyped;
exports.ExportsResponseToJSON = ExportsResponse.ExportsResponseToJSON;
exports.ExternalAuthFromJSON = ExternalAuth.ExternalAuthFromJSON;
exports.ExternalAuthFromJSONTyped = ExternalAuth.ExternalAuthFromJSONTyped;
exports.ExternalAuthToJSON = ExternalAuth.ExternalAuthToJSON;
exports.ExternalAuthSigninRequestFromJSON = ExternalAuthSigninRequest.ExternalAuthSigninRequestFromJSON;
exports.ExternalAuthSigninRequestFromJSONTyped = ExternalAuthSigninRequest.ExternalAuthSigninRequestFromJSONTyped;
exports.ExternalAuthSigninRequestToJSON = ExternalAuthSigninRequest.ExternalAuthSigninRequestToJSON;
exports.ExternalJwtCheckRequestFromJSON = ExternalJwtCheckRequest.ExternalJwtCheckRequestFromJSON;
exports.ExternalJwtCheckRequestFromJSONTyped = ExternalJwtCheckRequest.ExternalJwtCheckRequestFromJSONTyped;
exports.ExternalJwtCheckRequestToJSON = ExternalJwtCheckRequest.ExternalJwtCheckRequestToJSON;
exports.ExternalJwtCheckResponseFromJSON = ExternalJwtCheckResponse.ExternalJwtCheckResponseFromJSON;
exports.ExternalJwtCheckResponseFromJSONTyped = ExternalJwtCheckResponse.ExternalJwtCheckResponseFromJSONTyped;
exports.ExternalJwtCheckResponseToJSON = ExternalJwtCheckResponse.ExternalJwtCheckResponseToJSON;
Object.defineProperty(exports, 'ExternalWalletFundingDefaultChain', {
	enumerable: true,
	get: function () { return ExternalWalletFundingDefaultChain.ExternalWalletFundingDefaultChain; }
});
exports.ExternalWalletFundingDefaultChainFromJSON = ExternalWalletFundingDefaultChain.ExternalWalletFundingDefaultChainFromJSON;
exports.ExternalWalletFundingDefaultChainFromJSONTyped = ExternalWalletFundingDefaultChain.ExternalWalletFundingDefaultChainFromJSONTyped;
exports.ExternalWalletFundingDefaultChainToJSON = ExternalWalletFundingDefaultChain.ExternalWalletFundingDefaultChainToJSON;
exports.ExternalWalletFundingDefaultSettingsFromJSON = ExternalWalletFundingDefaultSettings.ExternalWalletFundingDefaultSettingsFromJSON;
exports.ExternalWalletFundingDefaultSettingsFromJSONTyped = ExternalWalletFundingDefaultSettings.ExternalWalletFundingDefaultSettingsFromJSONTyped;
exports.ExternalWalletFundingDefaultSettingsToJSON = ExternalWalletFundingDefaultSettings.ExternalWalletFundingDefaultSettingsToJSON;
exports.ExternalWalletFundingDefaultSettingsTokenFromJSON = ExternalWalletFundingDefaultSettingsToken.ExternalWalletFundingDefaultSettingsTokenFromJSON;
exports.ExternalWalletFundingDefaultSettingsTokenFromJSONTyped = ExternalWalletFundingDefaultSettingsToken.ExternalWalletFundingDefaultSettingsTokenFromJSONTyped;
exports.ExternalWalletFundingDefaultSettingsTokenToJSON = ExternalWalletFundingDefaultSettingsToken.ExternalWalletFundingDefaultSettingsTokenToJSON;
Object.defineProperty(exports, 'ExternalWalletFundingTokenRule', {
	enumerable: true,
	get: function () { return ExternalWalletFundingTokenRule.ExternalWalletFundingTokenRule; }
});
exports.ExternalWalletFundingTokenRuleFromJSON = ExternalWalletFundingTokenRule.ExternalWalletFundingTokenRuleFromJSON;
exports.ExternalWalletFundingTokenRuleFromJSONTyped = ExternalWalletFundingTokenRule.ExternalWalletFundingTokenRuleFromJSONTyped;
exports.ExternalWalletFundingTokenRuleToJSON = ExternalWalletFundingTokenRule.ExternalWalletFundingTokenRuleToJSON;
exports.FarcasterSignInRequestFromJSON = FarcasterSignInRequest.FarcasterSignInRequestFromJSON;
exports.FarcasterSignInRequestFromJSONTyped = FarcasterSignInRequest.FarcasterSignInRequestFromJSONTyped;
exports.FarcasterSignInRequestToJSON = FarcasterSignInRequest.FarcasterSignInRequestToJSON;
exports.FeatureFlagsFromJSON = FeatureFlags.FeatureFlagsFromJSON;
exports.FeatureFlagsFromJSONTyped = FeatureFlags.FeatureFlagsFromJSONTyped;
exports.FeatureFlagsToJSON = FeatureFlags.FeatureFlagsToJSON;
exports.ForbiddenFromJSON = Forbidden.ForbiddenFromJSON;
exports.ForbiddenFromJSONTyped = Forbidden.ForbiddenFromJSONTyped;
exports.ForbiddenToJSON = Forbidden.ForbiddenToJSON;
exports.ForbiddenErrorPayloadFromJSON = ForbiddenErrorPayload.ForbiddenErrorPayloadFromJSON;
exports.ForbiddenErrorPayloadFromJSONTyped = ForbiddenErrorPayload.ForbiddenErrorPayloadFromJSONTyped;
exports.ForbiddenErrorPayloadToJSON = ForbiddenErrorPayload.ForbiddenErrorPayloadToJSON;
exports.ForbiddenWithErrorAndPayloadFromJSON = ForbiddenWithErrorAndPayload.ForbiddenWithErrorAndPayloadFromJSON;
exports.ForbiddenWithErrorAndPayloadFromJSONTyped = ForbiddenWithErrorAndPayload.ForbiddenWithErrorAndPayloadFromJSONTyped;
exports.ForbiddenWithErrorAndPayloadToJSON = ForbiddenWithErrorAndPayload.ForbiddenWithErrorAndPayloadToJSON;
exports.FrameworkSettingsFromJSON = FrameworkSettings.FrameworkSettingsFromJSON;
exports.FrameworkSettingsFromJSONTyped = FrameworkSettings.FrameworkSettingsFromJSONTyped;
exports.FrameworkSettingsToJSON = FrameworkSettings.FrameworkSettingsToJSON;
exports.FundingFromJSON = Funding.FundingFromJSON;
exports.FundingFromJSONTyped = Funding.FundingFromJSONTyped;
exports.FundingToJSON = Funding.FundingToJSON;
exports.FundingExternalWalletsFromJSON = FundingExternalWallets.FundingExternalWalletsFromJSON;
exports.FundingExternalWalletsFromJSONTyped = FundingExternalWallets.FundingExternalWalletsFromJSONTyped;
exports.FundingExternalWalletsToJSON = FundingExternalWallets.FundingExternalWalletsToJSON;
exports.FundingExternalWalletsDefaultSettingsFromJSON = FundingExternalWalletsDefaultSettings.FundingExternalWalletsDefaultSettingsFromJSON;
exports.FundingExternalWalletsDefaultSettingsFromJSONTyped = FundingExternalWalletsDefaultSettings.FundingExternalWalletsDefaultSettingsFromJSONTyped;
exports.FundingExternalWalletsDefaultSettingsToJSON = FundingExternalWalletsDefaultSettings.FundingExternalWalletsDefaultSettingsToJSON;
exports.FundingExternalWalletsMinAmountFromJSON = FundingExternalWalletsMinAmount.FundingExternalWalletsMinAmountFromJSON;
exports.FundingExternalWalletsMinAmountFromJSONTyped = FundingExternalWalletsMinAmount.FundingExternalWalletsMinAmountFromJSONTyped;
exports.FundingExternalWalletsMinAmountToJSON = FundingExternalWalletsMinAmount.FundingExternalWalletsMinAmountToJSON;
exports.GateFromJSON = Gate.GateFromJSON;
exports.GateFromJSONTyped = Gate.GateFromJSONTyped;
exports.GateToJSON = Gate.GateToJSON;
exports.GateCreateRequestFromJSON = GateCreateRequest.GateCreateRequestFromJSON;
exports.GateCreateRequestFromJSONTyped = GateCreateRequest.GateCreateRequestFromJSONTyped;
exports.GateCreateRequestToJSON = GateCreateRequest.GateCreateRequestToJSON;
exports.GateRuleFromJSON = GateRule.GateRuleFromJSON;
exports.GateRuleFromJSONTyped = GateRule.GateRuleFromJSONTyped;
exports.GateRuleToJSON = GateRule.GateRuleToJSON;
exports.GateRuleFilterFromJSON = GateRuleFilter.GateRuleFilterFromJSON;
exports.GateRuleFilterFromJSONTyped = GateRuleFilter.GateRuleFilterFromJSONTyped;
exports.GateRuleFilterToJSON = GateRuleFilter.GateRuleFilterToJSON;
Object.defineProperty(exports, 'GateRuleType', {
	enumerable: true,
	get: function () { return GateRuleType.GateRuleType; }
});
exports.GateRuleTypeFromJSON = GateRuleType.GateRuleTypeFromJSON;
exports.GateRuleTypeFromJSONTyped = GateRuleType.GateRuleTypeFromJSONTyped;
exports.GateRuleTypeToJSON = GateRuleType.GateRuleTypeToJSON;
exports.GateUpdateRequestFromJSON = GateUpdateRequest.GateUpdateRequestFromJSON;
exports.GateUpdateRequestFromJSONTyped = GateUpdateRequest.GateUpdateRequestFromJSONTyped;
exports.GateUpdateRequestToJSON = GateUpdateRequest.GateUpdateRequestToJSON;
exports.GatesResponseFromJSON = GatesResponse.GatesResponseFromJSON;
exports.GatesResponseFromJSONTyped = GatesResponse.GatesResponseFromJSONTyped;
exports.GatesResponseToJSON = GatesResponse.GatesResponseToJSON;
exports.GetUserPasskeysResponseFromJSON = GetUserPasskeysResponse.GetUserPasskeysResponseFromJSON;
exports.GetUserPasskeysResponseFromJSONTyped = GetUserPasskeysResponse.GetUserPasskeysResponseFromJSONTyped;
exports.GetUserPasskeysResponseToJSON = GetUserPasskeysResponse.GetUserPasskeysResponseToJSON;
exports.GlobalWalletAccessControlDomainCreateRequestFromJSON = GlobalWalletAccessControlDomainCreateRequest.GlobalWalletAccessControlDomainCreateRequestFromJSON;
exports.GlobalWalletAccessControlDomainCreateRequestFromJSONTyped = GlobalWalletAccessControlDomainCreateRequest.GlobalWalletAccessControlDomainCreateRequestFromJSONTyped;
exports.GlobalWalletAccessControlDomainCreateRequestToJSON = GlobalWalletAccessControlDomainCreateRequest.GlobalWalletAccessControlDomainCreateRequestToJSON;
exports.GlobalWalletAccessControlDomainResponseFromJSON = GlobalWalletAccessControlDomainResponse.GlobalWalletAccessControlDomainResponseFromJSON;
exports.GlobalWalletAccessControlDomainResponseFromJSONTyped = GlobalWalletAccessControlDomainResponse.GlobalWalletAccessControlDomainResponseFromJSONTyped;
exports.GlobalWalletAccessControlDomainResponseToJSON = GlobalWalletAccessControlDomainResponse.GlobalWalletAccessControlDomainResponseToJSON;
exports.GlobalWalletAccessControlResponseFromJSON = GlobalWalletAccessControlResponse.GlobalWalletAccessControlResponseFromJSON;
exports.GlobalWalletAccessControlResponseFromJSONTyped = GlobalWalletAccessControlResponse.GlobalWalletAccessControlResponseFromJSONTyped;
exports.GlobalWalletAccessControlResponseToJSON = GlobalWalletAccessControlResponse.GlobalWalletAccessControlResponseToJSON;
Object.defineProperty(exports, 'GlobalWalletAccessControlTypeEnum', {
	enumerable: true,
	get: function () { return GlobalWalletAccessControlTypeEnum.GlobalWalletAccessControlTypeEnum; }
});
exports.GlobalWalletAccessControlTypeEnumFromJSON = GlobalWalletAccessControlTypeEnum.GlobalWalletAccessControlTypeEnumFromJSON;
exports.GlobalWalletAccessControlTypeEnumFromJSONTyped = GlobalWalletAccessControlTypeEnum.GlobalWalletAccessControlTypeEnumFromJSONTyped;
exports.GlobalWalletAccessControlTypeEnumToJSON = GlobalWalletAccessControlTypeEnum.GlobalWalletAccessControlTypeEnumToJSON;
exports.GlobalWalletAccessControlUpdateRequestFromJSON = GlobalWalletAccessControlUpdateRequest.GlobalWalletAccessControlUpdateRequestFromJSON;
exports.GlobalWalletAccessControlUpdateRequestFromJSONTyped = GlobalWalletAccessControlUpdateRequest.GlobalWalletAccessControlUpdateRequestFromJSONTyped;
exports.GlobalWalletAccessControlUpdateRequestToJSON = GlobalWalletAccessControlUpdateRequest.GlobalWalletAccessControlUpdateRequestToJSON;
exports.GlobalWalletSettingsFromJSON = GlobalWalletSettings.GlobalWalletSettingsFromJSON;
exports.GlobalWalletSettingsFromJSONTyped = GlobalWalletSettings.GlobalWalletSettingsFromJSONTyped;
exports.GlobalWalletSettingsToJSON = GlobalWalletSettings.GlobalWalletSettingsToJSON;
exports.GlobalWalletSettingsCreateRequestFromJSON = GlobalWalletSettingsCreateRequest.GlobalWalletSettingsCreateRequestFromJSON;
exports.GlobalWalletSettingsCreateRequestFromJSONTyped = GlobalWalletSettingsCreateRequest.GlobalWalletSettingsCreateRequestFromJSONTyped;
exports.GlobalWalletSettingsCreateRequestToJSON = GlobalWalletSettingsCreateRequest.GlobalWalletSettingsCreateRequestToJSON;
exports.GlobalWalletSettingsCreateRequestCustomMenuLinksFromJSON = GlobalWalletSettingsCreateRequestCustomMenuLinks.GlobalWalletSettingsCreateRequestCustomMenuLinksFromJSON;
exports.GlobalWalletSettingsCreateRequestCustomMenuLinksFromJSONTyped = GlobalWalletSettingsCreateRequestCustomMenuLinks.GlobalWalletSettingsCreateRequestCustomMenuLinksFromJSONTyped;
exports.GlobalWalletSettingsCreateRequestCustomMenuLinksToJSON = GlobalWalletSettingsCreateRequestCustomMenuLinks.GlobalWalletSettingsCreateRequestCustomMenuLinksToJSON;
exports.GlobalWalletSettingsUpdateRequestFromJSON = GlobalWalletSettingsUpdateRequest.GlobalWalletSettingsUpdateRequestFromJSON;
exports.GlobalWalletSettingsUpdateRequestFromJSONTyped = GlobalWalletSettingsUpdateRequest.GlobalWalletSettingsUpdateRequestFromJSONTyped;
exports.GlobalWalletSettingsUpdateRequestToJSON = GlobalWalletSettingsUpdateRequest.GlobalWalletSettingsUpdateRequestToJSON;
exports.HCaptchaSettingsFromJSON = HCaptchaSettings.HCaptchaSettingsFromJSON;
exports.HCaptchaSettingsFromJSONTyped = HCaptchaSettings.HCaptchaSettingsFromJSONTyped;
exports.HCaptchaSettingsToJSON = HCaptchaSettings.HCaptchaSettingsToJSON;
Object.defineProperty(exports, 'HardwareWalletEnum', {
	enumerable: true,
	get: function () { return HardwareWalletEnum.HardwareWalletEnum; }
});
exports.HardwareWalletEnumFromJSON = HardwareWalletEnum.HardwareWalletEnumFromJSON;
exports.HardwareWalletEnumFromJSONTyped = HardwareWalletEnum.HardwareWalletEnumFromJSONTyped;
exports.HardwareWalletEnumToJSON = HardwareWalletEnum.HardwareWalletEnumToJSON;
exports.HardwareWalletPropertiesFromJSON = HardwareWalletProperties.HardwareWalletPropertiesFromJSON;
exports.HardwareWalletPropertiesFromJSONTyped = HardwareWalletProperties.HardwareWalletPropertiesFromJSONTyped;
exports.HardwareWalletPropertiesToJSON = HardwareWalletProperties.HardwareWalletPropertiesToJSON;
exports.HealthcheckResponseFromJSON = HealthcheckResponse.HealthcheckResponseFromJSON;
exports.HealthcheckResponseFromJSONTyped = HealthcheckResponse.HealthcheckResponseFromJSONTyped;
exports.HealthcheckResponseToJSON = HealthcheckResponse.HealthcheckResponseToJSON;
Object.defineProperty(exports, 'HealthcheckStatus', {
	enumerable: true,
	get: function () { return HealthcheckStatus.HealthcheckStatus; }
});
exports.HealthcheckStatusFromJSON = HealthcheckStatus.HealthcheckStatusFromJSON;
exports.HealthcheckStatusFromJSONTyped = HealthcheckStatus.HealthcheckStatusFromJSONTyped;
exports.HealthcheckStatusToJSON = HealthcheckStatus.HealthcheckStatusToJSON;
exports.ImportWaasPrivateKeyRequestFromJSON = ImportWaasPrivateKeyRequest.ImportWaasPrivateKeyRequestFromJSON;
exports.ImportWaasPrivateKeyRequestFromJSONTyped = ImportWaasPrivateKeyRequest.ImportWaasPrivateKeyRequestFromJSONTyped;
exports.ImportWaasPrivateKeyRequestToJSON = ImportWaasPrivateKeyRequest.ImportWaasPrivateKeyRequestToJSON;
exports.InitEmailAuthRequestFromJSON = InitEmailAuthRequest.InitEmailAuthRequestFromJSON;
exports.InitEmailAuthRequestFromJSONTyped = InitEmailAuthRequest.InitEmailAuthRequestFromJSONTyped;
exports.InitEmailAuthRequestToJSON = InitEmailAuthRequest.InitEmailAuthRequestToJSON;
exports.InitEmailAuthResponseFromJSON = InitEmailAuthResponse.InitEmailAuthResponseFromJSON;
exports.InitEmailAuthResponseFromJSONTyped = InitEmailAuthResponse.InitEmailAuthResponseFromJSONTyped;
exports.InitEmailAuthResponseToJSON = InitEmailAuthResponse.InitEmailAuthResponseToJSON;
exports.InitPasskeyRecoveryRequestFromJSON = InitPasskeyRecoveryRequest.InitPasskeyRecoveryRequestFromJSON;
exports.InitPasskeyRecoveryRequestFromJSONTyped = InitPasskeyRecoveryRequest.InitPasskeyRecoveryRequestFromJSONTyped;
exports.InitPasskeyRecoveryRequestToJSON = InitPasskeyRecoveryRequest.InitPasskeyRecoveryRequestToJSON;
exports.InitPasskeyRecoveryResponseFromJSON = InitPasskeyRecoveryResponse.InitPasskeyRecoveryResponseFromJSON;
exports.InitPasskeyRecoveryResponseFromJSONTyped = InitPasskeyRecoveryResponse.InitPasskeyRecoveryResponseFromJSONTyped;
exports.InitPasskeyRecoveryResponseToJSON = InitPasskeyRecoveryResponse.InitPasskeyRecoveryResponseToJSON;
exports.InlineObjectFromJSON = InlineObject.InlineObjectFromJSON;
exports.InlineObjectFromJSONTyped = InlineObject.InlineObjectFromJSONTyped;
exports.InlineObjectToJSON = InlineObject.InlineObjectToJSON;
exports.InlineResponse200FromJSON = InlineResponse200.InlineResponse200FromJSON;
exports.InlineResponse200FromJSONTyped = InlineResponse200.InlineResponse200FromJSONTyped;
exports.InlineResponse200ToJSON = InlineResponse200.InlineResponse200ToJSON;
exports.InlineResponse201FromJSON = InlineResponse201.InlineResponse201FromJSON;
exports.InlineResponse201FromJSONTyped = InlineResponse201.InlineResponse201FromJSONTyped;
exports.InlineResponse201ToJSON = InlineResponse201.InlineResponse201ToJSON;
exports.InlineResponse400FromJSON = InlineResponse400.InlineResponse400FromJSON;
exports.InlineResponse400FromJSONTyped = InlineResponse400.InlineResponse400FromJSONTyped;
exports.InlineResponse400ToJSON = InlineResponse400.InlineResponse400ToJSON;
exports.IntegrationSettingFromJSON = IntegrationSetting.IntegrationSettingFromJSON;
exports.IntegrationSettingFromJSONTyped = IntegrationSetting.IntegrationSettingFromJSONTyped;
exports.IntegrationSettingToJSON = IntegrationSetting.IntegrationSettingToJSON;
exports.InternalBulkUpdateUserFieldsFromJSON = InternalBulkUpdateUserFields.InternalBulkUpdateUserFieldsFromJSON;
exports.InternalBulkUpdateUserFieldsFromJSONTyped = InternalBulkUpdateUserFields.InternalBulkUpdateUserFieldsFromJSONTyped;
exports.InternalBulkUpdateUserFieldsToJSON = InternalBulkUpdateUserFields.InternalBulkUpdateUserFieldsToJSON;
exports.InternalBulkUpdateUserFieldsAllOfFromJSON = InternalBulkUpdateUserFieldsAllOf.InternalBulkUpdateUserFieldsAllOfFromJSON;
exports.InternalBulkUpdateUserFieldsAllOfFromJSONTyped = InternalBulkUpdateUserFieldsAllOf.InternalBulkUpdateUserFieldsAllOfFromJSONTyped;
exports.InternalBulkUpdateUserFieldsAllOfToJSON = InternalBulkUpdateUserFieldsAllOf.InternalBulkUpdateUserFieldsAllOfToJSON;
exports.InternalServerErrorFromJSON = InternalServerError.InternalServerErrorFromJSON;
exports.InternalServerErrorFromJSONTyped = InternalServerError.InternalServerErrorFromJSONTyped;
exports.InternalServerErrorToJSON = InternalServerError.InternalServerErrorToJSON;
exports.InternalUpdatableUserFieldsFromJSON = InternalUpdatableUserFields.InternalUpdatableUserFieldsFromJSON;
exports.InternalUpdatableUserFieldsFromJSONTyped = InternalUpdatableUserFields.InternalUpdatableUserFieldsFromJSONTyped;
exports.InternalUpdatableUserFieldsToJSON = InternalUpdatableUserFields.InternalUpdatableUserFieldsToJSON;
exports.InternalUserFieldsFromJSON = InternalUserFields.InternalUserFieldsFromJSON;
exports.InternalUserFieldsFromJSONTyped = InternalUserFields.InternalUserFieldsFromJSONTyped;
exports.InternalUserFieldsToJSON = InternalUserFields.InternalUserFieldsToJSON;
exports.InternalUserFieldsAllOfFromJSON = InternalUserFieldsAllOf.InternalUserFieldsAllOfFromJSON;
exports.InternalUserFieldsAllOfFromJSONTyped = InternalUserFieldsAllOf.InternalUserFieldsAllOfFromJSONTyped;
exports.InternalUserFieldsAllOfToJSON = InternalUserFieldsAllOf.InternalUserFieldsAllOfToJSON;
exports.InviteFromJSON = Invite.InviteFromJSON;
exports.InviteFromJSONTyped = Invite.InviteFromJSONTyped;
exports.InviteToJSON = Invite.InviteToJSON;
exports.InviteConflictResponseFromJSON = InviteConflictResponse.InviteConflictResponseFromJSON;
exports.InviteConflictResponseFromJSONTyped = InviteConflictResponse.InviteConflictResponseFromJSONTyped;
exports.InviteConflictResponseToJSON = InviteConflictResponse.InviteConflictResponseToJSON;
exports.InviteSendRequestFromJSON = InviteSendRequest.InviteSendRequestFromJSON;
exports.InviteSendRequestFromJSONTyped = InviteSendRequest.InviteSendRequestFromJSONTyped;
exports.InviteSendRequestToJSON = InviteSendRequest.InviteSendRequestToJSON;
Object.defineProperty(exports, 'InviteStatusEnum', {
	enumerable: true,
	get: function () { return InviteStatusEnum.InviteStatusEnum; }
});
exports.InviteStatusEnumFromJSON = InviteStatusEnum.InviteStatusEnumFromJSON;
exports.InviteStatusEnumFromJSONTyped = InviteStatusEnum.InviteStatusEnumFromJSONTyped;
exports.InviteStatusEnumToJSON = InviteStatusEnum.InviteStatusEnumToJSON;
exports.InviteUpdateRequestFromJSON = InviteUpdateRequest.InviteUpdateRequestFromJSON;
exports.InviteUpdateRequestFromJSONTyped = InviteUpdateRequest.InviteUpdateRequestFromJSONTyped;
exports.InviteUpdateRequestToJSON = InviteUpdateRequest.InviteUpdateRequestToJSON;
exports.InvitesResponseFromJSON = InvitesResponse.InvitesResponseFromJSON;
exports.InvitesResponseFromJSONTyped = InvitesResponse.InvitesResponseFromJSONTyped;
exports.InvitesResponseToJSON = InvitesResponse.InvitesResponseToJSON;
exports.JwksKeyFromJSON = JwksKey.JwksKeyFromJSON;
exports.JwksKeyFromJSONTyped = JwksKey.JwksKeyFromJSONTyped;
exports.JwksKeyToJSON = JwksKey.JwksKeyToJSON;
exports.JwksResponseFromJSON = JwksResponse.JwksResponseFromJSON;
exports.JwksResponseFromJSONTyped = JwksResponse.JwksResponseFromJSONTyped;
exports.JwksResponseToJSON = JwksResponse.JwksResponseToJSON;
exports.JwtBlockchainAccountFromJSON = JwtBlockchainAccount.JwtBlockchainAccountFromJSON;
exports.JwtBlockchainAccountFromJSONTyped = JwtBlockchainAccount.JwtBlockchainAccountFromJSONTyped;
exports.JwtBlockchainAccountToJSON = JwtBlockchainAccount.JwtBlockchainAccountToJSON;
exports.JwtPayloadDeprecatedInfoFromJSON = JwtPayloadDeprecatedInfo.JwtPayloadDeprecatedInfoFromJSON;
exports.JwtPayloadDeprecatedInfoFromJSONTyped = JwtPayloadDeprecatedInfo.JwtPayloadDeprecatedInfoFromJSONTyped;
exports.JwtPayloadDeprecatedInfoToJSON = JwtPayloadDeprecatedInfo.JwtPayloadDeprecatedInfoToJSON;
exports.JwtVerifiedCredentialFromJSON = JwtVerifiedCredential.JwtVerifiedCredentialFromJSON;
exports.JwtVerifiedCredentialFromJSONTyped = JwtVerifiedCredential.JwtVerifiedCredentialFromJSONTyped;
exports.JwtVerifiedCredentialToJSON = JwtVerifiedCredential.JwtVerifiedCredentialToJSON;
Object.defineProperty(exports, 'JwtVerifiedCredentialFormatEnum', {
	enumerable: true,
	get: function () { return JwtVerifiedCredentialFormatEnum.JwtVerifiedCredentialFormatEnum; }
});
exports.JwtVerifiedCredentialFormatEnumFromJSON = JwtVerifiedCredentialFormatEnum.JwtVerifiedCredentialFormatEnumFromJSON;
exports.JwtVerifiedCredentialFormatEnumFromJSONTyped = JwtVerifiedCredentialFormatEnum.JwtVerifiedCredentialFormatEnumFromJSONTyped;
exports.JwtVerifiedCredentialFormatEnumToJSON = JwtVerifiedCredentialFormatEnum.JwtVerifiedCredentialFormatEnumToJSON;
exports.JwtVerifiedCredentialHashesFromJSON = JwtVerifiedCredentialHashes.JwtVerifiedCredentialHashesFromJSON;
exports.JwtVerifiedCredentialHashesFromJSONTyped = JwtVerifiedCredentialHashes.JwtVerifiedCredentialHashesFromJSONTyped;
exports.JwtVerifiedCredentialHashesToJSON = JwtVerifiedCredentialHashes.JwtVerifiedCredentialHashesToJSON;
exports.KeyFromJSON = Key.KeyFromJSON;
exports.KeyFromJSONTyped = Key.KeyFromJSONTyped;
exports.KeyToJSON = Key.KeyToJSON;
exports.KeyResponseFromJSON = KeyResponse.KeyResponseFromJSON;
exports.KeyResponseFromJSONTyped = KeyResponse.KeyResponseFromJSONTyped;
exports.KeyResponseToJSON = KeyResponse.KeyResponseToJSON;
Object.defineProperty(exports, 'KycFieldType', {
	enumerable: true,
	get: function () { return KycFieldType.KycFieldType; }
});
exports.KycFieldTypeFromJSON = KycFieldType.KycFieldTypeFromJSON;
exports.KycFieldTypeFromJSONTyped = KycFieldType.KycFieldTypeFromJSONTyped;
exports.KycFieldTypeToJSON = KycFieldType.KycFieldTypeToJSON;
exports.MFAAuthPasskeyDeviceGetResponseFromJSON = MFAAuthPasskeyDeviceGetResponse.MFAAuthPasskeyDeviceGetResponseFromJSON;
exports.MFAAuthPasskeyDeviceGetResponseFromJSONTyped = MFAAuthPasskeyDeviceGetResponse.MFAAuthPasskeyDeviceGetResponseFromJSONTyped;
exports.MFAAuthPasskeyDeviceGetResponseToJSON = MFAAuthPasskeyDeviceGetResponse.MFAAuthPasskeyDeviceGetResponseToJSON;
exports.MFAAuthPasskeyDeviceGetResponseAssertionFromJSON = MFAAuthPasskeyDeviceGetResponseAssertion.MFAAuthPasskeyDeviceGetResponseAssertionFromJSON;
exports.MFAAuthPasskeyDeviceGetResponseAssertionFromJSONTyped = MFAAuthPasskeyDeviceGetResponseAssertion.MFAAuthPasskeyDeviceGetResponseAssertionFromJSONTyped;
exports.MFAAuthPasskeyDeviceGetResponseAssertionToJSON = MFAAuthPasskeyDeviceGetResponseAssertion.MFAAuthPasskeyDeviceGetResponseAssertionToJSON;
exports.MFAAuthPasskeyDevicePostRequestFromJSON = MFAAuthPasskeyDevicePostRequest.MFAAuthPasskeyDevicePostRequestFromJSON;
exports.MFAAuthPasskeyDevicePostRequestFromJSONTyped = MFAAuthPasskeyDevicePostRequest.MFAAuthPasskeyDevicePostRequestFromJSONTyped;
exports.MFAAuthPasskeyDevicePostRequestToJSON = MFAAuthPasskeyDevicePostRequest.MFAAuthPasskeyDevicePostRequestToJSON;
exports.MFAAuthRecoveryDevicePostRequestFromJSON = MFAAuthRecoveryDevicePostRequest.MFAAuthRecoveryDevicePostRequestFromJSON;
exports.MFAAuthRecoveryDevicePostRequestFromJSONTyped = MFAAuthRecoveryDevicePostRequest.MFAAuthRecoveryDevicePostRequestFromJSONTyped;
exports.MFAAuthRecoveryDevicePostRequestToJSON = MFAAuthRecoveryDevicePostRequest.MFAAuthRecoveryDevicePostRequestToJSON;
exports.MFAAuthTotpDevicePostRequestFromJSON = MFAAuthTotpDevicePostRequest.MFAAuthTotpDevicePostRequestFromJSON;
exports.MFAAuthTotpDevicePostRequestFromJSONTyped = MFAAuthTotpDevicePostRequest.MFAAuthTotpDevicePostRequestFromJSONTyped;
exports.MFAAuthTotpDevicePostRequestToJSON = MFAAuthTotpDevicePostRequest.MFAAuthTotpDevicePostRequestToJSON;
exports.MFADeviceFromJSON = MFADevice.MFADeviceFromJSON;
exports.MFADeviceFromJSONTyped = MFADevice.MFADeviceFromJSONTyped;
exports.MFADeviceToJSON = MFADevice.MFADeviceToJSON;
Object.defineProperty(exports, 'MFADeviceType', {
	enumerable: true,
	get: function () { return MFADeviceType.MFADeviceType; }
});
exports.MFADeviceTypeFromJSON = MFADeviceType.MFADeviceTypeFromJSON;
exports.MFADeviceTypeFromJSONTyped = MFADeviceType.MFADeviceTypeFromJSONTyped;
exports.MFADeviceTypeToJSON = MFADeviceType.MFADeviceTypeToJSON;
exports.MFAGetRecoveryCodesResponseFromJSON = MFAGetRecoveryCodesResponse.MFAGetRecoveryCodesResponseFromJSON;
exports.MFAGetRecoveryCodesResponseFromJSONTyped = MFAGetRecoveryCodesResponse.MFAGetRecoveryCodesResponseFromJSONTyped;
exports.MFAGetRecoveryCodesResponseToJSON = MFAGetRecoveryCodesResponse.MFAGetRecoveryCodesResponseToJSON;
exports.MFAListDevicesResponseFromJSON = MFAListDevicesResponse.MFAListDevicesResponseFromJSON;
exports.MFAListDevicesResponseFromJSONTyped = MFAListDevicesResponse.MFAListDevicesResponseFromJSONTyped;
exports.MFAListDevicesResponseToJSON = MFAListDevicesResponse.MFAListDevicesResponseToJSON;
exports.MFARegenRecoveryCodesResponseFromJSON = MFARegenRecoveryCodesResponse.MFARegenRecoveryCodesResponseFromJSON;
exports.MFARegenRecoveryCodesResponseFromJSONTyped = MFARegenRecoveryCodesResponse.MFARegenRecoveryCodesResponseFromJSONTyped;
exports.MFARegenRecoveryCodesResponseToJSON = MFARegenRecoveryCodesResponse.MFARegenRecoveryCodesResponseToJSON;
exports.MFARegisterPasskeyDeviceGetResponseFromJSON = MFARegisterPasskeyDeviceGetResponse.MFARegisterPasskeyDeviceGetResponseFromJSON;
exports.MFARegisterPasskeyDeviceGetResponseFromJSONTyped = MFARegisterPasskeyDeviceGetResponse.MFARegisterPasskeyDeviceGetResponseFromJSONTyped;
exports.MFARegisterPasskeyDeviceGetResponseToJSON = MFARegisterPasskeyDeviceGetResponse.MFARegisterPasskeyDeviceGetResponseToJSON;
exports.MFARegisterPasskeyDeviceGetResponseRegistrationFromJSON = MFARegisterPasskeyDeviceGetResponseRegistration.MFARegisterPasskeyDeviceGetResponseRegistrationFromJSON;
exports.MFARegisterPasskeyDeviceGetResponseRegistrationFromJSONTyped = MFARegisterPasskeyDeviceGetResponseRegistration.MFARegisterPasskeyDeviceGetResponseRegistrationFromJSONTyped;
exports.MFARegisterPasskeyDeviceGetResponseRegistrationToJSON = MFARegisterPasskeyDeviceGetResponseRegistration.MFARegisterPasskeyDeviceGetResponseRegistrationToJSON;
exports.MFARegisterPasskeyDevicePostRequestFromJSON = MFARegisterPasskeyDevicePostRequest.MFARegisterPasskeyDevicePostRequestFromJSON;
exports.MFARegisterPasskeyDevicePostRequestFromJSONTyped = MFARegisterPasskeyDevicePostRequest.MFARegisterPasskeyDevicePostRequestFromJSONTyped;
exports.MFARegisterPasskeyDevicePostRequestToJSON = MFARegisterPasskeyDevicePostRequest.MFARegisterPasskeyDevicePostRequestToJSON;
exports.MFARegisterTotpDeviceGetResponseFromJSON = MFARegisterTotpDeviceGetResponse.MFARegisterTotpDeviceGetResponseFromJSON;
exports.MFARegisterTotpDeviceGetResponseFromJSONTyped = MFARegisterTotpDeviceGetResponse.MFARegisterTotpDeviceGetResponseFromJSONTyped;
exports.MFARegisterTotpDeviceGetResponseToJSON = MFARegisterTotpDeviceGetResponse.MFARegisterTotpDeviceGetResponseToJSON;
exports.MFARegisterTotpDevicePostRequestFromJSON = MFARegisterTotpDevicePostRequest.MFARegisterTotpDevicePostRequestFromJSON;
exports.MFARegisterTotpDevicePostRequestFromJSONTyped = MFARegisterTotpDevicePostRequest.MFARegisterTotpDevicePostRequestFromJSONTyped;
exports.MFARegisterTotpDevicePostRequestToJSON = MFARegisterTotpDevicePostRequest.MFARegisterTotpDevicePostRequestToJSON;
exports.MFASettingsFromJSON = MFASettings.MFASettingsFromJSON;
exports.MFASettingsFromJSONTyped = MFASettings.MFASettingsFromJSONTyped;
exports.MFASettingsToJSON = MFASettings.MFASettingsToJSON;
exports.MFAUpdateDeviceRequestFromJSON = MFAUpdateDeviceRequest.MFAUpdateDeviceRequestFromJSON;
exports.MFAUpdateDeviceRequestFromJSONTyped = MFAUpdateDeviceRequest.MFAUpdateDeviceRequestFromJSONTyped;
exports.MFAUpdateDeviceRequestToJSON = MFAUpdateDeviceRequest.MFAUpdateDeviceRequestToJSON;
exports.MemberResponseFromJSON = MemberResponse.MemberResponseFromJSON;
exports.MemberResponseFromJSONTyped = MemberResponse.MemberResponseFromJSONTyped;
exports.MemberResponseToJSON = MemberResponse.MemberResponseToJSON;
exports.MemberRoleFieldFromJSON = MemberRoleField.MemberRoleFieldFromJSON;
exports.MemberRoleFieldFromJSONTyped = MemberRoleField.MemberRoleFieldFromJSONTyped;
exports.MemberRoleFieldToJSON = MemberRoleField.MemberRoleFieldToJSON;
exports.MergeConflictsFromJSON = MergeConflicts.MergeConflictsFromJSON;
exports.MergeConflictsFromJSONTyped = MergeConflicts.MergeConflictsFromJSONTyped;
exports.MergeConflictsToJSON = MergeConflicts.MergeConflictsToJSON;
exports.MergeUserFromJSON = MergeUser.MergeUserFromJSON;
exports.MergeUserFromJSONTyped = MergeUser.MergeUserFromJSONTyped;
exports.MergeUserToJSON = MergeUser.MergeUserToJSON;
exports.MergeUserConflictFromJSON = MergeUserConflict.MergeUserConflictFromJSON;
exports.MergeUserConflictFromJSONTyped = MergeUserConflict.MergeUserConflictFromJSONTyped;
exports.MergeUserConflictToJSON = MergeUserConflict.MergeUserConflictToJSON;
exports.MergeUserConflictResolutionFromJSON = MergeUserConflictResolution.MergeUserConflictResolutionFromJSON;
exports.MergeUserConflictResolutionFromJSONTyped = MergeUserConflictResolution.MergeUserConflictResolutionFromJSONTyped;
exports.MergeUserConflictResolutionToJSON = MergeUserConflictResolution.MergeUserConflictResolutionToJSON;
exports.MergeUserConflictResolutionsFromJSON = MergeUserConflictResolutions.MergeUserConflictResolutionsFromJSON;
exports.MergeUserConflictResolutionsFromJSONTyped = MergeUserConflictResolutions.MergeUserConflictResolutionsFromJSONTyped;
exports.MergeUserConflictResolutionsToJSON = MergeUserConflictResolutions.MergeUserConflictResolutionsToJSON;
exports.MethodNotAllowedFromJSON = MethodNotAllowed.MethodNotAllowedFromJSON;
exports.MethodNotAllowedFromJSONTyped = MethodNotAllowed.MethodNotAllowedFromJSONTyped;
exports.MethodNotAllowedToJSON = MethodNotAllowed.MethodNotAllowedToJSON;
Object.defineProperty(exports, 'MfaBackupCodeAcknowledgement', {
	enumerable: true,
	get: function () { return MfaBackupCodeAcknowledgement.MfaBackupCodeAcknowledgement; }
});
exports.MfaBackupCodeAcknowledgementFromJSON = MfaBackupCodeAcknowledgement.MfaBackupCodeAcknowledgementFromJSON;
exports.MfaBackupCodeAcknowledgementFromJSONTyped = MfaBackupCodeAcknowledgement.MfaBackupCodeAcknowledgementFromJSONTyped;
exports.MfaBackupCodeAcknowledgementToJSON = MfaBackupCodeAcknowledgement.MfaBackupCodeAcknowledgementToJSON;
exports.MinifiedDynamicJwtFromJSON = MinifiedDynamicJwt.MinifiedDynamicJwtFromJSON;
exports.MinifiedDynamicJwtFromJSONTyped = MinifiedDynamicJwt.MinifiedDynamicJwtFromJSONTyped;
exports.MinifiedDynamicJwtToJSON = MinifiedDynamicJwt.MinifiedDynamicJwtToJSON;
exports.MobileSettingsFromJSON = MobileSettings.MobileSettingsFromJSON;
exports.MobileSettingsFromJSONTyped = MobileSettings.MobileSettingsFromJSONTyped;
exports.MobileSettingsToJSON = MobileSettings.MobileSettingsToJSON;
exports.NameServiceFromJSON = NameService.NameServiceFromJSON;
exports.NameServiceFromJSONTyped = NameService.NameServiceFromJSONTyped;
exports.NameServiceToJSON = NameService.NameServiceToJSON;
exports.NameServiceCreateRequestFromJSON = NameServiceCreateRequest.NameServiceCreateRequestFromJSON;
exports.NameServiceCreateRequestFromJSONTyped = NameServiceCreateRequest.NameServiceCreateRequestFromJSONTyped;
exports.NameServiceCreateRequestToJSON = NameServiceCreateRequest.NameServiceCreateRequestToJSON;
exports.NameServiceDataFromJSON = NameServiceData.NameServiceDataFromJSON;
exports.NameServiceDataFromJSONTyped = NameServiceData.NameServiceDataFromJSONTyped;
exports.NameServiceDataToJSON = NameServiceData.NameServiceDataToJSON;
exports.NameServiceResponseFromJSON = NameServiceResponse.NameServiceResponseFromJSON;
exports.NameServiceResponseFromJSONTyped = NameServiceResponse.NameServiceResponseFromJSONTyped;
exports.NameServiceResponseToJSON = NameServiceResponse.NameServiceResponseToJSON;
exports.NameServiceSdkSettingsFromJSON = NameServiceSdkSettings.NameServiceSdkSettingsFromJSON;
exports.NameServiceSdkSettingsFromJSONTyped = NameServiceSdkSettings.NameServiceSdkSettingsFromJSONTyped;
exports.NameServiceSdkSettingsToJSON = NameServiceSdkSettings.NameServiceSdkSettingsToJSON;
exports.NameServiceSdkSettingsEvmFromJSON = NameServiceSdkSettingsEvm.NameServiceSdkSettingsEvmFromJSON;
exports.NameServiceSdkSettingsEvmFromJSONTyped = NameServiceSdkSettingsEvm.NameServiceSdkSettingsEvmFromJSONTyped;
exports.NameServiceSdkSettingsEvmToJSON = NameServiceSdkSettingsEvm.NameServiceSdkSettingsEvmToJSON;
exports.NameServiceSigningMessageFromJSON = NameServiceSigningMessage.NameServiceSigningMessageFromJSON;
exports.NameServiceSigningMessageFromJSONTyped = NameServiceSigningMessage.NameServiceSigningMessageFromJSONTyped;
exports.NameServiceSigningMessageToJSON = NameServiceSigningMessage.NameServiceSigningMessageToJSON;
exports.NameServiceSigningMessageRequestFromJSON = NameServiceSigningMessageRequest.NameServiceSigningMessageRequestFromJSON;
exports.NameServiceSigningMessageRequestFromJSONTyped = NameServiceSigningMessageRequest.NameServiceSigningMessageRequestFromJSONTyped;
exports.NameServiceSigningMessageRequestToJSON = NameServiceSigningMessageRequest.NameServiceSigningMessageRequestToJSON;
exports.NativeCurrencyFromJSON = NativeCurrency.NativeCurrencyFromJSON;
exports.NativeCurrencyFromJSONTyped = NativeCurrency.NativeCurrencyFromJSONTyped;
exports.NativeCurrencyToJSON = NativeCurrency.NativeCurrencyToJSON;
exports.NetworkFromJSON = Network.NetworkFromJSON;
exports.NetworkFromJSONTyped = Network.NetworkFromJSONTyped;
exports.NetworkToJSON = Network.NetworkToJSON;
Object.defineProperty(exports, 'NetworkTypeEnum', {
	enumerable: true,
	get: function () { return Network.NetworkTypeEnum; }
});
exports.NetworkConfigurationFromJSON = NetworkConfiguration.NetworkConfigurationFromJSON;
exports.NetworkConfigurationFromJSONTyped = NetworkConfiguration.NetworkConfigurationFromJSONTyped;
exports.NetworkConfigurationToJSON = NetworkConfiguration.NetworkConfigurationToJSON;
exports.NetworkConfigurationResponseFromJSON = NetworkConfigurationResponse.NetworkConfigurationResponseFromJSON;
exports.NetworkConfigurationResponseFromJSONTyped = NetworkConfigurationResponse.NetworkConfigurationResponseFromJSONTyped;
exports.NetworkConfigurationResponseToJSON = NetworkConfigurationResponse.NetworkConfigurationResponseToJSON;
exports.NextJsSettingsFromJSON = NextJsSettings.NextJsSettingsFromJSON;
exports.NextJsSettingsFromJSONTyped = NextJsSettings.NextJsSettingsFromJSONTyped;
exports.NextJsSettingsToJSON = NextJsSettings.NextJsSettingsToJSON;
Object.defineProperty(exports, 'NextViewEnum', {
	enumerable: true,
	get: function () { return NextViewEnum.NextViewEnum; }
});
exports.NextViewEnumFromJSON = NextViewEnum.NextViewEnumFromJSON;
exports.NextViewEnumFromJSONTyped = NextViewEnum.NextViewEnumFromJSONTyped;
exports.NextViewEnumToJSON = NextViewEnum.NextViewEnumToJSON;
exports.NonceResponseFromJSON = NonceResponse.NonceResponseFromJSON;
exports.NonceResponseFromJSONTyped = NonceResponse.NonceResponseFromJSONTyped;
exports.NonceResponseToJSON = NonceResponse.NonceResponseToJSON;
exports.NotFoundFromJSON = NotFound.NotFoundFromJSON;
exports.NotFoundFromJSONTyped = NotFound.NotFoundFromJSONTyped;
exports.NotFoundToJSON = NotFound.NotFoundToJSON;
exports.OAuthAccountFromJSON = OAuthAccount.OAuthAccountFromJSON;
exports.OAuthAccountFromJSONTyped = OAuthAccount.OAuthAccountFromJSONTyped;
exports.OAuthAccountToJSON = OAuthAccount.OAuthAccountToJSON;
exports.OauthInitAuthRequestFromJSON = OauthInitAuthRequest.OauthInitAuthRequestFromJSON;
exports.OauthInitAuthRequestFromJSONTyped = OauthInitAuthRequest.OauthInitAuthRequestFromJSONTyped;
exports.OauthInitAuthRequestToJSON = OauthInitAuthRequest.OauthInitAuthRequestToJSON;
exports.OauthProviderLoginUrlFromJSON = OauthProviderLoginUrl.OauthProviderLoginUrlFromJSON;
exports.OauthProviderLoginUrlFromJSONTyped = OauthProviderLoginUrl.OauthProviderLoginUrlFromJSONTyped;
exports.OauthProviderLoginUrlToJSON = OauthProviderLoginUrl.OauthProviderLoginUrlToJSON;
exports.OauthProviderRequestFromJSON = OauthProviderRequest.OauthProviderRequestFromJSON;
exports.OauthProviderRequestFromJSONTyped = OauthProviderRequest.OauthProviderRequestFromJSONTyped;
exports.OauthProviderRequestToJSON = OauthProviderRequest.OauthProviderRequestToJSON;
exports.OauthRequestFromJSON = OauthRequest.OauthRequestFromJSON;
exports.OauthRequestFromJSONTyped = OauthRequest.OauthRequestFromJSONTyped;
exports.OauthRequestToJSON = OauthRequest.OauthRequestToJSON;
exports.OauthResultRequestFromJSON = OauthResultRequest.OauthResultRequestFromJSON;
exports.OauthResultRequestFromJSONTyped = OauthResultRequest.OauthResultRequestFromJSONTyped;
exports.OauthResultRequestToJSON = OauthResultRequest.OauthResultRequestToJSON;
exports.OauthResultResponseFromJSON = OauthResultResponse.OauthResultResponseFromJSON;
exports.OauthResultResponseFromJSONTyped = OauthResultResponse.OauthResultResponseFromJSONTyped;
exports.OauthResultResponseToJSON = OauthResultResponse.OauthResultResponseToJSON;
Object.defineProperty(exports, 'OauthResultStatus', {
	enumerable: true,
	get: function () { return OauthResultStatus.OauthResultStatus; }
});
exports.OauthResultStatusFromJSON = OauthResultStatus.OauthResultStatusFromJSON;
exports.OauthResultStatusFromJSONTyped = OauthResultStatus.OauthResultStatusFromJSONTyped;
exports.OauthResultStatusToJSON = OauthResultStatus.OauthResultStatusToJSON;
Object.defineProperty(exports, 'OnrampProviders', {
	enumerable: true,
	get: function () { return OnrampProviders.OnrampProviders; }
});
exports.OnrampProvidersFromJSON = OnrampProviders.OnrampProvidersFromJSON;
exports.OnrampProvidersFromJSONTyped = OnrampProviders.OnrampProvidersFromJSONTyped;
exports.OnrampProvidersToJSON = OnrampProviders.OnrampProvidersToJSON;
exports.OpenRoomResponseFromJSON = OpenRoomResponse.OpenRoomResponseFromJSON;
exports.OpenRoomResponseFromJSONTyped = OpenRoomResponse.OpenRoomResponseFromJSONTyped;
exports.OpenRoomResponseToJSON = OpenRoomResponse.OpenRoomResponseToJSON;
exports.OpenRoomResponseForReshareFromJSON = OpenRoomResponseForReshare.OpenRoomResponseForReshareFromJSON;
exports.OpenRoomResponseForReshareFromJSONTyped = OpenRoomResponseForReshare.OpenRoomResponseForReshareFromJSONTyped;
exports.OpenRoomResponseForReshareToJSON = OpenRoomResponseForReshare.OpenRoomResponseForReshareToJSON;
exports.OpenRoomResponseWithServerKeygenIdsFromJSON = OpenRoomResponseWithServerKeygenIds.OpenRoomResponseWithServerKeygenIdsFromJSON;
exports.OpenRoomResponseWithServerKeygenIdsFromJSONTyped = OpenRoomResponseWithServerKeygenIds.OpenRoomResponseWithServerKeygenIdsFromJSONTyped;
exports.OpenRoomResponseWithServerKeygenIdsToJSON = OpenRoomResponseWithServerKeygenIds.OpenRoomResponseWithServerKeygenIdsToJSON;
exports.OrganizationFromJSON = Organization.OrganizationFromJSON;
exports.OrganizationFromJSONTyped = Organization.OrganizationFromJSONTyped;
exports.OrganizationToJSON = Organization.OrganizationToJSON;
exports.OrganizationFieldsFromJSON = OrganizationFields.OrganizationFieldsFromJSON;
exports.OrganizationFieldsFromJSONTyped = OrganizationFields.OrganizationFieldsFromJSONTyped;
exports.OrganizationFieldsToJSON = OrganizationFields.OrganizationFieldsToJSON;
exports.OrganizationMemberFromJSON = OrganizationMember.OrganizationMemberFromJSON;
exports.OrganizationMemberFromJSONTyped = OrganizationMember.OrganizationMemberFromJSONTyped;
exports.OrganizationMemberToJSON = OrganizationMember.OrganizationMemberToJSON;
exports.OrganizationMembersResponseFromJSON = OrganizationMembersResponse.OrganizationMembersResponseFromJSON;
exports.OrganizationMembersResponseFromJSONTyped = OrganizationMembersResponse.OrganizationMembersResponseFromJSONTyped;
exports.OrganizationMembersResponseToJSON = OrganizationMembersResponse.OrganizationMembersResponseToJSON;
exports.OrganizationMfaSettingsFromJSON = OrganizationMfaSettings.OrganizationMfaSettingsFromJSON;
exports.OrganizationMfaSettingsFromJSONTyped = OrganizationMfaSettings.OrganizationMfaSettingsFromJSONTyped;
exports.OrganizationMfaSettingsToJSON = OrganizationMfaSettings.OrganizationMfaSettingsToJSON;
exports.OrganizationMfaSettingsResponseFromJSON = OrganizationMfaSettingsResponse.OrganizationMfaSettingsResponseFromJSON;
exports.OrganizationMfaSettingsResponseFromJSONTyped = OrganizationMfaSettingsResponse.OrganizationMfaSettingsResponseFromJSONTyped;
exports.OrganizationMfaSettingsResponseToJSON = OrganizationMfaSettingsResponse.OrganizationMfaSettingsResponseToJSON;
exports.OrganizationRequestFromJSON = OrganizationRequest.OrganizationRequestFromJSON;
exports.OrganizationRequestFromJSONTyped = OrganizationRequest.OrganizationRequestFromJSONTyped;
exports.OrganizationRequestToJSON = OrganizationRequest.OrganizationRequestToJSON;
exports.OrganizationResponseFromJSON = OrganizationResponse.OrganizationResponseFromJSON;
exports.OrganizationResponseFromJSONTyped = OrganizationResponse.OrganizationResponseFromJSONTyped;
exports.OrganizationResponseToJSON = OrganizationResponse.OrganizationResponseToJSON;
exports.OrganizationResponseOrganizationFromJSON = OrganizationResponseOrganization.OrganizationResponseOrganizationFromJSON;
exports.OrganizationResponseOrganizationFromJSONTyped = OrganizationResponseOrganization.OrganizationResponseOrganizationFromJSONTyped;
exports.OrganizationResponseOrganizationToJSON = OrganizationResponseOrganization.OrganizationResponseOrganizationToJSON;
exports.OrganizationsResponseFromJSON = OrganizationsResponse.OrganizationsResponseFromJSON;
exports.OrganizationsResponseFromJSONTyped = OrganizationsResponse.OrganizationsResponseFromJSONTyped;
exports.OrganizationsResponseToJSON = OrganizationsResponse.OrganizationsResponseToJSON;
exports.OriginResponseFromJSON = OriginResponse.OriginResponseFromJSON;
exports.OriginResponseFromJSONTyped = OriginResponse.OriginResponseFromJSONTyped;
exports.OriginResponseToJSON = OriginResponse.OriginResponseToJSON;
exports.OriginsResponseFromJSON = OriginsResponse.OriginsResponseFromJSON;
exports.OriginsResponseFromJSONTyped = OriginsResponse.OriginsResponseFromJSONTyped;
exports.OriginsResponseToJSON = OriginsResponse.OriginsResponseToJSON;
exports.PasskeyAuthRequestFromJSON = PasskeyAuthRequest.PasskeyAuthRequestFromJSON;
exports.PasskeyAuthRequestFromJSONTyped = PasskeyAuthRequest.PasskeyAuthRequestFromJSONTyped;
exports.PasskeyAuthRequestToJSON = PasskeyAuthRequest.PasskeyAuthRequestToJSON;
exports.PasskeyRegisterVerifyRequestFromJSON = PasskeyRegisterVerifyRequest.PasskeyRegisterVerifyRequestFromJSON;
exports.PasskeyRegisterVerifyRequestFromJSONTyped = PasskeyRegisterVerifyRequest.PasskeyRegisterVerifyRequestFromJSONTyped;
exports.PasskeyRegisterVerifyRequestToJSON = PasskeyRegisterVerifyRequest.PasskeyRegisterVerifyRequestToJSON;
exports.PasskeyRegistrationCredentialFromJSON = PasskeyRegistrationCredential.PasskeyRegistrationCredentialFromJSON;
exports.PasskeyRegistrationCredentialFromJSONTyped = PasskeyRegistrationCredential.PasskeyRegistrationCredentialFromJSONTyped;
exports.PasskeyRegistrationCredentialToJSON = PasskeyRegistrationCredential.PasskeyRegistrationCredentialToJSON;
exports.PasskeyStorageFromJSON = PasskeyStorage.PasskeyStorageFromJSON;
exports.PasskeyStorageFromJSONTyped = PasskeyStorage.PasskeyStorageFromJSONTyped;
exports.PasskeyStorageToJSON = PasskeyStorage.PasskeyStorageToJSON;
Object.defineProperty(exports, 'PasswordSourceTypeEnum', {
	enumerable: true,
	get: function () { return PasswordSourceTypeEnum.PasswordSourceTypeEnum; }
});
exports.PasswordSourceTypeEnumFromJSON = PasswordSourceTypeEnum.PasswordSourceTypeEnumFromJSON;
exports.PasswordSourceTypeEnumFromJSONTyped = PasswordSourceTypeEnum.PasswordSourceTypeEnumFromJSONTyped;
exports.PasswordSourceTypeEnumToJSON = PasswordSourceTypeEnum.PasswordSourceTypeEnumToJSON;
exports.PostAllowlistEntriesRequestFromJSON = PostAllowlistEntriesRequest.PostAllowlistEntriesRequestFromJSON;
exports.PostAllowlistEntriesRequestFromJSONTyped = PostAllowlistEntriesRequest.PostAllowlistEntriesRequestFromJSONTyped;
exports.PostAllowlistEntriesRequestToJSON = PostAllowlistEntriesRequest.PostAllowlistEntriesRequestToJSON;
exports.PostAllowlistsRequestFromJSON = PostAllowlistsRequest.PostAllowlistsRequestFromJSON;
exports.PostAllowlistsRequestFromJSONTyped = PostAllowlistsRequest.PostAllowlistsRequestFromJSONTyped;
exports.PostAllowlistsRequestToJSON = PostAllowlistsRequest.PostAllowlistsRequestToJSON;
exports.PostTokenFieldsFromJSON = PostTokenFields.PostTokenFieldsFromJSON;
exports.PostTokenFieldsFromJSONTyped = PostTokenFields.PostTokenFieldsFromJSONTyped;
exports.PostTokenFieldsToJSON = PostTokenFields.PostTokenFieldsToJSON;
exports.PrefetchRequestFromJSON = PrefetchRequest.PrefetchRequestFromJSON;
exports.PrefetchRequestFromJSONTyped = PrefetchRequest.PrefetchRequestFromJSONTyped;
exports.PrefetchRequestToJSON = PrefetchRequest.PrefetchRequestToJSON;
exports.PriceDataFromJSON = PriceData.PriceDataFromJSON;
exports.PriceDataFromJSONTyped = PriceData.PriceDataFromJSONTyped;
exports.PriceDataToJSON = PriceData.PriceDataToJSON;
exports.ProjectFromJSON = Project.ProjectFromJSON;
exports.ProjectFromJSONTyped = Project.ProjectFromJSONTyped;
exports.ProjectToJSON = Project.ProjectToJSON;
exports.ProjectEnvironmentFromJSON = ProjectEnvironment.ProjectEnvironmentFromJSON;
exports.ProjectEnvironmentFromJSONTyped = ProjectEnvironment.ProjectEnvironmentFromJSONTyped;
exports.ProjectEnvironmentToJSON = ProjectEnvironment.ProjectEnvironmentToJSON;
exports.ProjectProjectEnvironmentsFromJSON = ProjectProjectEnvironments.ProjectProjectEnvironmentsFromJSON;
exports.ProjectProjectEnvironmentsFromJSONTyped = ProjectProjectEnvironments.ProjectProjectEnvironmentsFromJSONTyped;
exports.ProjectProjectEnvironmentsToJSON = ProjectProjectEnvironments.ProjectProjectEnvironmentsToJSON;
exports.ProjectRequestFromJSON = ProjectRequest.ProjectRequestFromJSON;
exports.ProjectRequestFromJSONTyped = ProjectRequest.ProjectRequestFromJSONTyped;
exports.ProjectRequestToJSON = ProjectRequest.ProjectRequestToJSON;
exports.ProjectSettingsFromJSON = ProjectSettings.ProjectSettingsFromJSON;
exports.ProjectSettingsFromJSONTyped = ProjectSettings.ProjectSettingsFromJSONTyped;
exports.ProjectSettingsToJSON = ProjectSettings.ProjectSettingsToJSON;
exports.ProjectSettingsChainsFromJSON = ProjectSettingsChains.ProjectSettingsChainsFromJSON;
exports.ProjectSettingsChainsFromJSONTyped = ProjectSettingsChains.ProjectSettingsChainsFromJSONTyped;
exports.ProjectSettingsChainsToJSON = ProjectSettingsChains.ProjectSettingsChainsToJSON;
exports.ProjectSettingsDesignFromJSON = ProjectSettingsDesign.ProjectSettingsDesignFromJSON;
exports.ProjectSettingsDesignFromJSONTyped = ProjectSettingsDesign.ProjectSettingsDesignFromJSONTyped;
exports.ProjectSettingsDesignToJSON = ProjectSettingsDesign.ProjectSettingsDesignToJSON;
exports.ProjectSettingsDesignButtonFromJSON = ProjectSettingsDesignButton.ProjectSettingsDesignButtonFromJSON;
exports.ProjectSettingsDesignButtonFromJSONTyped = ProjectSettingsDesignButton.ProjectSettingsDesignButtonFromJSONTyped;
exports.ProjectSettingsDesignButtonToJSON = ProjectSettingsDesignButton.ProjectSettingsDesignButtonToJSON;
exports.ProjectSettingsDesignModalFromJSON = ProjectSettingsDesignModal.ProjectSettingsDesignModalFromJSON;
exports.ProjectSettingsDesignModalFromJSONTyped = ProjectSettingsDesignModal.ProjectSettingsDesignModalFromJSONTyped;
exports.ProjectSettingsDesignModalToJSON = ProjectSettingsDesignModal.ProjectSettingsDesignModalToJSON;
exports.ProjectSettingsDesignWidgetFromJSON = ProjectSettingsDesignWidget.ProjectSettingsDesignWidgetFromJSON;
exports.ProjectSettingsDesignWidgetFromJSONTyped = ProjectSettingsDesignWidget.ProjectSettingsDesignWidgetFromJSONTyped;
exports.ProjectSettingsDesignWidgetToJSON = ProjectSettingsDesignWidget.ProjectSettingsDesignWidgetToJSON;
exports.ProjectSettingsGeneralFromJSON = ProjectSettingsGeneral.ProjectSettingsGeneralFromJSON;
exports.ProjectSettingsGeneralFromJSONTyped = ProjectSettingsGeneral.ProjectSettingsGeneralFromJSONTyped;
exports.ProjectSettingsGeneralToJSON = ProjectSettingsGeneral.ProjectSettingsGeneralToJSON;
exports.ProjectSettingsKycFromJSON = ProjectSettingsKyc.ProjectSettingsKycFromJSON;
exports.ProjectSettingsKycFromJSONTyped = ProjectSettingsKyc.ProjectSettingsKycFromJSONTyped;
exports.ProjectSettingsKycToJSON = ProjectSettingsKyc.ProjectSettingsKycToJSON;
exports.ProjectSettingsPrivacyFromJSON = ProjectSettingsPrivacy.ProjectSettingsPrivacyFromJSON;
exports.ProjectSettingsPrivacyFromJSONTyped = ProjectSettingsPrivacy.ProjectSettingsPrivacyFromJSONTyped;
exports.ProjectSettingsPrivacyToJSON = ProjectSettingsPrivacy.ProjectSettingsPrivacyToJSON;
exports.ProjectSettingsSdkFromJSON = ProjectSettingsSdk.ProjectSettingsSdkFromJSON;
exports.ProjectSettingsSdkFromJSONTyped = ProjectSettingsSdk.ProjectSettingsSdkFromJSONTyped;
exports.ProjectSettingsSdkToJSON = ProjectSettingsSdk.ProjectSettingsSdkToJSON;
exports.ProjectSettingsSdkAccountAbstractionFromJSON = ProjectSettingsSdkAccountAbstraction.ProjectSettingsSdkAccountAbstractionFromJSON;
exports.ProjectSettingsSdkAccountAbstractionFromJSONTyped = ProjectSettingsSdkAccountAbstraction.ProjectSettingsSdkAccountAbstractionFromJSONTyped;
exports.ProjectSettingsSdkAccountAbstractionToJSON = ProjectSettingsSdkAccountAbstraction.ProjectSettingsSdkAccountAbstractionToJSON;
exports.ProjectSettingsSdkEmailSignInFromJSON = ProjectSettingsSdkEmailSignIn.ProjectSettingsSdkEmailSignInFromJSON;
exports.ProjectSettingsSdkEmailSignInFromJSONTyped = ProjectSettingsSdkEmailSignIn.ProjectSettingsSdkEmailSignInFromJSONTyped;
exports.ProjectSettingsSdkEmailSignInToJSON = ProjectSettingsSdkEmailSignIn.ProjectSettingsSdkEmailSignInToJSON;
exports.ProjectSettingsSdkEmbeddedWalletsFromJSON = ProjectSettingsSdkEmbeddedWallets.ProjectSettingsSdkEmbeddedWalletsFromJSON;
exports.ProjectSettingsSdkEmbeddedWalletsFromJSONTyped = ProjectSettingsSdkEmbeddedWallets.ProjectSettingsSdkEmbeddedWalletsFromJSONTyped;
exports.ProjectSettingsSdkEmbeddedWalletsToJSON = ProjectSettingsSdkEmbeddedWallets.ProjectSettingsSdkEmbeddedWalletsToJSON;
exports.ProjectSettingsSdkSocialSignInFromJSON = ProjectSettingsSdkSocialSignIn.ProjectSettingsSdkSocialSignInFromJSON;
exports.ProjectSettingsSdkSocialSignInFromJSONTyped = ProjectSettingsSdkSocialSignIn.ProjectSettingsSdkSocialSignInFromJSONTyped;
exports.ProjectSettingsSdkSocialSignInToJSON = ProjectSettingsSdkSocialSignIn.ProjectSettingsSdkSocialSignInToJSON;
exports.ProjectSettingsSdkWaasFromJSON = ProjectSettingsSdkWaas.ProjectSettingsSdkWaasFromJSON;
exports.ProjectSettingsSdkWaasFromJSONTyped = ProjectSettingsSdkWaas.ProjectSettingsSdkWaasFromJSONTyped;
exports.ProjectSettingsSdkWaasToJSON = ProjectSettingsSdkWaas.ProjectSettingsSdkWaasToJSON;
exports.ProjectSettingsSdkWaasOnSignUpFromJSON = ProjectSettingsSdkWaasOnSignUp.ProjectSettingsSdkWaasOnSignUpFromJSON;
exports.ProjectSettingsSdkWaasOnSignUpFromJSONTyped = ProjectSettingsSdkWaasOnSignUp.ProjectSettingsSdkWaasOnSignUpFromJSONTyped;
exports.ProjectSettingsSdkWaasOnSignUpToJSON = ProjectSettingsSdkWaasOnSignUp.ProjectSettingsSdkWaasOnSignUpToJSON;
exports.ProjectSettingsSdkWalletConnectFromJSON = ProjectSettingsSdkWalletConnect.ProjectSettingsSdkWalletConnectFromJSON;
exports.ProjectSettingsSdkWalletConnectFromJSONTyped = ProjectSettingsSdkWalletConnect.ProjectSettingsSdkWalletConnectFromJSONTyped;
exports.ProjectSettingsSdkWalletConnectToJSON = ProjectSettingsSdkWalletConnect.ProjectSettingsSdkWalletConnectToJSON;
exports.ProjectSettingsSecurityFromJSON = ProjectSettingsSecurity.ProjectSettingsSecurityFromJSON;
exports.ProjectSettingsSecurityFromJSONTyped = ProjectSettingsSecurity.ProjectSettingsSecurityFromJSONTyped;
exports.ProjectSettingsSecurityToJSON = ProjectSettingsSecurity.ProjectSettingsSecurityToJSON;
exports.ProjectsResponseFromJSON = ProjectsResponse.ProjectsResponseFromJSON;
exports.ProjectsResponseFromJSONTyped = ProjectsResponse.ProjectsResponseFromJSONTyped;
exports.ProjectsResponseToJSON = ProjectsResponse.ProjectsResponseToJSON;
exports.ProviderFromJSON = Provider.ProviderFromJSON;
exports.ProviderFromJSONTyped = Provider.ProviderFromJSONTyped;
exports.ProviderToJSON = Provider.ProviderToJSON;
exports.ProviderAgreementFromJSON = ProviderAgreement.ProviderAgreementFromJSON;
exports.ProviderAgreementFromJSONTyped = ProviderAgreement.ProviderAgreementFromJSONTyped;
exports.ProviderAgreementToJSON = ProviderAgreement.ProviderAgreementToJSON;
exports.ProviderCreateRequestFromJSON = ProviderCreateRequest.ProviderCreateRequestFromJSON;
exports.ProviderCreateRequestFromJSONTyped = ProviderCreateRequest.ProviderCreateRequestFromJSONTyped;
exports.ProviderCreateRequestToJSON = ProviderCreateRequest.ProviderCreateRequestToJSON;
exports.ProviderCreateRequestMultichainAccountAbstractionProvidersFromJSON = ProviderCreateRequestMultichainAccountAbstractionProviders.ProviderCreateRequestMultichainAccountAbstractionProvidersFromJSON;
exports.ProviderCreateRequestMultichainAccountAbstractionProvidersFromJSONTyped = ProviderCreateRequestMultichainAccountAbstractionProviders.ProviderCreateRequestMultichainAccountAbstractionProvidersFromJSONTyped;
exports.ProviderCreateRequestMultichainAccountAbstractionProvidersToJSON = ProviderCreateRequestMultichainAccountAbstractionProviders.ProviderCreateRequestMultichainAccountAbstractionProvidersToJSON;
Object.defineProperty(exports, 'ProviderEntryPointVersionEnum', {
	enumerable: true,
	get: function () { return ProviderEntryPointVersionEnum.ProviderEntryPointVersionEnum; }
});
exports.ProviderEntryPointVersionEnumFromJSON = ProviderEntryPointVersionEnum.ProviderEntryPointVersionEnumFromJSON;
exports.ProviderEntryPointVersionEnumFromJSONTyped = ProviderEntryPointVersionEnum.ProviderEntryPointVersionEnumFromJSONTyped;
exports.ProviderEntryPointVersionEnumToJSON = ProviderEntryPointVersionEnum.ProviderEntryPointVersionEnumToJSON;
Object.defineProperty(exports, 'ProviderEnum', {
	enumerable: true,
	get: function () { return ProviderEnum.ProviderEnum; }
});
exports.ProviderEnumFromJSON = ProviderEnum.ProviderEnumFromJSON;
exports.ProviderEnumFromJSONTyped = ProviderEnum.ProviderEnumFromJSONTyped;
exports.ProviderEnumToJSON = ProviderEnum.ProviderEnumToJSON;
Object.defineProperty(exports, 'ProviderKernelVersionEnum', {
	enumerable: true,
	get: function () { return ProviderKernelVersionEnum.ProviderKernelVersionEnum; }
});
exports.ProviderKernelVersionEnumFromJSON = ProviderKernelVersionEnum.ProviderKernelVersionEnumFromJSON;
exports.ProviderKernelVersionEnumFromJSONTyped = ProviderKernelVersionEnum.ProviderKernelVersionEnumFromJSONTyped;
exports.ProviderKernelVersionEnumToJSON = ProviderKernelVersionEnum.ProviderKernelVersionEnumToJSON;
exports.ProviderUpdateRequestFromJSON = ProviderUpdateRequest.ProviderUpdateRequestFromJSON;
exports.ProviderUpdateRequestFromJSONTyped = ProviderUpdateRequest.ProviderUpdateRequestFromJSONTyped;
exports.ProviderUpdateRequestToJSON = ProviderUpdateRequest.ProviderUpdateRequestToJSON;
exports.ProviderUrlFromJSON = ProviderUrl.ProviderUrlFromJSON;
exports.ProviderUrlFromJSONTyped = ProviderUrl.ProviderUrlFromJSONTyped;
exports.ProviderUrlToJSON = ProviderUrl.ProviderUrlToJSON;
exports.ProviderUrlsResponseFromJSON = ProviderUrlsResponse.ProviderUrlsResponseFromJSON;
exports.ProviderUrlsResponseFromJSONTyped = ProviderUrlsResponse.ProviderUrlsResponseFromJSONTyped;
exports.ProviderUrlsResponseToJSON = ProviderUrlsResponse.ProviderUrlsResponseToJSON;
exports.ProvidersResponseFromJSON = ProvidersResponse.ProvidersResponseFromJSON;
exports.ProvidersResponseFromJSONTyped = ProvidersResponse.ProvidersResponseFromJSONTyped;
exports.ProvidersResponseToJSON = ProvidersResponse.ProvidersResponseToJSON;
exports.PublicKeyCredentialDescriptorFromJSON = PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorFromJSON;
exports.PublicKeyCredentialDescriptorFromJSONTyped = PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorFromJSONTyped;
exports.PublicKeyCredentialDescriptorToJSON = PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorToJSON;
exports.PublicKeyCredentialParametersFromJSON = PublicKeyCredentialParameters.PublicKeyCredentialParametersFromJSON;
exports.PublicKeyCredentialParametersFromJSONTyped = PublicKeyCredentialParameters.PublicKeyCredentialParametersFromJSONTyped;
exports.PublicKeyCredentialParametersToJSON = PublicKeyCredentialParameters.PublicKeyCredentialParametersToJSON;
exports.PublicKeyCredentialRpEntityFromJSON = PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityFromJSON;
exports.PublicKeyCredentialRpEntityFromJSONTyped = PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityFromJSONTyped;
exports.PublicKeyCredentialRpEntityToJSON = PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityToJSON;
Object.defineProperty(exports, 'PublicKeyCredentialType', {
	enumerable: true,
	get: function () { return PublicKeyCredentialType.PublicKeyCredentialType; }
});
exports.PublicKeyCredentialTypeFromJSON = PublicKeyCredentialType.PublicKeyCredentialTypeFromJSON;
exports.PublicKeyCredentialTypeFromJSONTyped = PublicKeyCredentialType.PublicKeyCredentialTypeFromJSONTyped;
exports.PublicKeyCredentialTypeToJSON = PublicKeyCredentialType.PublicKeyCredentialTypeToJSON;
exports.PublicKeyCredentialUserEntityFromJSON = PublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityFromJSON;
exports.PublicKeyCredentialUserEntityFromJSONTyped = PublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityFromJSONTyped;
exports.PublicKeyCredentialUserEntityToJSON = PublicKeyCredentialUserEntity.PublicKeyCredentialUserEntityToJSON;
exports.PublishEventsFromJSON = PublishEvents.PublishEventsFromJSON;
exports.PublishEventsFromJSONTyped = PublishEvents.PublishEventsFromJSONTyped;
exports.PublishEventsToJSON = PublishEvents.PublishEventsToJSON;
exports.PublishEventsEventsFromJSON = PublishEventsEvents.PublishEventsEventsFromJSON;
exports.PublishEventsEventsFromJSONTyped = PublishEventsEvents.PublishEventsEventsFromJSONTyped;
exports.PublishEventsEventsToJSON = PublishEventsEvents.PublishEventsEventsToJSON;
Object.defineProperty(exports, 'PublishEventsEventsTypeEnum', {
	enumerable: true,
	get: function () { return PublishEventsEvents.PublishEventsEventsTypeEnum; }
});
exports.RampConfigurationFromJSON = RampConfiguration.RampConfigurationFromJSON;
exports.RampConfigurationFromJSONTyped = RampConfiguration.RampConfigurationFromJSONTyped;
exports.RampConfigurationToJSON = RampConfiguration.RampConfigurationToJSON;
exports.ReactSettingsFromJSON = ReactSettings.ReactSettingsFromJSON;
exports.ReactSettingsFromJSONTyped = ReactSettings.ReactSettingsFromJSONTyped;
exports.ReactSettingsToJSON = ReactSettings.ReactSettingsToJSON;
exports.RecoverMultipleClientKeySharesRequestFromJSON = RecoverMultipleClientKeySharesRequest.RecoverMultipleClientKeySharesRequestFromJSON;
exports.RecoverMultipleClientKeySharesRequestFromJSONTyped = RecoverMultipleClientKeySharesRequest.RecoverMultipleClientKeySharesRequestFromJSONTyped;
exports.RecoverMultipleClientKeySharesRequestToJSON = RecoverMultipleClientKeySharesRequest.RecoverMultipleClientKeySharesRequestToJSON;
exports.RecoverMultipleClientKeySharesResponseFromJSON = RecoverMultipleClientKeySharesResponse.RecoverMultipleClientKeySharesResponseFromJSON;
exports.RecoverMultipleClientKeySharesResponseFromJSONTyped = RecoverMultipleClientKeySharesResponse.RecoverMultipleClientKeySharesResponseFromJSONTyped;
exports.RecoverMultipleClientKeySharesResponseToJSON = RecoverMultipleClientKeySharesResponse.RecoverMultipleClientKeySharesResponseToJSON;
exports.RegisterEmbeddedWalletSessionKeyResponseFromJSON = RegisterEmbeddedWalletSessionKeyResponse.RegisterEmbeddedWalletSessionKeyResponseFromJSON;
exports.RegisterEmbeddedWalletSessionKeyResponseFromJSONTyped = RegisterEmbeddedWalletSessionKeyResponse.RegisterEmbeddedWalletSessionKeyResponseFromJSONTyped;
exports.RegisterEmbeddedWalletSessionKeyResponseToJSON = RegisterEmbeddedWalletSessionKeyResponse.RegisterEmbeddedWalletSessionKeyResponseToJSON;
exports.RegisterSessionKeyRequestFromJSON = RegisterSessionKeyRequest.RegisterSessionKeyRequestFromJSON;
exports.RegisterSessionKeyRequestFromJSONTyped = RegisterSessionKeyRequest.RegisterSessionKeyRequestFromJSONTyped;
exports.RegisterSessionKeyRequestToJSON = RegisterSessionKeyRequest.RegisterSessionKeyRequestToJSON;
exports.ReshareRequestFromJSON = ReshareRequest.ReshareRequestFromJSON;
exports.ReshareRequestFromJSONTyped = ReshareRequest.ReshareRequestFromJSONTyped;
exports.ReshareRequestToJSON = ReshareRequest.ReshareRequestToJSON;
Object.defineProperty(exports, 'ResidentKeyRequirement', {
	enumerable: true,
	get: function () { return ResidentKeyRequirement.ResidentKeyRequirement; }
});
exports.ResidentKeyRequirementFromJSON = ResidentKeyRequirement.ResidentKeyRequirementFromJSON;
exports.ResidentKeyRequirementFromJSONTyped = ResidentKeyRequirement.ResidentKeyRequirementFromJSONTyped;
exports.ResidentKeyRequirementToJSON = ResidentKeyRequirement.ResidentKeyRequirementToJSON;
Object.defineProperty(exports, 'RoleEnum', {
	enumerable: true,
	get: function () { return RoleEnum.RoleEnum; }
});
exports.RoleEnumFromJSON = RoleEnum.RoleEnumFromJSON;
exports.RoleEnumFromJSONTyped = RoleEnum.RoleEnumFromJSONTyped;
exports.RoleEnumToJSON = RoleEnum.RoleEnumToJSON;
exports.ScanWebsiteUrlRequestFromJSON = ScanWebsiteUrlRequest.ScanWebsiteUrlRequestFromJSON;
exports.ScanWebsiteUrlRequestFromJSONTyped = ScanWebsiteUrlRequest.ScanWebsiteUrlRequestFromJSONTyped;
exports.ScanWebsiteUrlRequestToJSON = ScanWebsiteUrlRequest.ScanWebsiteUrlRequestToJSON;
exports.ScanWebsiteUrlResponseFromJSON = ScanWebsiteUrlResponse.ScanWebsiteUrlResponseFromJSON;
exports.ScanWebsiteUrlResponseFromJSONTyped = ScanWebsiteUrlResponse.ScanWebsiteUrlResponseFromJSONTyped;
exports.ScanWebsiteUrlResponseToJSON = ScanWebsiteUrlResponse.ScanWebsiteUrlResponseToJSON;
exports.SdkSettingsRequestFromJSON = SdkSettingsRequest.SdkSettingsRequestFromJSON;
exports.SdkSettingsRequestFromJSONTyped = SdkSettingsRequest.SdkSettingsRequestFromJSONTyped;
exports.SdkSettingsRequestToJSON = SdkSettingsRequest.SdkSettingsRequestToJSON;
exports.SdkUserFromJSON = SdkUser.SdkUserFromJSON;
exports.SdkUserFromJSONTyped = SdkUser.SdkUserFromJSONTyped;
exports.SdkUserToJSON = SdkUser.SdkUserToJSON;
exports.SdkViewFromJSON = SdkView.SdkViewFromJSON;
exports.SdkViewFromJSONTyped = SdkView.SdkViewFromJSONTyped;
exports.SdkViewToJSON = SdkView.SdkViewToJSON;
exports.SdkViewSectionFromJSON = SdkViewSection.SdkViewSectionFromJSON;
exports.SdkViewSectionFromJSONTyped = SdkViewSection.SdkViewSectionFromJSONTyped;
exports.SdkViewSectionToJSON = SdkViewSection.SdkViewSectionToJSON;
Object.defineProperty(exports, 'SdkViewSectionAlignment', {
	enumerable: true,
	get: function () { return SdkViewSectionAlignment.SdkViewSectionAlignment; }
});
exports.SdkViewSectionAlignmentFromJSON = SdkViewSectionAlignment.SdkViewSectionAlignmentFromJSON;
exports.SdkViewSectionAlignmentFromJSONTyped = SdkViewSectionAlignment.SdkViewSectionAlignmentFromJSONTyped;
exports.SdkViewSectionAlignmentToJSON = SdkViewSectionAlignment.SdkViewSectionAlignmentToJSON;
Object.defineProperty(exports, 'SdkViewSectionType', {
	enumerable: true,
	get: function () { return SdkViewSectionType.SdkViewSectionType; }
});
exports.SdkViewSectionTypeFromJSON = SdkViewSectionType.SdkViewSectionTypeFromJSON;
exports.SdkViewSectionTypeFromJSONTyped = SdkViewSectionType.SdkViewSectionTypeFromJSONTyped;
exports.SdkViewSectionTypeToJSON = SdkViewSectionType.SdkViewSectionTypeToJSON;
Object.defineProperty(exports, 'SdkViewType', {
	enumerable: true,
	get: function () { return SdkViewType.SdkViewType; }
});
exports.SdkViewTypeFromJSON = SdkViewType.SdkViewTypeFromJSON;
exports.SdkViewTypeFromJSONTyped = SdkViewType.SdkViewTypeFromJSONTyped;
exports.SdkViewTypeToJSON = SdkViewType.SdkViewTypeToJSON;
exports.SdkViewUpdateRequestFromJSON = SdkViewUpdateRequest.SdkViewUpdateRequestFromJSON;
exports.SdkViewUpdateRequestFromJSONTyped = SdkViewUpdateRequest.SdkViewUpdateRequestFromJSONTyped;
exports.SdkViewUpdateRequestToJSON = SdkViewUpdateRequest.SdkViewUpdateRequestToJSON;
exports.SdkViewsResponseFromJSON = SdkViewsResponse.SdkViewsResponseFromJSON;
exports.SdkViewsResponseFromJSONTyped = SdkViewsResponse.SdkViewsResponseFromJSONTyped;
exports.SdkViewsResponseToJSON = SdkViewsResponse.SdkViewsResponseToJSON;
exports.SessionFromJSON = Session.SessionFromJSON;
exports.SessionFromJSONTyped = Session.SessionFromJSONTyped;
exports.SessionToJSON = Session.SessionToJSON;
Object.defineProperty(exports, 'SignInProviderEnum', {
	enumerable: true,
	get: function () { return SignInProviderEnum.SignInProviderEnum; }
});
exports.SignInProviderEnumFromJSON = SignInProviderEnum.SignInProviderEnumFromJSON;
exports.SignInProviderEnumFromJSONTyped = SignInProviderEnum.SignInProviderEnumFromJSONTyped;
exports.SignInProviderEnumToJSON = SignInProviderEnum.SignInProviderEnumToJSON;
exports.SignMessageWithWaasRequestFromJSON = SignMessageWithWaasRequest.SignMessageWithWaasRequestFromJSON;
exports.SignMessageWithWaasRequestFromJSONTyped = SignMessageWithWaasRequest.SignMessageWithWaasRequestFromJSONTyped;
exports.SignMessageWithWaasRequestToJSON = SignMessageWithWaasRequest.SignMessageWithWaasRequestToJSON;
exports.SignTransactionWithWaasRequestFromJSON = SignTransactionWithWaasRequest.SignTransactionWithWaasRequestFromJSON;
exports.SignTransactionWithWaasRequestFromJSONTyped = SignTransactionWithWaasRequest.SignTransactionWithWaasRequestFromJSONTyped;
exports.SignTransactionWithWaasRequestToJSON = SignTransactionWithWaasRequest.SignTransactionWithWaasRequestToJSON;
exports.SimulateEVMTransactionRequestFromJSON = SimulateEVMTransactionRequest.SimulateEVMTransactionRequestFromJSON;
exports.SimulateEVMTransactionRequestFromJSONTyped = SimulateEVMTransactionRequest.SimulateEVMTransactionRequestFromJSONTyped;
exports.SimulateEVMTransactionRequestToJSON = SimulateEVMTransactionRequest.SimulateEVMTransactionRequestToJSON;
exports.SimulateSVMTransactionRequestFromJSON = SimulateSVMTransactionRequest.SimulateSVMTransactionRequestFromJSON;
exports.SimulateSVMTransactionRequestFromJSONTyped = SimulateSVMTransactionRequest.SimulateSVMTransactionRequestFromJSONTyped;
exports.SimulateSVMTransactionRequestToJSON = SimulateSVMTransactionRequest.SimulateSVMTransactionRequestToJSON;
exports.SimulateTransactionResponseFromJSON = SimulateTransactionResponse.SimulateTransactionResponseFromJSON;
exports.SimulateTransactionResponseFromJSONTyped = SimulateTransactionResponse.SimulateTransactionResponseFromJSONTyped;
exports.SimulateTransactionResponseToJSON = SimulateTransactionResponse.SimulateTransactionResponseToJSON;
exports.SimulateUserOpRequestFromJSON = SimulateUserOpRequest.SimulateUserOpRequestFromJSON;
exports.SimulateUserOpRequestFromJSONTyped = SimulateUserOpRequest.SimulateUserOpRequestFromJSONTyped;
exports.SimulateUserOpRequestToJSON = SimulateUserOpRequest.SimulateUserOpRequestToJSON;
exports.SmartWalletPropertiesFromJSON = SmartWalletProperties.SmartWalletPropertiesFromJSON;
exports.SmartWalletPropertiesFromJSONTyped = SmartWalletProperties.SmartWalletPropertiesFromJSONTyped;
exports.SmartWalletPropertiesToJSON = SmartWalletProperties.SmartWalletPropertiesToJSON;
exports.SmsCountryCodeFromJSON = SmsCountryCode.SmsCountryCodeFromJSON;
exports.SmsCountryCodeFromJSONTyped = SmsCountryCode.SmsCountryCodeFromJSONTyped;
exports.SmsCountryCodeToJSON = SmsCountryCode.SmsCountryCodeToJSON;
exports.SmsVerificationCreateRequestFromJSON = SmsVerificationCreateRequest.SmsVerificationCreateRequestFromJSON;
exports.SmsVerificationCreateRequestFromJSONTyped = SmsVerificationCreateRequest.SmsVerificationCreateRequestFromJSONTyped;
exports.SmsVerificationCreateRequestToJSON = SmsVerificationCreateRequest.SmsVerificationCreateRequestToJSON;
exports.SmsVerificationCreateResponseFromJSON = SmsVerificationCreateResponse.SmsVerificationCreateResponseFromJSON;
exports.SmsVerificationCreateResponseFromJSONTyped = SmsVerificationCreateResponse.SmsVerificationCreateResponseFromJSONTyped;
exports.SmsVerificationCreateResponseToJSON = SmsVerificationCreateResponse.SmsVerificationCreateResponseToJSON;
exports.SmsVerificationRetryRequestFromJSON = SmsVerificationRetryRequest.SmsVerificationRetryRequestFromJSON;
exports.SmsVerificationRetryRequestFromJSONTyped = SmsVerificationRetryRequest.SmsVerificationRetryRequestFromJSONTyped;
exports.SmsVerificationRetryRequestToJSON = SmsVerificationRetryRequest.SmsVerificationRetryRequestToJSON;
exports.SmsVerificationVerifyRequestFromJSON = SmsVerificationVerifyRequest.SmsVerificationVerifyRequestFromJSON;
exports.SmsVerificationVerifyRequestFromJSONTyped = SmsVerificationVerifyRequest.SmsVerificationVerifyRequestFromJSONTyped;
exports.SmsVerificationVerifyRequestToJSON = SmsVerificationVerifyRequest.SmsVerificationVerifyRequestToJSON;
exports.SocialSignInProviderFromJSON = SocialSignInProvider.SocialSignInProviderFromJSON;
exports.SocialSignInProviderFromJSONTyped = SocialSignInProvider.SocialSignInProviderFromJSONTyped;
exports.SocialSignInProviderToJSON = SocialSignInProvider.SocialSignInProviderToJSON;
Object.defineProperty(exports, 'SocialSignInProviderEnum', {
	enumerable: true,
	get: function () { return SocialSignInProviderEnum.SocialSignInProviderEnum; }
});
exports.SocialSignInProviderEnumFromJSON = SocialSignInProviderEnum.SocialSignInProviderEnumFromJSON;
exports.SocialSignInProviderEnumFromJSONTyped = SocialSignInProviderEnum.SocialSignInProviderEnumFromJSONTyped;
exports.SocialSignInProviderEnumToJSON = SocialSignInProviderEnum.SocialSignInProviderEnumToJSON;
exports.SolanaTransactionOptimizationRequestFromJSON = SolanaTransactionOptimizationRequest.SolanaTransactionOptimizationRequestFromJSON;
exports.SolanaTransactionOptimizationRequestFromJSONTyped = SolanaTransactionOptimizationRequest.SolanaTransactionOptimizationRequestFromJSONTyped;
exports.SolanaTransactionOptimizationRequestToJSON = SolanaTransactionOptimizationRequest.SolanaTransactionOptimizationRequestToJSON;
exports.SolanaTransactionOptimizationResponseFromJSON = SolanaTransactionOptimizationResponse.SolanaTransactionOptimizationResponseFromJSON;
exports.SolanaTransactionOptimizationResponseFromJSONTyped = SolanaTransactionOptimizationResponse.SolanaTransactionOptimizationResponseFromJSONTyped;
exports.SolanaTransactionOptimizationResponseToJSON = SolanaTransactionOptimizationResponse.SolanaTransactionOptimizationResponseToJSON;
Object.defineProperty(exports, 'SubscriptionAdvancedScopeEnum', {
	enumerable: true,
	get: function () { return SubscriptionAdvancedScopeEnum.SubscriptionAdvancedScopeEnum; }
});
exports.SubscriptionAdvancedScopeEnumFromJSON = SubscriptionAdvancedScopeEnum.SubscriptionAdvancedScopeEnumFromJSON;
exports.SubscriptionAdvancedScopeEnumFromJSONTyped = SubscriptionAdvancedScopeEnum.SubscriptionAdvancedScopeEnumFromJSONTyped;
exports.SubscriptionAdvancedScopeEnumToJSON = SubscriptionAdvancedScopeEnum.SubscriptionAdvancedScopeEnumToJSON;
Object.defineProperty(exports, 'SubscriptionFreeScopeEnum', {
	enumerable: true,
	get: function () { return SubscriptionFreeScopeEnum.SubscriptionFreeScopeEnum; }
});
exports.SubscriptionFreeScopeEnumFromJSON = SubscriptionFreeScopeEnum.SubscriptionFreeScopeEnumFromJSON;
exports.SubscriptionFreeScopeEnumFromJSONTyped = SubscriptionFreeScopeEnum.SubscriptionFreeScopeEnumFromJSONTyped;
exports.SubscriptionFreeScopeEnumToJSON = SubscriptionFreeScopeEnum.SubscriptionFreeScopeEnumToJSON;
exports.SupportedOfframpsResponseFromJSON = SupportedOfframpsResponse.SupportedOfframpsResponseFromJSON;
exports.SupportedOfframpsResponseFromJSONTyped = SupportedOfframpsResponse.SupportedOfframpsResponseFromJSONTyped;
exports.SupportedOfframpsResponseToJSON = SupportedOfframpsResponse.SupportedOfframpsResponseToJSON;
exports.SupportedOnrampsResponseFromJSON = SupportedOnrampsResponse.SupportedOnrampsResponseFromJSON;
exports.SupportedOnrampsResponseFromJSONTyped = SupportedOnrampsResponse.SupportedOnrampsResponseFromJSONTyped;
exports.SupportedOnrampsResponseToJSON = SupportedOnrampsResponse.SupportedOnrampsResponseToJSON;
exports.SupportedSecurityMethodFromJSON = SupportedSecurityMethod.SupportedSecurityMethodFromJSON;
exports.SupportedSecurityMethodFromJSONTyped = SupportedSecurityMethod.SupportedSecurityMethodFromJSONTyped;
exports.SupportedSecurityMethodToJSON = SupportedSecurityMethod.SupportedSecurityMethodToJSON;
exports.SupportedSecurityMethodsFromJSON = SupportedSecurityMethods.SupportedSecurityMethodsFromJSON;
exports.SupportedSecurityMethodsFromJSONTyped = SupportedSecurityMethods.SupportedSecurityMethodsFromJSONTyped;
exports.SupportedSecurityMethodsToJSON = SupportedSecurityMethods.SupportedSecurityMethodsToJSON;
exports.TelegramPostRequestFromJSON = TelegramPostRequest.TelegramPostRequestFromJSON;
exports.TelegramPostRequestFromJSONTyped = TelegramPostRequest.TelegramPostRequestFromJSONTyped;
exports.TelegramPostRequestToJSON = TelegramPostRequest.TelegramPostRequestToJSON;
exports.TelegramUserFromJSON = TelegramUser.TelegramUserFromJSON;
exports.TelegramUserFromJSONTyped = TelegramUser.TelegramUserFromJSONTyped;
exports.TelegramUserToJSON = TelegramUser.TelegramUserToJSON;
exports.TestAccountResponseFromJSON = TestAccountResponse.TestAccountResponseFromJSON;
exports.TestAccountResponseFromJSONTyped = TestAccountResponse.TestAccountResponseFromJSONTyped;
exports.TestAccountResponseToJSON = TestAccountResponse.TestAccountResponseToJSON;
Object.defineProperty(exports, 'ThresholdSignatureScheme', {
	enumerable: true,
	get: function () { return ThresholdSignatureScheme.ThresholdSignatureScheme; }
});
exports.ThresholdSignatureSchemeFromJSON = ThresholdSignatureScheme.ThresholdSignatureSchemeFromJSON;
exports.ThresholdSignatureSchemeFromJSONTyped = ThresholdSignatureScheme.ThresholdSignatureSchemeFromJSONTyped;
exports.ThresholdSignatureSchemeToJSON = ThresholdSignatureScheme.ThresholdSignatureSchemeToJSON;
Object.defineProperty(exports, 'TimeUnitEnum', {
	enumerable: true,
	get: function () { return TimeUnitEnum.TimeUnitEnum; }
});
exports.TimeUnitEnumFromJSON = TimeUnitEnum.TimeUnitEnumFromJSON;
exports.TimeUnitEnumFromJSONTyped = TimeUnitEnum.TimeUnitEnumFromJSONTyped;
exports.TimeUnitEnumToJSON = TimeUnitEnum.TimeUnitEnumToJSON;
exports.TokenFromJSON = Token.TokenFromJSON;
exports.TokenFromJSONTyped = Token.TokenFromJSONTyped;
exports.TokenToJSON = Token.TokenToJSON;
exports.TokenAddressFromJSON = TokenAddress.TokenAddressFromJSON;
exports.TokenAddressFromJSONTyped = TokenAddress.TokenAddressFromJSONTyped;
exports.TokenAddressToJSON = TokenAddress.TokenAddressToJSON;
exports.TokenBalanceFromJSON = TokenBalance.TokenBalanceFromJSON;
exports.TokenBalanceFromJSONTyped = TokenBalance.TokenBalanceFromJSONTyped;
exports.TokenBalanceToJSON = TokenBalance.TokenBalanceToJSON;
exports.TokenCreatedByFromJSON = TokenCreatedBy.TokenCreatedByFromJSON;
exports.TokenCreatedByFromJSONTyped = TokenCreatedBy.TokenCreatedByFromJSONTyped;
exports.TokenCreatedByToJSON = TokenCreatedBy.TokenCreatedByToJSON;
exports.TokenWithRawFromJSON = TokenWithRaw.TokenWithRawFromJSON;
exports.TokenWithRawFromJSONTyped = TokenWithRaw.TokenWithRawFromJSONTyped;
exports.TokenWithRawToJSON = TokenWithRaw.TokenWithRawToJSON;
exports.TokenWithRawProjectEnvironmentFromJSON = TokenWithRawProjectEnvironment.TokenWithRawProjectEnvironmentFromJSON;
exports.TokenWithRawProjectEnvironmentFromJSONTyped = TokenWithRawProjectEnvironment.TokenWithRawProjectEnvironmentFromJSONTyped;
exports.TokenWithRawProjectEnvironmentToJSON = TokenWithRawProjectEnvironment.TokenWithRawProjectEnvironmentToJSON;
exports.TokensResponseFromJSON = TokensResponse.TokensResponseFromJSON;
exports.TokensResponseFromJSONTyped = TokensResponse.TokensResponseFromJSONTyped;
exports.TokensResponseToJSON = TokensResponse.TokensResponseToJSON;
exports.TooManyRequestsFromJSON = TooManyRequests.TooManyRequestsFromJSON;
exports.TooManyRequestsFromJSONTyped = TooManyRequests.TooManyRequestsFromJSONTyped;
exports.TooManyRequestsToJSON = TooManyRequests.TooManyRequestsToJSON;
exports.TurnkeyCreateWalletAccountsRequestBodyFromJSON = TurnkeyCreateWalletAccountsRequestBody.TurnkeyCreateWalletAccountsRequestBodyFromJSON;
exports.TurnkeyCreateWalletAccountsRequestBodyFromJSONTyped = TurnkeyCreateWalletAccountsRequestBody.TurnkeyCreateWalletAccountsRequestBodyFromJSONTyped;
exports.TurnkeyCreateWalletAccountsRequestBodyToJSON = TurnkeyCreateWalletAccountsRequestBody.TurnkeyCreateWalletAccountsRequestBodyToJSON;
exports.TurnkeyCreateWalletAccountsRequestBodyParametersFromJSON = TurnkeyCreateWalletAccountsRequestBodyParameters.TurnkeyCreateWalletAccountsRequestBodyParametersFromJSON;
exports.TurnkeyCreateWalletAccountsRequestBodyParametersFromJSONTyped = TurnkeyCreateWalletAccountsRequestBodyParameters.TurnkeyCreateWalletAccountsRequestBodyParametersFromJSONTyped;
exports.TurnkeyCreateWalletAccountsRequestBodyParametersToJSON = TurnkeyCreateWalletAccountsRequestBodyParameters.TurnkeyCreateWalletAccountsRequestBodyParametersToJSON;
exports.TurnkeyDeleteEmbeddedWalletsRequestBodyFromJSON = TurnkeyDeleteEmbeddedWalletsRequestBody.TurnkeyDeleteEmbeddedWalletsRequestBodyFromJSON;
exports.TurnkeyDeleteEmbeddedWalletsRequestBodyFromJSONTyped = TurnkeyDeleteEmbeddedWalletsRequestBody.TurnkeyDeleteEmbeddedWalletsRequestBodyFromJSONTyped;
exports.TurnkeyDeleteEmbeddedWalletsRequestBodyToJSON = TurnkeyDeleteEmbeddedWalletsRequestBody.TurnkeyDeleteEmbeddedWalletsRequestBodyToJSON;
exports.TurnkeyDeleteEmbeddedWalletsRequestBodyParametersFromJSON = TurnkeyDeleteEmbeddedWalletsRequestBodyParameters.TurnkeyDeleteEmbeddedWalletsRequestBodyParametersFromJSON;
exports.TurnkeyDeleteEmbeddedWalletsRequestBodyParametersFromJSONTyped = TurnkeyDeleteEmbeddedWalletsRequestBodyParameters.TurnkeyDeleteEmbeddedWalletsRequestBodyParametersFromJSONTyped;
exports.TurnkeyDeleteEmbeddedWalletsRequestBodyParametersToJSON = TurnkeyDeleteEmbeddedWalletsRequestBodyParameters.TurnkeyDeleteEmbeddedWalletsRequestBodyParametersToJSON;
exports.TurnkeySignedRequestFromJSON = TurnkeySignedRequest.TurnkeySignedRequestFromJSON;
exports.TurnkeySignedRequestFromJSONTyped = TurnkeySignedRequest.TurnkeySignedRequestFromJSONTyped;
exports.TurnkeySignedRequestToJSON = TurnkeySignedRequest.TurnkeySignedRequestToJSON;
exports.TurnkeyStampFromJSON = TurnkeyStamp.TurnkeyStampFromJSON;
exports.TurnkeyStampFromJSONTyped = TurnkeyStamp.TurnkeyStampFromJSONTyped;
exports.TurnkeyStampToJSON = TurnkeyStamp.TurnkeyStampToJSON;
exports.TurnkeyWalletAccountFromJSON = TurnkeyWalletAccount.TurnkeyWalletAccountFromJSON;
exports.TurnkeyWalletAccountFromJSONTyped = TurnkeyWalletAccount.TurnkeyWalletAccountFromJSONTyped;
exports.TurnkeyWalletAccountToJSON = TurnkeyWalletAccount.TurnkeyWalletAccountToJSON;
exports.TurnkeyWalletPropertiesFromJSON = TurnkeyWalletProperties.TurnkeyWalletPropertiesFromJSON;
exports.TurnkeyWalletPropertiesFromJSONTyped = TurnkeyWalletProperties.TurnkeyWalletPropertiesFromJSONTyped;
exports.TurnkeyWalletPropertiesToJSON = TurnkeyWalletProperties.TurnkeyWalletPropertiesToJSON;
exports.UnauthorizedFromJSON = Unauthorized.UnauthorizedFromJSON;
exports.UnauthorizedFromJSONTyped = Unauthorized.UnauthorizedFromJSONTyped;
exports.UnauthorizedToJSON = Unauthorized.UnauthorizedToJSON;
exports.UnprocessableEntityFromJSON = UnprocessableEntity.UnprocessableEntityFromJSON;
exports.UnprocessableEntityFromJSONTyped = UnprocessableEntity.UnprocessableEntityFromJSONTyped;
exports.UnprocessableEntityToJSON = UnprocessableEntity.UnprocessableEntityToJSON;
Object.defineProperty(exports, 'UnprocessableEntityErrorCode', {
	enumerable: true,
	get: function () { return UnprocessableEntityErrorCode.UnprocessableEntityErrorCode; }
});
exports.UnprocessableEntityErrorCodeFromJSON = UnprocessableEntityErrorCode.UnprocessableEntityErrorCodeFromJSON;
exports.UnprocessableEntityErrorCodeFromJSONTyped = UnprocessableEntityErrorCode.UnprocessableEntityErrorCodeFromJSONTyped;
exports.UnprocessableEntityErrorCodeToJSON = UnprocessableEntityErrorCode.UnprocessableEntityErrorCodeToJSON;
exports.UnprocessableEntityErrorPayloadFromJSON = UnprocessableEntityErrorPayload.UnprocessableEntityErrorPayloadFromJSON;
exports.UnprocessableEntityErrorPayloadFromJSONTyped = UnprocessableEntityErrorPayload.UnprocessableEntityErrorPayloadFromJSONTyped;
exports.UnprocessableEntityErrorPayloadToJSON = UnprocessableEntityErrorPayload.UnprocessableEntityErrorPayloadToJSON;
exports.UpdateProjectRequestFromJSON = UpdateProjectRequest.UpdateProjectRequestFromJSON;
exports.UpdateProjectRequestFromJSONTyped = UpdateProjectRequest.UpdateProjectRequestFromJSONTyped;
exports.UpdateProjectRequestToJSON = UpdateProjectRequest.UpdateProjectRequestToJSON;
exports.UpdateProjectResponseFromJSON = UpdateProjectResponse.UpdateProjectResponseFromJSON;
exports.UpdateProjectResponseFromJSONTyped = UpdateProjectResponse.UpdateProjectResponseFromJSONTyped;
exports.UpdateProjectResponseToJSON = UpdateProjectResponse.UpdateProjectResponseToJSON;
exports.UpdateRecoveryEmailRequestFromJSON = UpdateRecoveryEmailRequest.UpdateRecoveryEmailRequestFromJSON;
exports.UpdateRecoveryEmailRequestFromJSONTyped = UpdateRecoveryEmailRequest.UpdateRecoveryEmailRequestFromJSONTyped;
exports.UpdateRecoveryEmailRequestToJSON = UpdateRecoveryEmailRequest.UpdateRecoveryEmailRequestToJSON;
exports.UpdateSelfResponseFromJSON = UpdateSelfResponse.UpdateSelfResponseFromJSON;
exports.UpdateSelfResponseFromJSONTyped = UpdateSelfResponse.UpdateSelfResponseFromJSONTyped;
exports.UpdateSelfResponseToJSON = UpdateSelfResponse.UpdateSelfResponseToJSON;
exports.UpdateSelfResponseAllOfFromJSON = UpdateSelfResponseAllOf.UpdateSelfResponseAllOfFromJSON;
exports.UpdateSelfResponseAllOfFromJSONTyped = UpdateSelfResponseAllOf.UpdateSelfResponseAllOfFromJSONTyped;
exports.UpdateSelfResponseAllOfToJSON = UpdateSelfResponseAllOf.UpdateSelfResponseAllOfToJSON;
exports.UpdateUserPasskeyRequestFromJSON = UpdateUserPasskeyRequest.UpdateUserPasskeyRequestFromJSON;
exports.UpdateUserPasskeyRequestFromJSONTyped = UpdateUserPasskeyRequest.UpdateUserPasskeyRequestFromJSONTyped;
exports.UpdateUserPasskeyRequestToJSON = UpdateUserPasskeyRequest.UpdateUserPasskeyRequestToJSON;
exports.UpgradeEmbeddedWalletToV2RequestFromJSON = UpgradeEmbeddedWalletToV2Request.UpgradeEmbeddedWalletToV2RequestFromJSON;
exports.UpgradeEmbeddedWalletToV2RequestFromJSONTyped = UpgradeEmbeddedWalletToV2Request.UpgradeEmbeddedWalletToV2RequestFromJSONTyped;
exports.UpgradeEmbeddedWalletToV2RequestToJSON = UpgradeEmbeddedWalletToV2Request.UpgradeEmbeddedWalletToV2RequestToJSON;
exports.UserFromJSON = User.UserFromJSON;
exports.UserFromJSONTyped = User.UserFromJSONTyped;
exports.UserToJSON = User.UserToJSON;
exports.UserAllOfFromJSON = UserAllOf.UserAllOfFromJSON;
exports.UserAllOfFromJSONTyped = UserAllOf.UserAllOfFromJSONTyped;
exports.UserAllOfToJSON = UserAllOf.UserAllOfToJSON;
exports.UserFieldsFromJSON = UserFields.UserFieldsFromJSON;
exports.UserFieldsFromJSONTyped = UserFields.UserFieldsFromJSONTyped;
exports.UserFieldsToJSON = UserFields.UserFieldsToJSON;
Object.defineProperty(exports, 'UserFieldsCheckEnum', {
	enumerable: true,
	get: function () { return UserFieldsCheckEnum.UserFieldsCheckEnum; }
});
exports.UserFieldsCheckEnumFromJSON = UserFieldsCheckEnum.UserFieldsCheckEnumFromJSON;
exports.UserFieldsCheckEnumFromJSONTyped = UserFieldsCheckEnum.UserFieldsCheckEnumFromJSONTyped;
exports.UserFieldsCheckEnumToJSON = UserFieldsCheckEnum.UserFieldsCheckEnumToJSON;
exports.UserFieldsCheckParamsFromJSON = UserFieldsCheckParams.UserFieldsCheckParamsFromJSON;
exports.UserFieldsCheckParamsFromJSONTyped = UserFieldsCheckParams.UserFieldsCheckParamsFromJSONTyped;
exports.UserFieldsCheckParamsToJSON = UserFieldsCheckParams.UserFieldsCheckParamsToJSON;
exports.UserFieldsCheckResponseFromJSON = UserFieldsCheckResponse.UserFieldsCheckResponseFromJSON;
exports.UserFieldsCheckResponseFromJSONTyped = UserFieldsCheckResponse.UserFieldsCheckResponseFromJSONTyped;
exports.UserFieldsCheckResponseToJSON = UserFieldsCheckResponse.UserFieldsCheckResponseToJSON;
Object.defineProperty(exports, 'UserFilterableFieldsEnum', {
	enumerable: true,
	get: function () { return UserFilterableFieldsEnum.UserFilterableFieldsEnum; }
});
exports.UserFilterableFieldsEnumFromJSON = UserFilterableFieldsEnum.UserFilterableFieldsEnumFromJSON;
exports.UserFilterableFieldsEnumFromJSONTyped = UserFilterableFieldsEnum.UserFilterableFieldsEnumFromJSONTyped;
exports.UserFilterableFieldsEnumToJSON = UserFilterableFieldsEnum.UserFilterableFieldsEnumToJSON;
Object.defineProperty(exports, 'UserIdentifierTypeEnum', {
	enumerable: true,
	get: function () { return UserIdentifierTypeEnum.UserIdentifierTypeEnum; }
});
exports.UserIdentifierTypeEnumFromJSON = UserIdentifierTypeEnum.UserIdentifierTypeEnumFromJSON;
exports.UserIdentifierTypeEnumFromJSONTyped = UserIdentifierTypeEnum.UserIdentifierTypeEnumFromJSONTyped;
exports.UserIdentifierTypeEnumToJSON = UserIdentifierTypeEnum.UserIdentifierTypeEnumToJSON;
exports.UserOauthAccessTokenResponseFromJSON = UserOauthAccessTokenResponse.UserOauthAccessTokenResponseFromJSON;
exports.UserOauthAccessTokenResponseFromJSONTyped = UserOauthAccessTokenResponse.UserOauthAccessTokenResponseFromJSONTyped;
exports.UserOauthAccessTokenResponseToJSON = UserOauthAccessTokenResponse.UserOauthAccessTokenResponseToJSON;
exports.UserPasskeyFromJSON = UserPasskey.UserPasskeyFromJSON;
exports.UserPasskeyFromJSONTyped = UserPasskey.UserPasskeyFromJSONTyped;
exports.UserPasskeyToJSON = UserPasskey.UserPasskeyToJSON;
exports.UserResponseFromJSON = UserResponse.UserResponseFromJSON;
exports.UserResponseFromJSONTyped = UserResponse.UserResponseFromJSONTyped;
exports.UserResponseToJSON = UserResponse.UserResponseToJSON;
exports.UserSearchFilterParamsFromJSON = UserSearchFilterParams.UserSearchFilterParamsFromJSON;
exports.UserSearchFilterParamsFromJSONTyped = UserSearchFilterParams.UserSearchFilterParamsFromJSONTyped;
exports.UserSearchFilterParamsToJSON = UserSearchFilterParams.UserSearchFilterParamsToJSON;
Object.defineProperty(exports, 'UserVerificationRequirement', {
	enumerable: true,
	get: function () { return UserVerificationRequirement.UserVerificationRequirement; }
});
exports.UserVerificationRequirementFromJSON = UserVerificationRequirement.UserVerificationRequirementFromJSON;
exports.UserVerificationRequirementFromJSONTyped = UserVerificationRequirement.UserVerificationRequirementFromJSONTyped;
exports.UserVerificationRequirementToJSON = UserVerificationRequirement.UserVerificationRequirementToJSON;
exports.UserWalletSelectionRequestFromJSON = UserWalletSelectionRequest.UserWalletSelectionRequestFromJSON;
exports.UserWalletSelectionRequestFromJSONTyped = UserWalletSelectionRequest.UserWalletSelectionRequestFromJSONTyped;
exports.UserWalletSelectionRequestToJSON = UserWalletSelectionRequest.UserWalletSelectionRequestToJSON;
exports.UserWalletsResponseFromJSON = UserWalletsResponse.UserWalletsResponseFromJSON;
exports.UserWalletsResponseFromJSONTyped = UserWalletsResponse.UserWalletsResponseFromJSONTyped;
exports.UserWalletsResponseToJSON = UserWalletsResponse.UserWalletsResponseToJSON;
exports.UsersResponseFromJSON = UsersResponse.UsersResponseFromJSON;
exports.UsersResponseFromJSONTyped = UsersResponse.UsersResponseFromJSONTyped;
exports.UsersResponseToJSON = UsersResponse.UsersResponseToJSON;
exports.V6UserOpFromJSON = V6UserOp.V6UserOpFromJSON;
exports.V6UserOpFromJSONTyped = V6UserOp.V6UserOpFromJSONTyped;
exports.V6UserOpToJSON = V6UserOp.V6UserOpToJSON;
exports.V7UserOpFromJSON = V7UserOp.V7UserOpFromJSON;
exports.V7UserOpFromJSONTyped = V7UserOp.V7UserOpFromJSONTyped;
exports.V7UserOpToJSON = V7UserOp.V7UserOpToJSON;
exports.VerifyRequestFromJSON = VerifyRequest.VerifyRequestFromJSON;
exports.VerifyRequestFromJSONTyped = VerifyRequest.VerifyRequestFromJSONTyped;
exports.VerifyRequestToJSON = VerifyRequest.VerifyRequestToJSON;
exports.VerifyResponseFromJSON = VerifyResponse.VerifyResponseFromJSON;
exports.VerifyResponseFromJSONTyped = VerifyResponse.VerifyResponseFromJSONTyped;
exports.VerifyResponseToJSON = VerifyResponse.VerifyResponseToJSON;
exports.VerifyUnlinkRequestFromJSON = VerifyUnlinkRequest.VerifyUnlinkRequestFromJSON;
exports.VerifyUnlinkRequestFromJSONTyped = VerifyUnlinkRequest.VerifyUnlinkRequestFromJSONTyped;
exports.VerifyUnlinkRequestToJSON = VerifyUnlinkRequest.VerifyUnlinkRequestToJSON;
exports.VisitorFromJSON = Visitor.VisitorFromJSON;
exports.VisitorFromJSONTyped = Visitor.VisitorFromJSONTyped;
exports.VisitorToJSON = Visitor.VisitorToJSON;
Object.defineProperty(exports, 'VisitorFilterableFieldsEnum', {
	enumerable: true,
	get: function () { return VisitorFilterableFieldsEnum.VisitorFilterableFieldsEnum; }
});
exports.VisitorFilterableFieldsEnumFromJSON = VisitorFilterableFieldsEnum.VisitorFilterableFieldsEnumFromJSON;
exports.VisitorFilterableFieldsEnumFromJSONTyped = VisitorFilterableFieldsEnum.VisitorFilterableFieldsEnumFromJSONTyped;
exports.VisitorFilterableFieldsEnumToJSON = VisitorFilterableFieldsEnum.VisitorFilterableFieldsEnumToJSON;
exports.VisitorSearchFilterParamsFromJSON = VisitorSearchFilterParams.VisitorSearchFilterParamsFromJSON;
exports.VisitorSearchFilterParamsFromJSONTyped = VisitorSearchFilterParams.VisitorSearchFilterParamsFromJSONTyped;
exports.VisitorSearchFilterParamsToJSON = VisitorSearchFilterParams.VisitorSearchFilterParamsToJSON;
exports.VisitorsResponseFromJSON = VisitorsResponse.VisitorsResponseFromJSON;
exports.VisitorsResponseFromJSONTyped = VisitorsResponse.VisitorsResponseFromJSONTyped;
exports.VisitorsResponseToJSON = VisitorsResponse.VisitorsResponseToJSON;
exports.WaasAuthenticateResponseFromJSON = WaasAuthenticateResponse.WaasAuthenticateResponseFromJSON;
exports.WaasAuthenticateResponseFromJSONTyped = WaasAuthenticateResponse.WaasAuthenticateResponseFromJSONTyped;
exports.WaasAuthenticateResponseToJSON = WaasAuthenticateResponse.WaasAuthenticateResponseToJSON;
exports.WaasAuthenticateResponseEncodedJwtsFromJSON = WaasAuthenticateResponseEncodedJwts.WaasAuthenticateResponseEncodedJwtsFromJSON;
exports.WaasAuthenticateResponseEncodedJwtsFromJSONTyped = WaasAuthenticateResponseEncodedJwts.WaasAuthenticateResponseEncodedJwtsFromJSONTyped;
exports.WaasAuthenticateResponseEncodedJwtsToJSON = WaasAuthenticateResponseEncodedJwts.WaasAuthenticateResponseEncodedJwtsToJSON;
Object.defineProperty(exports, 'WaasBackupOptionsEnum', {
	enumerable: true,
	get: function () { return WaasBackupOptionsEnum.WaasBackupOptionsEnum; }
});
exports.WaasBackupOptionsEnumFromJSON = WaasBackupOptionsEnum.WaasBackupOptionsEnumFromJSON;
exports.WaasBackupOptionsEnumFromJSONTyped = WaasBackupOptionsEnum.WaasBackupOptionsEnumFromJSONTyped;
exports.WaasBackupOptionsEnumToJSON = WaasBackupOptionsEnum.WaasBackupOptionsEnumToJSON;
exports.WaasWalletPropertiesFromJSON = WaasWalletProperties.WaasWalletPropertiesFromJSON;
exports.WaasWalletPropertiesFromJSONTyped = WaasWalletProperties.WaasWalletPropertiesFromJSONTyped;
exports.WaasWalletPropertiesToJSON = WaasWalletProperties.WaasWalletPropertiesToJSON;
exports.WalletFromJSON = Wallet.WalletFromJSON;
exports.WalletFromJSONTyped = Wallet.WalletFromJSONTyped;
exports.WalletToJSON = Wallet.WalletToJSON;
exports.WalletAdditionalAddressFromJSON = WalletAdditionalAddress.WalletAdditionalAddressFromJSON;
exports.WalletAdditionalAddressFromJSONTyped = WalletAdditionalAddress.WalletAdditionalAddressFromJSONTyped;
exports.WalletAdditionalAddressToJSON = WalletAdditionalAddress.WalletAdditionalAddressToJSON;
Object.defineProperty(exports, 'WalletAddressType', {
	enumerable: true,
	get: function () { return WalletAddressType.WalletAddressType; }
});
exports.WalletAddressTypeFromJSON = WalletAddressType.WalletAddressTypeFromJSON;
exports.WalletAddressTypeFromJSONTyped = WalletAddressType.WalletAddressTypeFromJSONTyped;
exports.WalletAddressTypeToJSON = WalletAddressType.WalletAddressTypeToJSON;
exports.WalletKeyShareInfoFromJSON = WalletKeyShareInfo.WalletKeyShareInfoFromJSON;
exports.WalletKeyShareInfoFromJSONTyped = WalletKeyShareInfo.WalletKeyShareInfoFromJSONTyped;
exports.WalletKeyShareInfoToJSON = WalletKeyShareInfo.WalletKeyShareInfoToJSON;
exports.WalletKeyShareInfoWithEncryptedAccountCredentialFromJSON = WalletKeyShareInfoWithEncryptedAccountCredential.WalletKeyShareInfoWithEncryptedAccountCredentialFromJSON;
exports.WalletKeyShareInfoWithEncryptedAccountCredentialFromJSONTyped = WalletKeyShareInfoWithEncryptedAccountCredential.WalletKeyShareInfoWithEncryptedAccountCredentialFromJSONTyped;
exports.WalletKeyShareInfoWithEncryptedAccountCredentialToJSON = WalletKeyShareInfoWithEncryptedAccountCredential.WalletKeyShareInfoWithEncryptedAccountCredentialToJSON;
exports.WalletKeyShareInfoWithEncryptedAccountCredentialAllOfFromJSON = WalletKeyShareInfoWithEncryptedAccountCredentialAllOf.WalletKeyShareInfoWithEncryptedAccountCredentialAllOfFromJSON;
exports.WalletKeyShareInfoWithEncryptedAccountCredentialAllOfFromJSONTyped = WalletKeyShareInfoWithEncryptedAccountCredentialAllOf.WalletKeyShareInfoWithEncryptedAccountCredentialAllOfFromJSONTyped;
exports.WalletKeyShareInfoWithEncryptedAccountCredentialAllOfToJSON = WalletKeyShareInfoWithEncryptedAccountCredentialAllOf.WalletKeyShareInfoWithEncryptedAccountCredentialAllOfToJSON;
exports.WalletPropertiesFromJSON = WalletProperties.WalletPropertiesFromJSON;
exports.WalletPropertiesFromJSONTyped = WalletProperties.WalletPropertiesFromJSONTyped;
exports.WalletPropertiesToJSON = WalletProperties.WalletPropertiesToJSON;
Object.defineProperty(exports, 'WalletProviderEnum', {
	enumerable: true,
	get: function () { return WalletProviderEnum.WalletProviderEnum; }
});
exports.WalletProviderEnumFromJSON = WalletProviderEnum.WalletProviderEnumFromJSON;
exports.WalletProviderEnumFromJSONTyped = WalletProviderEnum.WalletProviderEnumFromJSONTyped;
exports.WalletProviderEnumToJSON = WalletProviderEnum.WalletProviderEnumToJSON;
exports.WebhookFromJSON = Webhook.WebhookFromJSON;
exports.WebhookFromJSONTyped = Webhook.WebhookFromJSONTyped;
exports.WebhookToJSON = Webhook.WebhookToJSON;
exports.WebhookCreateRequestFromJSON = WebhookCreateRequest.WebhookCreateRequestFromJSON;
exports.WebhookCreateRequestFromJSONTyped = WebhookCreateRequest.WebhookCreateRequestFromJSONTyped;
exports.WebhookCreateRequestToJSON = WebhookCreateRequest.WebhookCreateRequestToJSON;
exports.WebhookMessageFromJSON = WebhookMessage.WebhookMessageFromJSON;
exports.WebhookMessageFromJSONTyped = WebhookMessage.WebhookMessageFromJSONTyped;
exports.WebhookMessageToJSON = WebhookMessage.WebhookMessageToJSON;
exports.WebhookMessageRedeliveryResponseFromJSON = WebhookMessageRedeliveryResponse.WebhookMessageRedeliveryResponseFromJSON;
exports.WebhookMessageRedeliveryResponseFromJSONTyped = WebhookMessageRedeliveryResponse.WebhookMessageRedeliveryResponseFromJSONTyped;
exports.WebhookMessageRedeliveryResponseToJSON = WebhookMessageRedeliveryResponse.WebhookMessageRedeliveryResponseToJSON;
exports.WebhookMessagesResponseFromJSON = WebhookMessagesResponse.WebhookMessagesResponseFromJSON;
exports.WebhookMessagesResponseFromJSONTyped = WebhookMessagesResponse.WebhookMessagesResponseFromJSONTyped;
exports.WebhookMessagesResponseToJSON = WebhookMessagesResponse.WebhookMessagesResponseToJSON;
exports.WebhookUpdateRequestFromJSON = WebhookUpdateRequest.WebhookUpdateRequestFromJSON;
exports.WebhookUpdateRequestFromJSONTyped = WebhookUpdateRequest.WebhookUpdateRequestFromJSONTyped;
exports.WebhookUpdateRequestToJSON = WebhookUpdateRequest.WebhookUpdateRequestToJSON;
exports.WebhooksResponseFromJSON = WebhooksResponse.WebhooksResponseFromJSON;
exports.WebhooksResponseFromJSONTyped = WebhooksResponse.WebhooksResponseFromJSONTyped;
exports.WebhooksResponseToJSON = WebhooksResponse.WebhooksResponseToJSON;
Object.defineProperty(exports, 'WhenToImplementEnum', {
	enumerable: true,
	get: function () { return WhenToImplementEnum.WhenToImplementEnum; }
});
exports.WhenToImplementEnumFromJSON = WhenToImplementEnum.WhenToImplementEnumFromJSON;
exports.WhenToImplementEnumFromJSONTyped = WhenToImplementEnum.WhenToImplementEnumFromJSONTyped;
exports.WhenToImplementEnumToJSON = WhenToImplementEnum.WhenToImplementEnumToJSON;
Object.defineProperty(exports, 'ZerodevBundlerProvider', {
	enumerable: true,
	get: function () { return ZerodevBundlerProvider.ZerodevBundlerProvider; }
});
exports.ZerodevBundlerProviderFromJSON = ZerodevBundlerProvider.ZerodevBundlerProviderFromJSON;
exports.ZerodevBundlerProviderFromJSONTyped = ZerodevBundlerProvider.ZerodevBundlerProviderFromJSONTyped;
exports.ZerodevBundlerProviderToJSON = ZerodevBundlerProvider.ZerodevBundlerProviderToJSON;
