import { exists } from '../runtime.js';
import { ProviderEnumFromJSON, ProviderEnumToJSON } from './ProviderEnum.js';

/* tslint:disable */
function CreateUserOauthRequestFromJSON(json) {
    return CreateUserOauthRequestFromJSONTyped(json);
}
function CreateUserOauthRequestFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'provider': ProviderEnumFromJSON(json['provider']),
        'accountId': json['accountId'],
        'emails': !exists(json, 'emails') ? undefined : json['emails'],
        'displayName': !exists(json, 'displayName') ? undefined : json['displayName'],
        'username': !exists(json, 'username') ? undefined : json['username'],
        'photos': !exists(json, 'photos') ? undefined : json['photos'],
        'profile': !exists(json, 'profile') ? undefined : json['profile'],
    };
}
function CreateUserOauthRequestToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'provider': ProviderEnumToJSON(value.provider),
        'accountId': value.accountId,
        'emails': value.emails,
        'displayName': value.displayName,
        'username': value.username,
        'photos': value.photos,
        'profile': value.profile,
    };
}

export { CreateUserOauthRequestFromJSON, CreateUserOauthRequestFromJSONTyped, CreateUserOauthRequestToJSON };
