'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var runtime = require('../runtime.cjs');
var CustomFieldType = require('./CustomFieldType.cjs');
var CustomFieldValidationRules = require('./CustomFieldValidationRules.cjs');

/* tslint:disable */
function CustomFieldFromJSON(json) {
    return CustomFieldFromJSONTyped(json);
}
function CustomFieldFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'id': json['id'],
        'key': json['key'],
        'name': json['name'],
        'enabled': json['enabled'],
        'required': json['required'],
        'fieldType': CustomFieldType.CustomFieldTypeFromJSON(json['fieldType']),
        'validationRules': !runtime.exists(json, 'validationRules') ? undefined : CustomFieldValidationRules.CustomFieldValidationRulesFromJSON(json['validationRules']),
        'position': json['position'],
    };
}
function CustomFieldToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'id': value.id,
        'key': value.key,
        'name': value.name,
        'enabled': value.enabled,
        'required': value.required,
        'fieldType': CustomFieldType.CustomFieldTypeToJSON(value.fieldType),
        'validationRules': CustomFieldValidationRules.CustomFieldValidationRulesToJSON(value.validationRules),
        'position': value.position,
    };
}

exports.CustomFieldFromJSON = CustomFieldFromJSON;
exports.CustomFieldFromJSONTyped = CustomFieldFromJSONTyped;
exports.CustomFieldToJSON = CustomFieldToJSON;
