import { exists } from '../runtime.js';
import { CustomFieldTypeFromJSON, CustomFieldTypeToJSON } from './CustomFieldType.js';
import { CustomFieldValidationRulesFromJSON, CustomFieldValidationRulesToJSON } from './CustomFieldValidationRules.js';

/* tslint:disable */
function CustomFieldFromJSON(json) {
    return CustomFieldFromJSONTyped(json);
}
function CustomFieldFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'id': json['id'],
        'key': json['key'],
        'name': json['name'],
        'enabled': json['enabled'],
        'required': json['required'],
        'fieldType': CustomFieldTypeFromJSON(json['fieldType']),
        'validationRules': !exists(json, 'validationRules') ? undefined : CustomFieldValidationRulesFromJSON(json['validationRules']),
        'position': json['position'],
    };
}
function CustomFieldToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'id': value.id,
        'key': value.key,
        'name': value.name,
        'enabled': value.enabled,
        'required': value.required,
        'fieldType': CustomFieldTypeToJSON(value.fieldType),
        'validationRules': CustomFieldValidationRulesToJSON(value.validationRules),
        'position': value.position,
    };
}

export { CustomFieldFromJSON, CustomFieldFromJSONTyped, CustomFieldToJSON };
