'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var runtime = require('../runtime.cjs');
var CustomFieldType = require('./CustomFieldType.cjs');
var CustomFieldValidationRules = require('./CustomFieldValidationRules.cjs');

/* tslint:disable */
function CustomFieldRequestFromJSON(json) {
    return CustomFieldRequestFromJSONTyped(json);
}
function CustomFieldRequestFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'name': json['name'],
        'enabled': json['enabled'],
        'required': json['required'],
        'fieldType': CustomFieldType.CustomFieldTypeFromJSON(json['fieldType']),
        'validationRules': !runtime.exists(json, 'validationRules') ? undefined : CustomFieldValidationRules.CustomFieldValidationRulesFromJSON(json['validationRules']),
        'position': json['position'],
    };
}
function CustomFieldRequestToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'name': value.name,
        'enabled': value.enabled,
        'required': value.required,
        'fieldType': CustomFieldType.CustomFieldTypeToJSON(value.fieldType),
        'validationRules': CustomFieldValidationRules.CustomFieldValidationRulesToJSON(value.validationRules),
        'position': value.position,
    };
}

exports.CustomFieldRequestFromJSON = CustomFieldRequestFromJSON;
exports.CustomFieldRequestFromJSONTyped = CustomFieldRequestFromJSONTyped;
exports.CustomFieldRequestToJSON = CustomFieldRequestToJSON;
