import { exists } from '../runtime.js';
import { CreateUserOauthRequestFromJSON, CreateUserOauthRequestToJSON } from './CreateUserOauthRequest.js';
import { CreateWalletRequestFromJSON, CreateWalletRequestToJSON } from './CreateWalletRequest.js';
import { MfaBackupCodeAcknowledgementFromJSON, MfaBackupCodeAcknowledgementToJSON } from './MfaBackupCodeAcknowledgement.js';

/* tslint:disable */
function InternalBulkUpdateUserFieldsFromJSON(json) {
    return InternalBulkUpdateUserFieldsFromJSONTyped(json);
}
function InternalBulkUpdateUserFieldsFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'alias': !exists(json, 'alias') ? undefined : json['alias'],
        'firstName': !exists(json, 'firstName') ? undefined : json['firstName'],
        'lastName': !exists(json, 'lastName') ? undefined : json['lastName'],
        'jobTitle': !exists(json, 'jobTitle') ? undefined : json['jobTitle'],
        'phoneNumber': !exists(json, 'phoneNumber') ? undefined : json['phoneNumber'],
        'metadata': !exists(json, 'metadata') ? undefined : json['metadata'],
        'mfaBackupCodeAcknowledgement': !exists(json, 'mfaBackupCodeAcknowledgement') ? undefined : MfaBackupCodeAcknowledgementFromJSON(json['mfaBackupCodeAcknowledgement']),
        'tShirtSize': !exists(json, 'tShirtSize') ? undefined : json['tShirtSize'],
        'team': !exists(json, 'team') ? undefined : json['team'],
        'policiesConsent': !exists(json, 'policiesConsent') ? undefined : json['policiesConsent'],
        'country': !exists(json, 'country') ? undefined : json['country'],
        'username': !exists(json, 'username') ? undefined : json['username'],
        'btcWallet': !exists(json, 'btcWallet') ? undefined : json['btcWallet'],
        'kdaWallet': !exists(json, 'kdaWallet') ? undefined : json['kdaWallet'],
        'ltcWallet': !exists(json, 'ltcWallet') ? undefined : json['ltcWallet'],
        'ckbWallet': !exists(json, 'ckbWallet') ? undefined : json['ckbWallet'],
        'kasWallet': !exists(json, 'kasWallet') ? undefined : json['kasWallet'],
        'dogeWallet': !exists(json, 'dogeWallet') ? undefined : json['dogeWallet'],
        'emailNotification': !exists(json, 'emailNotification') ? undefined : json['emailNotification'],
        'discordNotification': !exists(json, 'discordNotification') ? undefined : json['discordNotification'],
        'newsletterNotification': !exists(json, 'newsletterNotification') ? undefined : json['newsletterNotification'],
        'id': !exists(json, 'id') ? undefined : json['id'],
        'emailVerifiedAt': !exists(json, 'emailVerifiedAt') ? undefined : (new Date(json['emailVerifiedAt'])),
        'email': !exists(json, 'email') ? undefined : json['email'],
        'wallets': !exists(json, 'wallets') ? undefined : (json['wallets'].map(CreateWalletRequestFromJSON)),
        'oauthAccounts': !exists(json, 'oauthAccounts') ? undefined : (json['oauthAccounts'].map(CreateUserOauthRequestFromJSON)),
    };
}
function InternalBulkUpdateUserFieldsToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'alias': value.alias,
        'firstName': value.firstName,
        'lastName': value.lastName,
        'jobTitle': value.jobTitle,
        'phoneNumber': value.phoneNumber,
        'metadata': value.metadata,
        'mfaBackupCodeAcknowledgement': MfaBackupCodeAcknowledgementToJSON(value.mfaBackupCodeAcknowledgement),
        'tShirtSize': value.tShirtSize,
        'team': value.team,
        'policiesConsent': value.policiesConsent,
        'country': value.country,
        'username': value.username,
        'btcWallet': value.btcWallet,
        'kdaWallet': value.kdaWallet,
        'ltcWallet': value.ltcWallet,
        'ckbWallet': value.ckbWallet,
        'kasWallet': value.kasWallet,
        'dogeWallet': value.dogeWallet,
        'emailNotification': value.emailNotification,
        'discordNotification': value.discordNotification,
        'newsletterNotification': value.newsletterNotification,
        'id': value.id,
        'emailVerifiedAt': value.emailVerifiedAt === undefined ? undefined : (value.emailVerifiedAt.toISOString()),
        'email': value.email,
        'wallets': value.wallets === undefined ? undefined : (value.wallets.map(CreateWalletRequestToJSON)),
        'oauthAccounts': value.oauthAccounts === undefined ? undefined : (value.oauthAccounts.map(CreateUserOauthRequestToJSON)),
    };
}

export { InternalBulkUpdateUserFieldsFromJSON, InternalBulkUpdateUserFieldsFromJSONTyped, InternalBulkUpdateUserFieldsToJSON };
