'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var runtime = require('../runtime.cjs');
var EcdsaValidatorOptions = require('./EcdsaValidatorOptions.cjs');
var ProviderCreateRequestMultichainAccountAbstractionProviders = require('./ProviderCreateRequestMultichainAccountAbstractionProviders.cjs');
var ProviderEntryPointVersionEnum = require('./ProviderEntryPointVersionEnum.cjs');
var ProviderEnum = require('./ProviderEnum.cjs');
var ProviderKernelVersionEnum = require('./ProviderKernelVersionEnum.cjs');
var SmsCountryCode = require('./SmsCountryCode.cjs');
var ZerodevBundlerProvider = require('./ZerodevBundlerProvider.cjs');

/* tslint:disable */
function ProviderCreateRequestFromJSON(json) {
    return ProviderCreateRequestFromJSONTyped(json);
}
function ProviderCreateRequestFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'provider': ProviderEnum.ProviderEnumFromJSON(json['provider']),
        'clientId': !runtime.exists(json, 'clientId') ? undefined : json['clientId'],
        'clientSecret': !runtime.exists(json, 'clientSecret') ? undefined : json['clientSecret'],
        'providerProjectId': !runtime.exists(json, 'providerProjectId') ? undefined : json['providerProjectId'],
        'defaultChainId': !runtime.exists(json, 'defaultChainId') ? undefined : json['defaultChainId'],
        'defaultChain': !runtime.exists(json, 'defaultChain') ? undefined : json['defaultChain'],
        'keyExportUrl': !runtime.exists(json, 'keyExportUrl') ? undefined : json['keyExportUrl'],
        'termsUrl': !runtime.exists(json, 'termsUrl') ? undefined : json['termsUrl'],
        'useDynamicCredentials': !runtime.exists(json, 'useDynamicCredentials') ? undefined : json['useDynamicCredentials'],
        'scopes': !runtime.exists(json, 'scopes') ? undefined : json['scopes'],
        'appleKeyId': !runtime.exists(json, 'appleKeyId') ? undefined : json['appleKeyId'],
        'appleTeamId': !runtime.exists(json, 'appleTeamId') ? undefined : json['appleTeamId'],
        'shopifyStore': !runtime.exists(json, 'shopifyStore') ? undefined : json['shopifyStore'],
        'accountSid': !runtime.exists(json, 'accountSid') ? undefined : json['accountSid'],
        'twilioNumber': !runtime.exists(json, 'twilioNumber') ? undefined : json['twilioNumber'],
        'enabledCountries': !runtime.exists(json, 'enabledCountries') ? undefined : (json['enabledCountries'].map(SmsCountryCode.SmsCountryCodeFromJSON)),
        'multichainAccountAbstractionProviders': !runtime.exists(json, 'multichainAccountAbstractionProviders') ? undefined : (json['multichainAccountAbstractionProviders'].map(ProviderCreateRequestMultichainAccountAbstractionProviders.ProviderCreateRequestMultichainAccountAbstractionProvidersFromJSON)),
        'entryPointVersion': !runtime.exists(json, 'entryPointVersion') ? undefined : ProviderEntryPointVersionEnum.ProviderEntryPointVersionEnumFromJSON(json['entryPointVersion']),
        'kernelVersion': !runtime.exists(json, 'kernelVersion') ? undefined : ProviderKernelVersionEnum.ProviderKernelVersionEnumFromJSON(json['kernelVersion']),
        'ecdsaProviderType': !runtime.exists(json, 'ecdsaProviderType') ? undefined : EcdsaValidatorOptions.EcdsaValidatorOptionsFromJSON(json['ecdsaProviderType']),
        'enableKernelV3Migration': !runtime.exists(json, 'enableKernelV3Migration') ? undefined : json['enableKernelV3Migration'],
        'enableEIP7702': !runtime.exists(json, 'enableEIP7702') ? undefined : json['enableEIP7702'],
        'factoryAddress': !runtime.exists(json, 'factoryAddress') ? undefined : json['factoryAddress'],
        'paymasterAddress': !runtime.exists(json, 'paymasterAddress') ? undefined : json['paymasterAddress'],
        'passkeyAddress': !runtime.exists(json, 'passkeyAddress') ? undefined : json['passkeyAddress'],
        'sessionAddress': !runtime.exists(json, 'sessionAddress') ? undefined : json['sessionAddress'],
        'zerodevBundlerProvider': !runtime.exists(json, 'zerodevBundlerProvider') ? undefined : ZerodevBundlerProvider.ZerodevBundlerProviderFromJSON(json['zerodevBundlerProvider']),
        'zerodevBundlerRpcUrl': !runtime.exists(json, 'zerodevBundlerRpcUrl') ? undefined : json['zerodevBundlerRpcUrl'],
        'zerodevPaymasterRpcUrl': !runtime.exists(json, 'zerodevPaymasterRpcUrl') ? undefined : json['zerodevPaymasterRpcUrl'],
        'zerodevKernelDelegationAddress': !runtime.exists(json, 'zerodevKernelDelegationAddress') ? undefined : json['zerodevKernelDelegationAddress'],
    };
}
function ProviderCreateRequestToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'provider': ProviderEnum.ProviderEnumToJSON(value.provider),
        'clientId': value.clientId,
        'clientSecret': value.clientSecret,
        'providerProjectId': value.providerProjectId,
        'defaultChainId': value.defaultChainId,
        'defaultChain': value.defaultChain,
        'keyExportUrl': value.keyExportUrl,
        'termsUrl': value.termsUrl,
        'useDynamicCredentials': value.useDynamicCredentials,
        'scopes': value.scopes,
        'appleKeyId': value.appleKeyId,
        'appleTeamId': value.appleTeamId,
        'shopifyStore': value.shopifyStore,
        'accountSid': value.accountSid,
        'twilioNumber': value.twilioNumber,
        'enabledCountries': value.enabledCountries === undefined ? undefined : (value.enabledCountries.map(SmsCountryCode.SmsCountryCodeToJSON)),
        'multichainAccountAbstractionProviders': value.multichainAccountAbstractionProviders === undefined ? undefined : (value.multichainAccountAbstractionProviders.map(ProviderCreateRequestMultichainAccountAbstractionProviders.ProviderCreateRequestMultichainAccountAbstractionProvidersToJSON)),
        'entryPointVersion': ProviderEntryPointVersionEnum.ProviderEntryPointVersionEnumToJSON(value.entryPointVersion),
        'kernelVersion': ProviderKernelVersionEnum.ProviderKernelVersionEnumToJSON(value.kernelVersion),
        'ecdsaProviderType': EcdsaValidatorOptions.EcdsaValidatorOptionsToJSON(value.ecdsaProviderType),
        'enableKernelV3Migration': value.enableKernelV3Migration,
        'enableEIP7702': value.enableEIP7702,
        'factoryAddress': value.factoryAddress,
        'paymasterAddress': value.paymasterAddress,
        'passkeyAddress': value.passkeyAddress,
        'sessionAddress': value.sessionAddress,
        'zerodevBundlerProvider': ZerodevBundlerProvider.ZerodevBundlerProviderToJSON(value.zerodevBundlerProvider),
        'zerodevBundlerRpcUrl': value.zerodevBundlerRpcUrl,
        'zerodevPaymasterRpcUrl': value.zerodevPaymasterRpcUrl,
        'zerodevKernelDelegationAddress': value.zerodevKernelDelegationAddress,
    };
}

exports.ProviderCreateRequestFromJSON = ProviderCreateRequestFromJSON;
exports.ProviderCreateRequestFromJSONTyped = ProviderCreateRequestFromJSONTyped;
exports.ProviderCreateRequestToJSON = ProviderCreateRequestToJSON;
