/**
 * Dashboard API
 * Dashboard API documentation
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { EcdsaValidatorOptions } from './EcdsaValidatorOptions';
import { ProviderCreateRequestMultichainAccountAbstractionProviders } from './ProviderCreateRequestMultichainAccountAbstractionProviders';
import { ProviderEntryPointVersionEnum } from './ProviderEntryPointVersionEnum';
import { ProviderKernelVersionEnum } from './ProviderKernelVersionEnum';
import { SmsCountryCode } from './SmsCountryCode';
import { ZerodevBundlerProvider } from './ZerodevBundlerProvider';
/**
 * Request body to update oauth properties and other metadata about a provider.
 * @export
 * @interface ProviderUpdateRequest
 */
export interface ProviderUpdateRequest {
    /**
     * Standard OAuth client ID. For more information, see: https://www.oauth.com/oauth2-servers/client-registration/client-id-secret/
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    clientId?: string;
    /**
     * Standard OAuth client secret key. For more information, see: https://www.oauth.com/oauth2-servers/client-registration/client-id-secret/
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    clientSecret?: string;
    /**
     * Some providers require additional information, typically called a project ID or site ID
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    providerProjectId?: string;
    /**
     * The default chain id the SDK should use
     * @type {number}
     * @memberof ProviderUpdateRequest
     */
    defaultChainId?: number;
    /**
     * CAIP-2 Chain ID (https://github.com/ChainAgnostic/CAIPs/blob/main/CAIPs/caip-2.md)
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    defaultChain?: string;
    /**
     * The url of the site to go to export wallets private keys
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    keyExportUrl?: string;
    /**
     *
     * @type {boolean}
     * @memberof ProviderUpdateRequest
     */
    useDynamicCredentials?: boolean;
    /**
     * Optional custom space-delimited list of Oauth scopes for the social provider
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    scopes?: string;
    /**
     * Key ID required for Apple Oauth2 applications. This is the identifier for a private key.
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    appleKeyId?: string;
    /**
     * Team ID required for Apple Oauth2 applications. This is associated with the Apple developer membership account.
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    appleTeamId?: string;
    /**
     * Shopify store required for Shopify Oauth2 applications.
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    shopifyStore?: string;
    /**
     * Required to initialize Twilio provider.
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    accountSid?: string;
    /**
     * Required to initialize Twilio provider. Phone number used to send SMS messages.
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    twilioNumber?: string;
    /**
     *
     * @type {Array<SmsCountryCode>}
     * @memberof ProviderUpdateRequest
     */
    enabledCountries?: Array<SmsCountryCode>;
    /**
     *
     * @type {Array<ProviderCreateRequestMultichainAccountAbstractionProviders>}
     * @memberof ProviderUpdateRequest
     */
    multichainAccountAbstractionProviders?: Array<ProviderCreateRequestMultichainAccountAbstractionProviders>;
    /**
     *
     * @type {ProviderEntryPointVersionEnum}
     * @memberof ProviderUpdateRequest
     */
    entryPointVersion?: ProviderEntryPointVersionEnum;
    /**
     *
     * @type {ProviderKernelVersionEnum}
     * @memberof ProviderUpdateRequest
     */
    kernelVersion?: ProviderKernelVersionEnum;
    /**
     *
     * @type {EcdsaValidatorOptions}
     * @memberof ProviderUpdateRequest
     */
    ecdsaProviderType?: EcdsaValidatorOptions;
    /**
     *
     * @type {boolean}
     * @memberof ProviderUpdateRequest
     */
    enableKernelV3Migration?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof ProviderUpdateRequest
     */
    enableEIP7702?: boolean;
    /**
     * The factory address for the provider (currently only used for zksync)
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    factoryAddress?: string;
    /**
     * The paymaster address for the provider (currently only used for zksync)
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    paymasterAddress?: string;
    /**
     * The passkey address for the provider (currently only used for zksync)
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    passkeyAddress?: string;
    /**
     * The session address for the provider (currently only used for zksync)
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    sessionAddress?: string;
    /**
     *
     * @type {ZerodevBundlerProvider}
     * @memberof ProviderUpdateRequest
     */
    zerodevBundlerProvider?: ZerodevBundlerProvider;
    /**
     *
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    zerodevBundlerRpcUrl?: string;
    /**
     *
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    zerodevPaymasterRpcUrl?: string;
    /**
     *
     * @type {string}
     * @memberof ProviderUpdateRequest
     */
    zerodevKernelDelegationAddress?: string;
}
export declare function ProviderUpdateRequestFromJSON(json: any): ProviderUpdateRequest;
export declare function ProviderUpdateRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): ProviderUpdateRequest;
export declare function ProviderUpdateRequestToJSON(value?: ProviderUpdateRequest | null): any;
