import { exists } from '../runtime.js';
import { ProviderEnumFromJSON, ProviderEnumToJSON } from './ProviderEnum.js';

/* tslint:disable */
function ProviderUrlFromJSON(json) {
    return ProviderUrlFromJSONTyped(json);
}
function ProviderUrlFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'provider': ProviderEnumFromJSON(json['provider']),
        'authorizationUrl': json['authorizationUrl'],
        'redirectUrl': json['redirectUrl'],
        'scopes': !exists(json, 'scopes') ? undefined : json['scopes'],
        'scopesRefUrl': !exists(json, 'scopesRefUrl') ? undefined : json['scopesRefUrl'],
    };
}
function ProviderUrlToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'provider': ProviderEnumToJSON(value.provider),
        'authorizationUrl': value.authorizationUrl,
        'redirectUrl': value.redirectUrl,
        'scopes': value.scopes,
        'scopesRefUrl': value.scopesRefUrl,
    };
}

export { ProviderUrlFromJSON, ProviderUrlFromJSONTyped, ProviderUrlToJSON };
