/**
 * Dashboard API
 * Dashboard API documentation
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { ChainEnum } from './ChainEnum';
import { ChainalysisCheck } from './ChainalysisCheck';
import { JwtVerifiedCredential } from './JwtVerifiedCredential';
import { MFADevice } from './MFADevice';
import { MfaBackupCodeAcknowledgement } from './MfaBackupCodeAcknowledgement';
import { OAuthAccount } from './OAuthAccount';
import { ProjectSettingsKyc } from './ProjectSettingsKyc';
import { Session } from './Session';
import { Wallet } from './Wallet';
/**
 *
 * @export
 * @interface User
 */
export interface User {
    /**
     *
     * @type {string}
     * @memberof User
     */
    id: string;
    /**
     *
     * @type {string}
     * @memberof User
     */
    projectEnvironmentId: string;
    /**
     *
     * @type {Array<JwtVerifiedCredential>}
     * @memberof User
     */
    verifiedCredentials?: Array<JwtVerifiedCredential>;
    /**
     *
     * @type {string}
     * @memberof User
     */
    lastVerifiedCredentialId?: string;
    /**
     *
     * @type {string}
     * @memberof User
     */
    sessionId?: string;
    /**
     *
     * @type {string}
     * @memberof User
     */
    alias?: string | null;
    /**
     * Standard ISO 3166-1 alpha-2 two-letter country code
     * @type {string}
     * @memberof User
     */
    country?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    email?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    firstName?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    jobTitle?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    lastName?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    phoneNumber?: string | null;
    /**
     *
     * @type {boolean}
     * @memberof User
     */
    policiesConsent?: boolean | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    tShirtSize?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    team?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    username?: string | null;
    /**
     *
     * @type {Date}
     * @memberof User
     */
    firstVisit?: Date;
    /**
     *
     * @type {Date}
     * @memberof User
     */
    lastVisit?: Date;
    /**
     *
     * @type {boolean}
     * @memberof User
     */
    newUser?: boolean;
    /**
     *
     * @type {object}
     * @memberof User
     */
    metadata?: object;
    /**
     *
     * @type {MfaBackupCodeAcknowledgement}
     * @memberof User
     */
    mfaBackupCodeAcknowledgement?: MfaBackupCodeAcknowledgement | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    btcWallet?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    kdaWallet?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    ltcWallet?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    ckbWallet?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    kasWallet?: string | null;
    /**
     *
     * @type {string}
     * @memberof User
     */
    dogeWallet?: string | null;
    /**
     *
     * @type {boolean}
     * @memberof User
     */
    emailNotification?: boolean | null;
    /**
     *
     * @type {boolean}
     * @memberof User
     */
    discordNotification?: boolean | null;
    /**
     *
     * @type {boolean}
     * @memberof User
     */
    newsletterNotification?: boolean | null;
    /**
     * Access lists evaluated by Dynamic when considering access for the user.
     * @type {Array<string>}
     * @memberof User
     */
    lists?: Array<string>;
    /**
     * A whitespace-separate list of permissions associated with the JWT token issued. This conforms to the JWT standard for scope claims: https://datatracker.ietf.org/doc/html/rfc8693#section-4.2
     * @type {string}
     * @memberof User
     */
    scope?: string;
    /**
     *
     * @type {Array<ProjectSettingsKyc>}
     * @memberof User
     */
    missingFields?: Array<ProjectSettingsKyc>;
    /**
     *
     * @type {string}
     * @memberof User
     */
    walletPublicKey?: string;
    /**
     *
     * @type {string}
     * @memberof User
     */
    wallet?: string;
    /**
     *
     * @type {ChainEnum}
     * @memberof User
     */
    chain?: ChainEnum;
    /**
     *
     * @type {Date}
     * @memberof User
     */
    createdAt?: Date;
    /**
     *
     * @type {Date}
     * @memberof User
     */
    updatedAt?: Date;
    /**
     *
     * @type {Array<Session>}
     * @memberof User
     */
    sessions?: Array<Session>;
    /**
     *
     * @type {Array<Wallet>}
     * @memberof User
     */
    wallets?: Array<Wallet>;
    /**
     *
     * @type {Array<ChainalysisCheck>}
     * @memberof User
     */
    chainalysisChecks?: Array<ChainalysisCheck>;
    /**
     *
     * @type {Array<OAuthAccount>}
     * @memberof User
     */
    oauthAccounts?: Array<OAuthAccount>;
    /**
     *
     * @type {Array<MFADevice>}
     * @memberof User
     */
    mfaDevices?: Array<MFADevice>;
}
export declare function UserFromJSON(json: any): User;
export declare function UserFromJSONTyped(json: any, ignoreDiscriminator: boolean): User;
export declare function UserToJSON(value?: User | null): any;
